2008-03-27 13:27  hoffman

	* ChangeLog.txt: ENH: check in new change log for 2.6

2008-03-27 11:16  hoffman

	* CMakeLists.txt, Modules/CPack.cmake,
	  Source/cmInstallCommandArguments.cxx, Source/cmake.cxx: ENH:
	  merge in from main tree

2008-03-26 23:58  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-03-26 22:34  hoffman

	* Source/cmake.cxx: ENH: clean up annoying output from rc tool in
	  VS9

2008-03-26 20:12  alex

	* Modules/CPack.cmake: ENH: use CPACK_PACKAGE_VERSION instead of
	  CPACK_PACKAGE_VERSION_MAJOR.CPACK_PACKAGE_VERSION_MINOR.CPACK_PACKAGE_VERSION_PATCH
	  for creating the package file name

	  Alex

2008-03-26 18:30  alex

	* Source/cmInstallCommandArguments.cxx: BUG: fix the default
	  "Unspecified" component when only the generic (i.e. not RUNTIME,
	  ARCHIVE, LIBRARY, etc.) arguments are given.

	  If the component of a part of a target is queried, return the
	  specific one, if a specific one hasn't been set, return the
	  generic one, if that hasn't been set, return "Unspecified".

	  Alex

2008-03-26 15:55  hoffman

	* Utilities/Release/: v20n17_aix_release.cmake,
	  vogon_release_qt.cmake: ENH:

2008-03-26 14:08  hoffman

	* CMakeLists.txt, Modules/CMakeJavaInformation.cmake,
	  Modules/FindSubversion.cmake, Source/cmCoreTryCompile.cxx: ENH:
	  merge in from main tree

2008-03-26 13:50  hoffman

	* Source/cmCoreTryCompile.cxx: ENH: make sure numAttempts is
	  incremented

2008-03-26 13:14  hoffman

	* Source/cmCoreTryCompile.cxx: ENH: try to fix dashboard issue with
	  not being able to remove try compile code

2008-03-25 23:58  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-03-25 19:58  hoffman

	* CMakeLists.txt, Source/cmLocalUnixMakefileGenerator3.cxx,
	  Tests/Assembler/CMakeLists.txt,
	  Tests/BuildDepends/CMakeLists.txt,
	  Tests/BundleTest/CMakeLists.txt, Tests/COnly/CMakeLists.txt,
	  Tests/CTestTest/CMakeLists.txt, Tests/CTestTest2/CMakeLists.txt,
	  Tests/CommandLineTest/CMakeLists.txt,
	  Tests/ConvLibrary/CMakeLists.txt,
	  Tests/CustComDepend/CMakeLists.txt,
	  Tests/CustomCommand/CMakeLists.txt,
	  Tests/CustomCommandWorkingDirectory/CMakeLists.txt,
	  Tests/Dependency/CMakeLists.txt, Tests/DocTest/CMakeLists.txt,
	  Tests/ExportImport/CMakeLists.txt,
	  Tests/ExportImport/Export/CMakeLists.txt,
	  Tests/ExportImport/Import/CMakeLists.txt,
	  Tests/ExternalOBJ/CMakeLists.txt,
	  Tests/ExternalOBJ/Object/CMakeLists.txt,
	  Tests/FindPackageTest/CMakeLists.txt,
	  Tests/Fortran/CMakeLists.txt, Tests/Framework/CMakeLists.txt,
	  Tests/FunctionTest/CMakeLists.txt, Tests/Java/CMakeLists.txt,
	  Tests/Jump/CMakeLists.txt, Tests/LoadCommand/CMakeLists.txt,
	  Tests/LoadCommandOneConfig/CMakeLists.txt,
	  Tests/LoadCommand/CMakeCommands/CMakeLists.txt,
	  Tests/LoadCommandOneConfig/CMakeCommands/CMakeLists.txt,
	  Tests/MacroTest/CMakeLists.txt, Tests/MakeClean/CMakeLists.txt,
	  Tests/MathTest/CMakeLists.txt, Tests/NewlineArgs/CMakeLists.txt,
	  Tests/OutOfSource/CMakeLists.txt, Tests/Plugin/CMakeLists.txt,
	  Tests/PrecompiledHeader/CMakeLists.txt,
	  Tests/Properties/CMakeLists.txt, Tests/ReturnTest/CMakeLists.txt,
	  Tests/RuntimePath/CMakeLists.txt, Tests/SameName/CMakeLists.txt,
	  Tests/SetLang/CMakeLists.txt, Tests/SimpleExclude/CMakeLists.txt,
	  Tests/SimpleInstall/CMakeLists.txt,
	  Tests/SimpleInstallS2/CMakeLists.txt,
	  Tests/SourceGroups/CMakeLists.txt,
	  Tests/StringFileTest/CMakeLists.txt, Tests/SubDir/CMakeLists.txt,
	  Tests/SubDir/Examples/CMakeLists.txt,
	  Tests/SubDir/Examples/example1/CMakeLists.txt,
	  Tests/SubDirSpaces/CMakeLists.txt, Tests/SubDirSpaces/Some
	  Examples/CMakeLists.txt, Tests/SubDirSpaces/Some
	  Examples/example1/CMakeLists.txt,
	  Tests/SubProject/CMakeLists.txt, Tests/SwigTest/CMakeLists.txt,
	  Tests/SystemInformation/CMakeLists.txt,
	  Tests/TarTest/CMakeLists.txt, Tests/TargetName/CMakeLists.txt,
	  Tests/TestDriver/CMakeLists.txt, Tests/Testing/CMakeLists.txt,
	  Tests/TryCompile/CMakeLists.txt,
	  Tests/Tutorial/Step1/CMakeLists.txt,
	  Tests/Tutorial/Step2/CMakeLists.txt,
	  Tests/Tutorial/Step3/CMakeLists.txt,
	  Tests/Tutorial/Step4/CMakeLists.txt,
	  Tests/Tutorial/Step5/CMakeLists.txt,
	  Tests/Tutorial/Step6/CMakeLists.txt,
	  Tests/Tutorial/Step7/CMakeLists.txt, Tests/UseWX/CMakeLists.txt,
	  Tests/VSExternalInclude/CMakeLists.txt,
	  Tests/Wrapping/CMakeLists.txt, Tests/X11/CMakeLists.txt: ENH:
	  merge in from main tree

2008-03-25 14:37  martink

	* Tests/ExternalOBJ/CMakeLists.txt: BUG: make test more robust

2008-03-25 14:15  martink

	* Tests/ExternalOBJ/CMakeLists.txt: BUG: add debugging into to
	  check out a problem

2008-03-25 11:26  martink

	* Tests/: Assembler/CMakeLists.txt, BuildDepends/CMakeLists.txt,
	  BundleTest/CMakeLists.txt, COnly/CMakeLists.txt,
	  CTestTest/CMakeLists.txt, CTestTest2/CMakeLists.txt,
	  CommandLineTest/CMakeLists.txt, ConvLibrary/CMakeLists.txt,
	  CustComDepend/CMakeLists.txt, CustomCommand/CMakeLists.txt,
	  CustomCommandWorkingDirectory/CMakeLists.txt,
	  Dependency/CMakeLists.txt, DocTest/CMakeLists.txt,
	  ExportImport/CMakeLists.txt, ExportImport/Export/CMakeLists.txt,
	  ExportImport/Import/CMakeLists.txt, ExternalOBJ/CMakeLists.txt,
	  ExternalOBJ/Object/CMakeLists.txt,
	  FindPackageTest/CMakeLists.txt, Fortran/CMakeLists.txt,
	  Framework/CMakeLists.txt, FunctionTest/CMakeLists.txt,
	  Java/CMakeLists.txt, Jump/CMakeLists.txt,
	  LoadCommand/CMakeLists.txt, LoadCommandOneConfig/CMakeLists.txt,
	  LoadCommand/CMakeCommands/CMakeLists.txt,
	  LoadCommandOneConfig/CMakeCommands/CMakeLists.txt,
	  MacroTest/CMakeLists.txt, MakeClean/CMakeLists.txt,
	  MathTest/CMakeLists.txt, NewlineArgs/CMakeLists.txt,
	  OutOfSource/CMakeLists.txt, Plugin/CMakeLists.txt,
	  PrecompiledHeader/CMakeLists.txt, Properties/CMakeLists.txt,
	  ReturnTest/CMakeLists.txt, RuntimePath/CMakeLists.txt,
	  SameName/CMakeLists.txt, SetLang/CMakeLists.txt,
	  SimpleExclude/CMakeLists.txt, SimpleInstall/CMakeLists.txt,
	  SimpleInstallS2/CMakeLists.txt, SourceGroups/CMakeLists.txt,
	  StringFileTest/CMakeLists.txt, SubDir/CMakeLists.txt,
	  SubDir/Examples/CMakeLists.txt,
	  SubDir/Examples/example1/CMakeLists.txt,
	  SubDirSpaces/CMakeLists.txt, SubDirSpaces/Some
	  Examples/CMakeLists.txt, SubDirSpaces/Some
	  Examples/example1/CMakeLists.txt, SubProject/CMakeLists.txt,
	  SwigTest/CMakeLists.txt, SystemInformation/CMakeLists.txt,
	  TarTest/CMakeLists.txt, TargetName/CMakeLists.txt,
	  TestDriver/CMakeLists.txt, Testing/CMakeLists.txt,
	  TryCompile/CMakeLists.txt, Tutorial/Step1/CMakeLists.txt,
	  Tutorial/Step2/CMakeLists.txt, Tutorial/Step3/CMakeLists.txt,
	  Tutorial/Step4/CMakeLists.txt, Tutorial/Step5/CMakeLists.txt,
	  Tutorial/Step6/CMakeLists.txt, Tutorial/Step7/CMakeLists.txt,
	  UseWX/CMakeLists.txt, VSExternalInclude/CMakeLists.txt,
	  Wrapping/CMakeLists.txt, X11/CMakeLists.txt: ENH: preclean some
	  warnings

2008-03-25 10:11  hoffman

	* Source/cmLocalUnixMakefileGenerator3.cxx: ENH: fix for watcom
	  can't use phony

2008-03-24 23:58  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-03-24 18:23  hoffman

	* CMakeLists.txt, Modules/FindBLAS.cmake, Modules/FindKDE4.cmake,
	  Modules/FindLAPACK.cmake, Modules/FindMPI.cmake,
	  Modules/FindQt4.cmake, Modules/FindSubversion.cmake,
	  Source/cmCMakeMinimumRequired.cxx,
	  Source/cmCMakePolicyCommand.cxx,
	  Source/cmComputeLinkInformation.cxx, Source/cmCoreTryCompile.cxx,
	  Source/cmGlobalUnixMakefileGenerator3.cxx,
	  Source/cmIfCommand.cxx, Source/cmIfCommand.h,
	  Source/cmListFileCache.cxx,
	  Source/cmLocalUnixMakefileGenerator3.cxx, Source/cmPolicies.cxx,
	  Source/cmake.cxx, Source/cmake.h,
	  Source/CTest/cmCTestBuildHandler.cxx,
	  Tests/Complex/CMakeLists.txt,
	  Tests/ComplexOneConfig/CMakeLists.txt,
	  Tests/ComplexRelativePaths/CMakeLists.txt,
	  Tests/MakeClean/ToClean/CMakeLists.txt,
	  Tests/Preprocess/CMakeLists.txt: ENH: merge in from CVS

2008-03-24 15:41  hoffman

	* Modules/FindMPI.cmake: ENH: remove use of undefined cdr

2008-03-24 15:40  hoffman

	* Modules/FindQt4.cmake: ENH: fix if

2008-03-24 11:49  alin.elena

	* Modules/: FindBLAS.cmake, FindLAPACK.cmake: ENH:
	  FindBLAS.cmake&FindLAPACK updated to support intel mkl 10

2008-03-24 10:56  king

	* Source/: cmCMakeMinimumRequired.cxx, cmCMakePolicyCommand.cxx,
	  cmPolicies.cxx: ENH: Cleanup policy version interface presented
	  to user.

	    - In cmake_minimum_required do not set policy version if
	  current
	      CMake is too old
	    - In cmPolicies::ApplyPolicyVersion report error if version is
	  too
	      new or cannot be parsed

2008-03-24 10:26  hoffman

	* Source/: cmGlobalUnixMakefileGenerator3.cxx,
	  cmLocalUnixMakefileGenerator3.cxx: ENH: add PHONY targets

2008-03-23 23:58  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-03-22 23:58  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-03-22 10:24  hoffman

	* Source/: cmake.h, cmake.cxx: ENH: make sure -Wno-dev sticks so
	  make rebuild_cache will work

2008-03-21 23:58  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-03-20 23:59  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-03-20 21:11  king

	* Source/: cmComputeLinkInformation.cxx,
	  cmComputeLinkInformation.h, cmPolicies.cxx: ENH: Yet another
	  attempt at warning for CMP0003.

	    - Give example code to avoid the warning
	    - Make explanation more consise
	    - Explicitly state this is for compatibility
	    - Issue the warning for at most one target

2008-03-20 18:25  king

	* Source/cmIfCommand.cxx, Source/cmIfCommand.h,
	  Tests/Complex/CMakeLists.txt,
	  Tests/ComplexOneConfig/CMakeLists.txt,
	  Tests/ComplexRelativePaths/CMakeLists.txt: ENH: Add "if(POLICY
	  policy-id)" option for IF command.

	    - This will help projects support multiple CMake versions.
	    - In order to set a policy when using a newer CMake but still
	      working with an older CMake one may write
		if(POLICY CMP1234)
		  cmake_policy(SET CMP1234 NEW)
		endif(POLICY CMP1234)
	    - Note that since CMake 2.4 does not have if(POLICY) supporting
	      it will also require using "if(COMMAND cmake_policy)"

2008-03-20 18:25  king

	* Tests/: MakeClean/ToClean/CMakeLists.txt,
	  Preprocess/CMakeLists.txt: BUG: Convert cmake_policy(VERSION) to
	  cmake_minimum_required(VERSION) in
	  Tests/MakeClean/ToClean/CMakeLists.txt and
	  Tests/Preprocess/CMakeLists.txt.  CMP0000 now requires the
	  cmake_minimum_required command.

2008-03-20 11:44  david.cole

	* Modules/FindSubversion.cmake: BUG: Remove reference to
	  PROJECT_SOURCE_DIR so that the Subversion_WC_INFO macro may be
	  called from a ctest or cmake script.

2008-03-20 10:46  martink

	* Source/cmListFileCache.cxx: ENH: tiny performance improvement

2008-03-20 10:40  martink

	* Source/cmListFileCache.cxx: ENH: small simple projects do not
	  need to specify cmake minimum required

2008-03-20 10:11  king

	* Source/cmake.cxx: ENH: Clarify end of (dev) warnings to
	  explicitly state they are meant for project developers.

2008-03-19 23:59  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-03-19 16:14  clinton

	* Modules/FindQt4.cmake:
	  BUG:	Fix issue when Qt from Linux distro is used	  and glib
	  and dbus development packages aren't installed.

2008-03-19 15:44  king

	* Source/cmCoreTryCompile.cxx: BUG: Change generated try-compile
	  projects to use cmake_minimum_required instead of cmake_policy to
	  set the version now that CMP0000 requires it.

2008-03-19 15:27  clinton

	* Modules/FindQt4.cmake: BUG:  Don't clear output strings before
	  using.

2008-03-19 15:18  king

	* Source/: cmListFileCache.cxx, cmPolicies.cxx: ENH: Improve
	  warning about specifying a cmake version

	    - Update policy CMP0000 to require use of the command
	      cmake_minimum_required and not cmake_policy
	      so there is only one way to avoid it.
	    - Explicitly specify the line users should add.
	    - Reference policy CMP0000 only at the end.
	    - Fix policy CMP0000 documentation to not suggest
	      use of the cmake_policy command.

2008-03-19 14:32  king

	* Source/cmComputeLinkInformation.cxx: ENH: Clarify warning for
	  policy CMP0003 further.

2008-03-19 11:18  david.cole

	* Source/CTest/cmCTestBuildHandler.cxx: BUG: Missing a linker
	  crashed error matching string.

2008-03-19 09:14  hoffman

	* Source/cmComputeLinkInformation.cxx: ENH: do not warn about
	  frameworks as they are not affected by -L anyway

2008-03-18 23:59  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-03-18 21:22  hoffman

	* CMakeLists.txt: ENH: forgot to check this in, need to change the
	  version in CVS

2008-03-18 18:37  clinton

	* Modules/FindQt4.cmake:
	  STYLE:  Improve documentation by expanding on how UseQt4.cmake
	  fits in.

2008-03-18 17:54  alex

	* Modules/FindQt4.cmake: STYLE: fix documentation again:
	  QT_LIBRARIES exists if you use Qt4 via UseQt4.cmake

	  Alex

2008-03-18 17:32  hoffman

	* Source/: cmComputeLinkInformation.cxx,
	  cmComputeLinkInformation.h: ENH: try to reduce the number of
	  CMP0003 warnings that people see.  Only report them for unique
	  sets of libraries with no full path.	Also add a message
	  explaining the course of action that should be taken

2008-03-18 17:26  alex

	* Modules/FindQt4.cmake: STYLE: fix documentation, QT_LIBRARIES
	  doesn't exist, and also didn't exist in cmake 2.4.3, the first
	  stable cmake 2.4.x release

	  Alex

2008-03-18 16:30  clinton

	* Modules/FindQt4.cmake:
	  ENH:	Satisfy QtDBus dependencies for builds with static Qt.
	  Finish fix for #6607.

2008-03-18 11:51  hoffman

	* Source/cmLocalUnixMakefileGenerator3.cxx: ENH: exclude borland
	  make as well

2008-03-18 11:28  hoffman

	* Source/cmLocalUnixMakefileGenerator3.cxx: ENH: turn off extra
	  rules for nmake and wmake

2008-03-18 11:11  hoffman

	* CMakeLists.txt: ENH: set the version on 2.6

2008-03-18 10:23  hoffman

	* CMakeLists.txt, Modules/CTest.cmake, Modules/FindKDE4.cmake,
	  Modules/FindPackageHandleStandardArgs.cmake,
	  Modules/FindPackageMessage.cmake, Modules/FindQt4.cmake,
	  Modules/FindX11.cmake, Modules/UseQt4.cmake,
	  Modules/VTKCompatibility.cmake,
	  Modules/Platform/Linux-GNU-Fortran.cmake,
	  Modules/Platform/Linux-ifort.cmake,
	  Modules/Platform/Windows-cl.cmake,
	  Source/cmCMakeMinimumRequired.h, Source/cmCMakePolicyCommand.h,
	  Source/cmComputeLinkDepends.cxx, Source/cmComputeLinkDepends.h,
	  Source/cmComputeLinkInformation.cxx,
	  Source/cmComputeLinkInformation.h,
	  Source/cmDocumentVariables.cxx, Source/cmExportFileGenerator.cxx,
	  Source/cmListCommand.cxx,
	  Source/cmLocalUnixMakefileGenerator3.cxx, Source/cmMakefile.cxx,
	  Source/cmPolicies.cxx, Source/cmPolicies.h,
	  Source/cmSourceFileLocation.cxx, Source/cmTarget.cxx,
	  Source/cmTarget.h, Source/QtDialog/CMakeSetup.cxx,
	  Source/QtDialog/CMakeSetupDialog.cxx,
	  Source/kwsys/CMakeLists.txt, Source/kwsys/kwsysDateStamp.cmake,
	  Utilities/cmcurl/CMakeLists.txt: ENH: move head to branch

2008-03-18 10:02  hoffman

	* Source/cmLocalUnixMakefileGenerator3.cxx: ENH: try to improve
	  make speed by getting rid of some implicit rules that were still
	  around.

2008-03-17 23:59  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-03-17 20:30  king

	* Source/cmCMakePolicyCommand.h: ENH: Improve documentation of
	  cmake_policy command.

	    - Add a paragraph introducing the policy mechanism
	    - Explicitly introduce the CMP<NNNN>, OLD, and NEW notation
	    - Note that setting policies by CMake version is preferred
	    - Fix SET signature to use CMP<NNNN> notation
	    - Add more details about the policy stack

2008-03-17 16:22  king

	* CMakeLists.txt, Source/kwsys/CMakeLists.txt,
	  Utilities/cmcurl/CMakeLists.txt: ENH: Set CMake Policy CMP0003 to
	  NEW behavior to build without warnings with the upcoming CMake
	  2.6 release.

2008-03-17 14:53  clinton

	* Modules/FindQt4.cmake:
	  ENH:	For Mac OS X, remove QuickTime link for Qt 4.3+ and add
	  AppKit link for Qt 4.2+.

2008-03-17 11:10  hoffman

	* Modules/FindPackageMessage.cmake: file FindPackageMessage.cmake
	  was added on branch CMake-2-6 on 2008-03-18 14:23:52 +0000

2008-03-17 11:10  king

	* Modules/: FindPackageHandleStandardArgs.cmake,
	  FindPackageMessage.cmake, FindQt4.cmake, FindX11.cmake: ENH:
	  Added FindPackageMessage module

	    - Defines FIND_PACKAGE_MESSAGE function to help display
	      find result messages only once
	    - Added use of it to FindPackageHandleStandardArgs
	    - Added use of it to FindQt4, and FindX11
	    - This cleans up repeated messages in big projects

2008-03-17 11:10  king

	* Modules/CTest.cmake: ENH: Avoid printing message about unknown
	  repository type repeatedly in CTest.

2008-03-17 08:55  king

	* Modules/Platform/: Linux-GNU-Fortran.cmake, Linux-ifort.cmake:
	  ENH: Patch from Maik to add per-configuration default flags to
	  GCC and Intel Fortran compilers on Linux.

2008-03-16 23:59  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-03-15 23:59  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-03-15 20:10  david.cole

	* Modules/CMakeJavaInformation.cmake: BUG: Go back to using "." so
	  the Java test passes on the nightly nmake dashboards again. Still
	  need a solution that works with both nmake and Visual Studio
	  builds.

2008-03-15 10:00  king

	* Source/cmComputeLinkInformation.cxx: COMP: Fix unreachable code
	  warning for break after return in switch in CMP0003 impl.

2008-03-15 10:00  king

	* Source/: cmTarget.cxx, cmSourceFileLocation.cxx: STYLE: Fix
	  line-too-long for new INTERNAL_ERROR messages.

2008-03-14 23:59  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-03-14 18:16  alex

	* Modules/FindKDE4.cmake: ENH: preparations for cross compiling
	  KDE4

	  Alex

2008-03-14 16:39  barre

	* Source/cmListCommand.cxx: STYLE: yeah yeah.

2008-03-14 15:18  clinton

	* Source/QtDialog/CMakeSetup.cxx:
	  ENH:	Prevent loading standard qt plugins at runtime (which we
	  dont' care about).	    This can cause problems if a Mac bundle
	  doesn't contain the plugins.

2008-03-14 14:28  clinton

	* Modules/FindQt4.cmake: BUG:  Fix typo to find QAssistantClient
	  header.

2008-03-14 14:21  king

	* Source/cmComputeLinkInformation.cxx: ENH: Improve CMP0003 to
	  provide more compatibility

	    - Targets built in the tree now add compatibility paths too
	    - The warning message's first list includes at most one item
	      for each unique compatibility path
	    - Clarified error message further

2008-03-14 13:29  clinton

	* Modules/FindQt4.cmake:
	  ENH:	Satisfy QtNetwork and QtOpenGL dependencies for builds with
	  static Qt.	    Partial fix for #6607.

2008-03-14 13:16  clinton

	* Modules/: FindQt4.cmake, UseQt4.cmake:
	  ENH:	Automatically add dependent modules.	    For example, if
	  QT_USE_QTXMLPATTERNS is on, QT_USE_QTNETWORK is turned on.
	  The equivalent happens in a qmake .pro file when QT +=
	  xmlpatterns is specified.

2008-03-14 12:11  clinton

	* Modules/FindQt4.cmake:
	  ENH:	Support static Qt 4.4 builds using QtHelp module.

2008-03-13 19:12  clinton

	* Modules/: FindQt4.cmake, UseQt4.cmake:
	  ENH:	Add support for Qt 4.4's phonon module.        Add new Qt
	  4.4 modules in UseQt4.cmake

2008-03-13 17:38  king

	* Source/cmMakefile.cxx: BUG: Fix impl of CMP0005 regex to match
	  value-less definitions.

2008-03-13 17:32  king

	* Source/: cmCMakeMinimumRequired.h, cmPolicies.cxx: ENH: Clarify
	  documentation of policy CMP0000 and its relationship with
	  cmake_minimum_required.

2008-03-13 17:11  king

	* Source/: cmMakefile.cxx, cmPolicies.cxx, cmPolicies.h: ENH: Add
	  policy CMP0005 to decide whether add_definitions should escape
	  defs.

2008-03-13 17:04  king

	* Source/cmExportFileGenerator.cxx: ENH: Add cmake_policy
	  push/version/pop to import/export files.

2008-03-13 16:42  hoffman

	* Modules/Platform/Windows-cl.cmake: ENH: fix c flags for 2003 free
	  command line tools

2008-03-13 16:35  king

	* Source/: cmComputeLinkDepends.cxx, cmComputeLinkDepends.h,
	  cmPolicies.cxx, cmPolicies.h, cmTarget.cxx, cmTarget.h: ENH: Add
	  policy CMP_0004 to require library names to have no leading or
	  trailing whitespace.	Replace previous check of
	  CMAKE_BACKWARDS_COMPATIBILITY against version 2.4 with the
	  policy.

2008-03-13 16:23  king

	* Modules/VTKCompatibility.cmake,
	  Source/cmComputeLinkInformation.cxx,
	  Source/cmComputeLinkInformation.h,
	  Source/cmDocumentVariables.cxx, Source/cmPolicies.cxx,
	  Source/cmPolicies.h, Source/cmTarget.cxx, Source/cmTarget.h: ENH:
	  Convert CMAKE_LINK_OLD_PATHS to policy CMP0003.

	    - Policy is WARN by default so projects will build
	      as they did in 2.4 without user intervention
	    - Remove CMAKE_LINK_OLD_PATHS variable since it was
	      never in a release and the policy supercedes it
	    - Report target creation backtrace in warning message
	      since policy should be set by that point

2008-03-13 16:21  hoffman

	* Source/QtDialog/CMakeSetupDialog.cxx: ENH: make menu item match
	  -Wno-dev command line

2008-03-13 16:13  clinton

	* Source/QtDialog/CMakeSetupDialog.cxx: ENH:  Preserve white spaces
	  when printing messages.

2008-03-13 15:34  hoffman

	* Source/cmake.cxx: ENH: move the clear to before things are added
	  to the maps

2008-03-13 15:29  clinton

	* Modules/FindQt4.cmake:
	  ENH:	Add support for new modules in Qt 4.4.	Fixes #6316.
	  Simplify and clarify some documentation.

	  BUG:	Fix order of include paths (from KDE's FindQt4)       Fix
	  find of Designer components debug library on Windows.

2008-03-13 15:06  king

	* Source/cmake.cxx: ENH: Make (dev) warnings show note about
	  -Wno-dev option.  Fix -Wdev and -Wno-dev options to not be
	  mistaken for the source directory specification.

2008-03-13 15:03  david.cole

	* Modules/CMakeJavaInformation.cmake: COMP: Conditionalize the last
	  change so that the fix only applies to WIN32. Leave it the way it
	  was elsewhere, the new way does not work on the Mac continuous
	  dashboard...

2008-03-13 15:01  king

	* Source/cmPolicies.cxx: ENH: Reduce whitespace in policy
	  warning/error messages.

2008-03-13 14:29  david.cole

	* Modules/CMakeJavaInformation.cmake: BUG: Fix the Java test for
	  Visual Studio builds. Before this, it had been trying to include
	  "BuildLog.htm" in the .jar file because it was using "." as the
	  list of files to include in the .jar file. Use "*.class" instead
	  of "." to prevent this silliness.

2008-03-13 14:13  king

	* Source/cmMakefile.cxx: ENH: Improve error message when invalid
	  policy is given.

2008-03-13 13:52  king

	* Source/cmSetCommand.cxx: ENH: Simplify error message for invalid
	  set(... CACHE) calls to make it look nicer with new message
	  format.

2008-03-13 13:48  king

	* Source/: cmListFileCache.cxx, cmListFileCache.h, cmMakefile.cxx,
	  cmMakefile.h, cmTarget.cxx, cmTarget.h, cmake.cxx, cmake.h: ENH:
	  Improve new error/warning message generation

	    - Add cmListFileBacktrace to record stack traces
	    - Move main IssueMessage method to the cmake class instance
	      (make the backtrace an explicit argument)
	    - Change cmMakefile::IssueMessage to construct a backtrace
	      and call the cmake instance version
	    - Record a backtrace at the point a target is created
	      (useful later for messages issued by generators)

2008-03-13 11:38  martink

	* Source/: cmCMakePolicyCommand.h, cmListFileCache.cxx,
	  cmLocalGenerator.cxx, cmMakefile.cxx, cmPolicies.cxx,
	  cmPolicies.h, cmake.cxx: ENH: change CMP_ to CMP

2008-03-13 10:56  hoffman

	* Modules/FindGLUT.cmake: BUG: fix bug 6594 look for glut in more
	  places on windows

2008-03-13 09:28  barre

	* Source/cmFileCommand.cxx: BUG: the directory the FILE DOWNLOAD
	  command is writing to might not exist.

2008-03-12 23:59  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-03-12 21:54  hoffman

	* CMakeCPackOptions.cmake.in,
	  Source/CPack/cmCPackCygwinBinaryGenerator.cxx,
	  Source/CPack/cmCPackCygwinSourceGenerator.cxx,
	  Source/CPack/cmCPackGenerator.cxx: ENH: fix crash in cpack when
	  CPACK_CYGWIN_PATCH_NUMBER not specified

2008-03-12 21:06  hoffman

	* Source/: cmLocalUnixMakefileGenerator3.cxx, cmMakefile.cxx,
	  cmSourceFileLocation.cxx, cmTarget.cxx, cmake.h: ENH: remove
	  abort calls and replace with an IssueMessage INTERANL_ERROR,
	  better to not crash on the end user.

2008-03-12 17:02  hoffman

	* Source/: cmake.cxx, cmake.h: ENH: make sure properties are re-set
	  on each configure

2008-03-12 17:02  barre

	* Source/cmListCommand.cxx, Source/cmListCommand.h,
	  Tests/CMakeTests/ListTest.cmake.in: ENH: add REMOVE_DUPLICATES
	  subcommand to LIST command (and test). Remove duplicates from a
	  list (keep the ordering)

2008-03-12 14:37  martink

	* Source/cmGlobalUnixMakefileGenerator3.cxx: BUG: fix some bad
	  changes in progress calc

2008-03-12 09:25  hoffman

	* Source/cmMakefile.cxx: STYLE: fix line len

2008-03-12 00:00  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-03-11 23:01  hoffman

	* Source/MFCDialog/CMakeSetupDialog.cpp: ENH: fix dumb MS warning
	  about BOOL and performance with more code

2008-03-11 22:52  hoffman

	* Source/QtDialog/CMakeSetupDialog.cxx: ENH: remove iostream, not
	  used

2008-03-11 22:50  hoffman

	* Source/: cmake.cxx, cmake.h, MFCDialog/CMakeSetup.rc,
	  MFCDialog/CMakeSetupDialog.cpp, MFCDialog/CMakeSetupDialog.h,
	  MFCDialog/resource.h, QtDialog/CMakeSetupDialog.cxx,
	  QtDialog/CMakeSetupDialog.h, QtDialog/QCMake.cxx,
	  QtDialog/QCMake.h: ENH: add ability to suppress dev warnings to
	  gui code

2008-03-11 17:53  king

	* Source/cmLocalUnixMakefileGenerator3.cxx: BUG: Fix subtle bug
	  that prevented Makefile generators from rescanning dependencies
	  when a new source file is added but no other sources are touched.

2008-03-11 17:37  king

	* Source/kwsys/SystemInformation.hxx.in: COMP: Fix shared lib build
	  on windows for KWSys's SystemInformation by adding export macro.

2008-03-11 17:27  hoffman

	* Source/QtDialog/: CMake.desktop, CMakeLists.txt, cmakecache.xml:
	  ENH: add KDE desktop stuff

2008-03-11 17:27  hoffman

	* Source/cmMakefile.cxx: ENH: fix warning message a bit

2008-03-11 17:25  king

	* Source/: cmGlobalVisualStudio8Generator.cxx, cmake.cxx, cmake.h:
	  BUG: Fixes to VS8/VS9 project regeneration rules

	    - ZERO_CHECK should check all stamps in case
	      of parallel build (fixes complex test failure)
	    - ZERO_CHECK should not appear when
	      CMAKE_SUPPRESS_REGENERATION is on (fixes bug 6490)

2008-03-11 16:02  hoffman

	* Source/: cmake.h, cmakemain.cxx: ENH: fix -Wno-dev for ccmake

2008-03-11 15:17  hoffman

	* Source/: cmMakefile.cxx, cmake.cxx, cmakemain.cxx: ENH: add a way
	  to suppress the new policy warnings, still need ccmake and gui's

2008-03-11 10:54  barre

	* Docs/cmake-mode.el: ENH: add simple function to convert all CMake
	  commands to lowercase

2008-03-11 10:29  hoffman

	* Source/: cmListFileCache.cxx, cmMakefile.cxx, cmMakefile.h,
	  cmPolicies.cxx, cmake.h: ENH: add enum to IssueMessage

2008-03-11 00:00  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-03-10 18:48  barre

	* Modules/: FindCVS.cmake: ENH: for some reasons there was never a
	  FindCVS module?

2008-03-10 15:41  king

	* Source/cmMakefile.cxx: ENH: Enforce matching PUSH/POP calls for
	  cmake_policy.

2008-03-10 15:40  king

	* Source/cmMakefile.cxx: ENH: Add directory-level context
	  information to error/warning messages when no call stack is
	  present.

2008-03-10 13:26  alex

	* Modules/: FindLua50.cmake, FindLua51.cmake: ENH: use the standard
	  find_package_handle_standard_args() for lua 5.0 and 5.1

	  Alex

2008-03-10 09:32  king

	* Modules/: CMakeCCompilerId.c.in, CMakeCXXCompilerId.cpp.in,
	  CMakePlatformId.h.in: ENH: Make compiler id detection more robust

	    - Split INFO strings in source into multiple pieces
	      to make sure assembly or other listings produced
	      by the compiler are never matched by the regex
	    - Store INFO strings via pointer instead of array
	      to convince some compilers to store the string
	      literally in the binary
	    - This should help make it work for sdcc 2.8.0 RC1

2008-03-10 00:00  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-03-09 19:20  alex

	* Modules/CMakeDetermineCompilerId.cmake: BUG: make compiler id
	  detection (almost) work again with sdcc 2.8.0 RC1, mail sent to
	  Brad for the remaining issue don't match INFO:compiler["
	  COMPILER_ID "] which appears in the assembler file generated from
	  the C file by sdcc, but make sure the first character after the [
	  is no double quote

	  Alex

2008-03-09 00:00  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-03-08 09:50  king

	* Source/cmIncludeDirectoryCommand.cxx: BUG: Fix
	  include_directories command to produce an immediately whether or
	  not 2.4 compatibility is enabled.  CMake 2.4 already produced an
	  error, just not immediately.

2008-03-08 09:27  king

	* Source/cmIncludeCommand.cxx: ENH: Improve formatting of include
	  command error message.

2008-03-08 09:21  king

	* Source/cmMakefile.cxx: COMP: Avoid using operator-> on
	  const_reverse_iterator to help old compilers.

2008-03-08 09:13  king

	* Source/: cmMakefile.cxx, cmPolicies.cxx: ENH: Cleanup policy
	  generic documentation.  Cleanup some policy error/warning
	  messages.

2008-03-08 00:00  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-03-07 19:58  hoffman

	* Modules/FindMPI.cmake: ENH: add new version of FindMPI, fix it to
	  work with MPICH2 on windows

2008-03-07 17:05  king

	* Source/cmAddCustomTargetCommand.cxx: COMP: Fix unused parameter
	  warning in cmAddCustomTargetCommand.

2008-03-07 16:36  king

	* Source/: cmMakefile.cxx, cmPolicies.cxx, cmPolicies.h, cmake.cxx:
	  ENH: Finish creating, documenting, and enforcing policy CMP_0002.

2008-03-07 16:32  hoffman

	* Source/CursesDialog/: cmCursesCacheEntryComposite.cxx,
	  cmCursesMainForm.cxx: ENH: fix it for working with an empty cache

2008-03-07 16:26  king

	* bootstrap: COMP: Fix bootstrap build after using
	  cmDocumentationFormatterText in cmMakefile.

2008-03-07 16:01  king

	* Source/: cmDocumentationFormatterText.cxx, cmMakefile.cxx: ENH:
	  In cmMakefile::IssueMessage use cmDocumentationFormatterText to
	  format the message nicely.

2008-03-07 15:30  king

	* Source/cmAddCustomTargetCommand.cxx,
	  Source/cmCMakeMinimumRequired.h, Source/cmCMakePolicyCommand.h,
	  Source/cmConfigureFileCommand.cxx, Source/cmFindBase.cxx,
	  Source/cmListFileCache.cxx, Source/cmLocalGenerator.cxx,
	  Source/cmMakefile.cxx, Source/cmPolicies.cxx,
	  Source/cmPolicies.h, Source/cmake.cxx,
	  Tests/MakeClean/ToClean/CMakeLists.txt,
	  Tests/Preprocess/CMakeLists.txt: ENH: Improve handling of
	  old-style compatibility.

	    - Remove CMP_0001 (no slash in target name) and restore
	      old CMAKE_BACKWARDS_COMPATIBILITY check for it
	    - Replace all checks of CMAKE_BACKWARDS_COMPATIBILITY
	      with cmLocalGenerator::NeedBackwardsCompatibility calls
	    - Create new CMP_0001 to determine whether or not
	      CMAKE_BACKWARDS_COMPATIBILITY is used.
	      (old = use, new = ignore)
	    - Show CMAKE_BACKWARDS_COMPATIBILITY in cache only when
	      CMP_0001 is set to OLD or WARN
	    - Update documentation of cmake_policy and
	  cmake_minimum_required
	      to indicate their relationship and the 2.4 version boundary
	    - When no cmake policy version is set in top level makefile
	      implicitly call cmake_policy(VERSION 2.4) which restores
	      CMAKE_BACKWARDS_COMPATIBILITY and other 2.4 compatibility
	    - Fix tests MakeClean and Preprocess to call
	      cmake_policy(VERSION 2.6) because they depend on new policies

2008-03-07 14:03  hoffman

	* Utilities/Release/: create-cmake-release.cmake,
	  dashmacmini2_release.cmake, magrathea_release.cmake,
	  release_cmake.sh.in: ENH: qtgui stuff

2008-03-07 11:50  clinton

	* Source/QtDialog/CMakeSetupDialog.cxx: ENH:  Use fixed pitch font
	  in output window.

2008-03-07 11:43  martink

	* Source/: cmCMakeMinimumRequired.cxx, cmCacheManager.h,
	  cmListFileCache.cxx, cmPolicies.cxx, cmake.cxx: ENH: clean up
	  some policy stuff and interactions with
	  CMAKE_BACKWARDS_COMPATIBILITY and CMAKE_MINIMUM_REQUIRED

2008-03-07 11:06  hoffman

	* Source/CPack/: cmCPackCygwinBinaryGenerator.cxx,
	  cmCPackGenerator.cxx: ENH: fix crash in cygwin package stuff

2008-03-07 09:41  martink

	* Source/cmListFileCache.cxx: STYLE: fix line length issue

2008-03-07 09:09  king

	* Source/cmMakefile.cxx: BUG: Do not produce whitespace-only lines
	  when indenting messages in new error/warning format.

2008-03-07 08:53  king

	* Source/cmCoreTryCompile.cxx: BUG: Generated try-compile
	  CMakeLists.txt file should call cmake_policy with the current
	  version of CMake, not just 2.6.

2008-03-07 08:40  king

	* Source/: cmAddCustomTargetCommand.cxx, cmExecutionStatus.h,
	  cmFunctionCommand.cxx, cmListFileCache.cxx, cmListFileCache.h,
	  cmMacroCommand.cxx, cmMakefile.cxx, cmMakefile.h, cmPolicies.cxx:
	  ENH: New format for warning and error messages

	    - Add cmMakefile methods IssueError and IssueWarning
	    - Maintain an explicit call stack in cmMakefile
	    - Include context/call-stack info in messages
	    - Nested errors now unwind the call stack
	    - Use new mechanism for policy warnings and errors
	    - Improve policy error message
	    - Include cmExecutionStatus pointer in call stack
	      so that errors deeper in the C++ stack under
	      a command invocation will become errors for the
	      command

2008-03-07 00:00  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-03-06 16:03  martink

	* Source/cmListFileCache.cxx: BUG: keep CMAKE_BACKWARDS_COMP as
	  internal

2008-03-06 15:51  martink

	* Source/cmListFileCache.cxx: BUG: make default
	  CMAKE_BACKWARDS_COMPATIBILITY 2.5

2008-03-06 15:20  hoffman

	* Source/cmCoreTryCompile.cxx: ENH: make sure policy is set in
	  generated cmakelist files

2008-03-06 15:08  martink

	* Source/: cmConfigureFileCommand.cxx, cmListFileCache.cxx,
	  cmPolicies.cxx: BUG: change in handling of cmake_minimum_required

2008-03-06 11:34  hoffman

	* Source/cmDocumentationFormatterHTML.cxx: STYLE: fix line length

2008-03-06 10:57  martink

	* Source/: cmCMakeMinimumRequired.cxx, cmConfigureFileCommand.cxx,
	  cmListFileCache.cxx, cmListFileCache.h, cmMakefile.cxx,
	  cmPolicies.cxx: BUG: change the handling of
	  CMAKE_MINIMUM_REQUIRED and BACKWARDS_COMPATIBILITY and extend the
	  documentaiton quite a bit

2008-03-06 00:00  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-03-05 18:42  king

	* Source/cmPolicies.cxx: ENH: Fix policy warning message to not
	  give wrong code as example.

2008-03-05 18:21  king

	* Source/: cmCMakePolicyCommand.cxx, cmCMakePolicyCommand.h,
	  cmMakefile.cxx, cmMakefile.h: ENH: Improve cmake_policy command
	  signature

	    - Replace NEW and OLD modes with a SET mode for clarity
	    - Enforce VERSION argument validity (major.minor[.patch])

2008-03-05 18:20  king

	* Source/cmPolicies.cxx: BUG: Require policy version to specify at
	  least major.minor.  Do not store CMAKE_BACKWARDS_COMPATIBILITY
	  with an invalid version value.

2008-03-05 17:26  king

	* Source/cmPolicies.cxx: BUG: Fix parsing of policy version number
	  in cmPolicies.

2008-03-05 15:55  king

	* Modules/CMakeFortranCompiler.cmake.in: ENH: Patch from Maik to
	  add more fortran extensions.

2008-03-05 12:53  clinton

	* Modules/FindQt4.cmake:
	  ENH:	Allow users to recover from trying to use an improperly
	  installed Qt	     without removing their cache, fixing their
	  environment and trying again.

2008-03-05 11:41  martink

	* Source/: cmConfigureFileCommand.cxx, cmMakefile.cxx,
	  cmPolicies.cxx, cmPolicies.h: BUG: some fixes, still a few to go

2008-03-05 11:05  hoffman

	* Source/: cmDocumentation.cxx, cmDocumentationFormatter.h,
	  cmDocumentationFormatterHTML.cxx, cmDocumentationFormatterHTML.h:
	  ENH: add master index into html full help

2008-03-05 03:11  ewing

	* Modules/FindOpenAL.cmake: BUG: Fixed PATH_SUFFIXES copy/paste bug
	  (0006201)

2008-03-05 00:00  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-03-04 18:57  king

	* Source/cmMakefile.cxx: BUG: Make sure at least one policy stack
	  entry is created for every cmMakefile instance.

2008-03-04 18:42  king

	* Source/: cmCMakeMinimumRequired.cxx, cmCMakeMinimumRequired.h:
	  ENH: Make CMAKE_MINIMUM_REQUIRED command FATAL_ERROR option
	  implicit (always on).  Accept but ignore the existing option.

2008-03-04 18:41  king

	* Source/: cmGlobalGenerator.cxx, cmIncludeDirectoryCommand.cxx:
	  BUG: Fix crash when CMAKE_BACKWARDS_COMPATIBILITY is not set.

2008-03-04 14:51  martink

	* Source/: cmCMakeMinimumRequired.cxx, cmPolicies.cxx, cmake.cxx:
	  ENH: more policy changes

2008-03-04 13:51  king

	* Source/cmTarget.cxx: BUG: Fix memory leak when cmTarget instances
	  are assigned.  We really need to get rid of global targets and
	  their associated assignments.

2008-03-04 13:34  hoffman

	* Source/CTest/cmCTestSubmitHandler.cxx: STYLE: fix line len

2008-03-04 09:40  king

	* Source/cmDocumentVariables.cxx: BUG: Fix typo in documentation of
	  LIBRARY_OUTPUT_PATH.

2008-03-04 09:16  martink

	* Source/: cmDocumentation.cxx, cmDocumentation.h,
	  cmDocumentationFormatter.h, cmPolicies.cxx, cmPolicies.h,
	  cmake.cxx, cmake.h, cmakemain.cxx: ENH: add --help-policies and
	  --help-policy command line options

2008-03-04 09:10  martink

	* CMakeLists.txt: BUG: undo accidental commit

2008-03-04 08:18  david.cole

	* Tests/CMakeTests/CMakeLists.txt,
	  Tests/CMakeTests/GetPrerequisitesTest.cmake.in,
	  Modules/GetPrerequisites.cmake: ENH: Add script
	  GetPrerequisites.cmake to help analyze what shared libraries
	  executable files depend on. Primary uses are to determine what
	  shared libraries should be copied into Mac OSX bundle
	  applications to create standalone bundles apps and to determine
	  what shared library files need to be installed for an executable
	  to run on any platform. Requires native platform tools dumpbin,
	  otool and ldd to generate results.

2008-03-04 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-03-03 20:31  king

	* Modules/UsewxWidgets.cmake: STYLE: Remove trailing whitespace.

2008-03-03 20:24  king

	* Modules/CMakeASMInformation.cmake: STYLE: Remove trailing
	  whitespace.

2008-03-03 15:56  king

	* Modules/Use_wxWindows.cmake: STYLE: Remove trailing whitespace.

2008-03-03 11:57  king

	* Modules/VTKCompatibility.cmake: STYLE: Remove trailing
	  whitespace.

2008-03-03 11:28  hoffman

	* Source/cmAddCustomTargetCommand.cxx: ENH: fix ICE with gcc in
	  dash8

2008-03-03 11:18  king

	* Modules/CMakeForceCompiler.cmake: STYLE: Fixed docs of new
	  CMakeForceCompiler

2008-03-03 11:16  king

	* Modules/CMakeForceCompiler.cmake: ENH: Restore
	  CMAKE_FORCE_C_COMPILER and CMAKE_FORCE_CXX_COMPILER macros in
	  CMakeForceCompiler module.

2008-03-03 08:48  king

	* Source/cmELF.cxx: COMP: Fix cmELF to build when ET_LOOS, ET_HIOS,
	  ET_LOPROC, ET_HIPROC may not be defined.

2008-03-03 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-03-02 16:48  king

	* Source/cmInstallTargetGenerator.cxx: ENH: During installation do
	  not use builtin chrpath if the rpath will not change.

2008-03-02 16:37  king

	* Source/cmTarget.cxx: ENH: Allow users to work around problems
	  with the builtin chrpath by setting CMAKE_NO_BUILTIN_CHRPATH.

2008-03-02 16:31  king

	* Source/cmELF.cxx: BUG: Fix bug introduced by workaround to
	  warning.

2008-03-02 16:19  king

	* Source/: cmELF.cxx, cmELF.h: BUG: A few more corrections for
	  cmELF

	    - Add os-specific and processor-specific file types
	    - Add more error strings for invalid files.
	    - Byte order of header fields does not always match encoding

2008-03-02 16:19  king

	* Source/cmSystemTools.cxx: ENH: In cmSystemTools::ChangeRPath
	  check for the RUNPATH if RPATH does not exist.

2008-03-02 14:35  king

	* Source/: cmComputeLinkInformation.cxx, cmFileCommand.cxx,
	  cmInstallTargetGenerator.cxx, cmLocalGenerator.cxx,
	  cmSystemTools.cxx, cmSystemTools.h, cmTarget.cxx: ENH: Cleanup
	  builtin chrpath support

	    - Move computation of extended build-tree rpath
	      to cmComputeLinkInformation
	    - Only enable the extended build-tree rpath if
	      the target will be installed
	    - Generalize the interface of file(CHRPATH)
	    - When changing the rpath on installation only
	      replace the part generated by CMake because
	      the native tools (ex SunCC on Linux) might have
	      added their own part to the rpath

2008-03-02 14:35  king

	* CMakeLists.txt: ENH: Simplify tests for building CMake itself
	  with rpath support now that 2.4 is required to build.

2008-03-02 09:12  martink

	* Source/cmPolicies.h: COMP: possible fix for VS6, but probably
	  not, probably need tomake it internal

2008-03-02 09:11  martink

	* Source/cmMakefile.cxx: COMP: fix warning

2008-03-02 09:03  martink

	* Source/: cmPolicies.cxx, cmPolicies.h: ENH: revert dumb change

2008-03-02 08:36  martink

	* Source/: cmAddCustomTargetCommand.cxx, cmPolicies.cxx,
	  cmPolicies.h: COMP: fix compile errors on vs6 and a warning

2008-03-02 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-03-01 16:21  martink

	* Source/cmMakefile.cxx: BUG: bad loop index unsigned compared to
	  zero

2008-03-01 15:44  martink

	* Source/: cmAddCustomTargetCommand.cxx, cmMakefile.cxx: COMP: fix
	  some warnings

2008-03-01 15:26  martink

	* Source/: cmPolicies.cxx, cmPolicies.h: STYLE: fix some line
	  lengths

2008-03-01 15:20  martink

	* CMakeLists.txt, bootstrap, Source/CMakeLists.txt,
	  Source/cmAddCustomTargetCommand.cxx,
	  Source/cmBootstrapCommands.cxx, Source/cmCommand.h,
	  Source/cmIncludeDirectoryCommand.cxx, Source/cmMakefile.cxx,
	  Source/cmMakefile.h, Source/cmake.cxx, Source/cmake.h: ENH: add
	  first cut and policies still need to add the doc support

2008-03-01 15:16  king

	* Source/cmSystemTools.cxx: COMP: Fix unused parameter warning when
	  cmSystemTools::ChangeRPath is built without ELF support.

2008-03-01 13:17  king

	* Source/cmSystemTools.cxx: BUG: Fix cmSystemTools::ChangeRPath to
	  not complain if there is no RPATH entry in the file but the
	  requested new rpath is empty.

2008-03-01 13:02  king

	* Source/cmTarget.cxx: BUG: Do not try to change the RPATH when
	  installing a target if CMAKE_SKIP_RPATH is on or the path does
	  not need to be changed.

2008-03-01 12:51  king

	* Modules/CMakeFindBinUtils.cmake,
	  Source/cmComputeLinkInformation.cxx,
	  Source/cmComputeLinkInformation.h, Source/cmFileCommand.cxx,
	  Source/cmFileCommand.h, Source/cmInstallTargetGenerator.cxx,
	  Source/cmSystemTools.cxx, Source/cmSystemTools.h,
	  Source/cmTarget.cxx, Source/cmTarget.h: ENH: Use builtin chrpath
	  instead of relinking ELF targets

	    - Add cmSystemTools::ChangeRPath method
	    - Add undocumented file(CHRPATH) command
	    - When installing use file(CHRPATH) to change the rpath
	      instead of relinking
	    - Remove CMAKE_CHRPATH lookup from CMakeFindBinUtils
	    - Remove CMAKE_USE_CHRPATH option since this should
	      always work

2008-03-01 12:50  king

	* Source/: cmELF.cxx, cmELF.h: ENH: Add Size member to
	  cmELF::StringEntry to return the amount of space in the string
	  entry.

2008-03-01 10:56  king

	* Tests/Preprocess/CMakeLists.txt: BUG: Fix typo XCode -> Xcode in
	  Preprocess test.

2008-03-01 09:08  king

	* Tests/Preprocess/CMakeLists.txt: ENH: Update Preprocess test to
	  distinguish between the make tool or compiler tool that is at
	  fault for not supporting a particular character in definitions.
	  Make it skip the % character when the compiler is MSVC and it is
	  a non-nmake tool.

2008-03-01 09:08  king

	* Modules/Platform/Windows-cl.cmake, Source/cmLocalGenerator.cxx:
	  BUG: Do not place $(CMAKE_COMMAND) in link scripts.

2008-03-01 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-02-29 21:33  hoffman

	* Source/: cmIfCommand.cxx, cmWhileCommand.cxx: ENH: fix warnings

2008-02-29 21:33  hoffman

	* Source/cmSetSourceFilesPropertiesCommand.h: ENH: fix docs

2008-02-29 15:42  martink

	* Source/cmCMakePolicyCommand.cxx: ENH: just getting somethng
	  checked in, still work to do

2008-02-29 15:41  martink

	* Source/cmCmakePolicyCOmmand.cxx: ENH: case

2008-02-29 15:28  martink

	* Source/: cmCMakePolicyCommand.h, cmCmakePolicyCOmmand.cxx,
	  cmPolicies.cxx, cmPolicies.h: ENH: just getting somethng checked
	  in, still work to do

2008-02-29 14:58  hoffman

	* Modules/DartConfiguration.tcl.in,
	  Source/CTest/cmCTestSubmitHandler.cxx,
	  Source/CTest/cmCTestSubmitHandler.h: ENH: allow cdash not to
	  trigger

2008-02-29 14:36  hoffman

	* Modules/InstallRequiredSystemLibraries.cmake: ENH: add vs9 stuff,
	  still need msvc9 mfc

2008-02-29 12:18  hoffman

	* Source/: cmForEachCommand.cxx, cmFunctionCommand.cxx,
	  cmIfCommand.cxx, cmMacroCommand.cxx, cmMakefile.cxx,
	  cmWhileCommand.cxx: ENH: make CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS
	  the default and remove the property.	If any value is specified
	  in an endif, endforeach, endwhile, etc then make sure it matches
	  the start string.  If no values are given then it is no longer an
	  error.

2008-02-29 11:12  king

	* Source/: cmELF.cxx, cmELF.h: ENH: Make cmELF parser more general
	  and powerful

	    - Add support to get RPATH and RUNPATH entries.
	    - Add support to get file offsets to strings.
	    - Add more DT_* tags to byte swapping.

2008-02-29 09:15  king

	* Source/cmComputeLinkInformation.cxx: BUG:
	  cmComputeLinkInformation::CheckImplicitDirItem needs to extract
	  the filename portion of the link item to test against the library
	  regex.

2008-02-29 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-02-28 08:43  king

	* Source/cmELF.cxx: COMP: cmELF needs to include sys/link.h to get
	  dynamic section structures on the Sun.

2008-02-28 08:32  king

	* Source/cmELF.cxx: COMP: Fix warnings in cmELF.

2008-02-28 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-02-27 17:10  king

	* Modules/Platform/Windows-ifort.cmake, Modules/Platform/cl.cmake,
	  Source/cmDocumentVariables.cxx,
	  Source/cmMakefileExecutableTargetGenerator.cxx,
	  Source/cmMakefileLibraryTargetGenerator.cxx,
	  Source/cmMakefileTargetGenerator.cxx,
	  Source/cmMakefileTargetGenerator.h: ENH: Handle large object file
	  lists on some platforms

	    - Use a response file when enabled by
	      CMAKE_<LANG>_USE_RESPONSE_FILE_FOR_OBJECTS
	    - Enable for C and CXX with cl (MSVC)
	    - Enable for Fortran with ifort (Intel Fortran)

2008-02-27 16:26  king

	* Source/: CMakeLists.txt, cmConfigure.cmake.h.in, cmELF.cxx,
	  cmELF.h, cmSystemTools.cxx: ENH: Add ELF file parsing

	    - Enabled when system provides elf.h
	    - Introduce cmELF class to parse ELF files
	    - Use in cmSystemTools::GuessLibrarySOName to really get soname

2008-02-27 16:11  king

	* Source/kwsys/CPU.h.in: BUG: Fixed typo in previous commit of
	  kwsys/CPU.h.in

2008-02-27 16:07  king

	* Source/kwsys/: CMakeLists.txt, CPU.h.in: ENH: Added CPU.h to
	  KWSys to identify the target CPU and its byte order.

2008-02-27 14:31  king

	* Modules/Platform/: HP-UX.cmake, IRIX64.cmake, Linux-PGI-C.cmake,
	  Linux-PGI-CXX.cmake, SunOS.cmake, Windows-bcc32.cmake, gcc.cmake:
	  BUG: Apply patch from bug#6445.  Add preprocessor definitions to
	  assembly and preprocessing build rules.

2008-02-27 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-02-26 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-02-25 18:47  king

	* Modules/CMakeCCompilerId.c.in: ENH: Add support to C compiler
	  identification for void return type from main.  Cross-compilers
	  for embedded platforms may require it.

2008-02-25 15:07  clinton

	* Source/QtDialog/CMakeSetupDialog.cxx:
	  ENH:	Adjust when log is cleared.  Its kept doing generate,
	  and cleared when changing the source directory.	 #6358.

2008-02-25 14:23  alex

	* Modules/CPackRPM.cmake: BUG: fix rpmbuild bug, which expands
	  variables in comments :-/ apparently rpmbuild can't handle paths
	  with spaces and can't handle variables in comments...

	  Alex

2008-02-25 10:17  david.cole

	* CTestCustom.cmake.in: BUG: Exclude try_compile sources and kwsys
	  files from CMake coverage results.

2008-02-25 09:23  king

	* Modules/: CMakeCCompilerId.c, CMakeCCompilerId.c.in,
	  CMakeCXXCompilerId.cpp, CMakeCXXCompilerId.cpp.in,
	  CMakeDetermineCCompiler.cmake, CMakeDetermineCXXCompiler.cmake,
	  CMakeDetermineCompilerId.cmake,
	  CMakeDetermineFortranCompiler.cmake, CMakeFortranCompilerId.F90,
	  CMakeFortranCompilerId.F90.in, CMakePlatformId.h,
	  CMakePlatformId.h.in: ENH: Improvied compiler identification
	  robustness

	    - Write a single source file into the compiler id directory
	    - This avoid requiring the compiler to behave correctly with
	      respect to include rules and the current working directory
	    - Helps to identify cross-compiling toolchains with unusual
	      default behavior

2008-02-25 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-02-24 14:05  king

	* Modules/Platform/Windows-bcc32.cmake,
	  Source/cmMakefileTargetGenerator.cxx: ENH: Simplify make build
	  rule generation by removing use of OBJECTS_QUOTED and
	  TARGET_QUOTED rule variables and updating the generation of
	  OBJECTS to always use the newer cmLocalGenerator::Convert method.

2008-02-24 14:05  king

	* Source/: cmComputeLinkDepends.cxx, cmExportFileGenerator.cxx,
	  cmStandardIncludes.h, cmTarget.cxx: COMP: Fix Borland 5.5 build

	    - Its <iosfwd> header includes windows.h which
	      defines GetCurrentDirectory
	    - It defines 'interface' so we cannot use it as
	      a variable name.

2008-02-24 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-02-23 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-02-22 09:44  king

	* Source/cmOrderDirectories.cxx: COMP: Fix unreachable code warning
	  in cmOrderDirectories.

2008-02-22 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-02-21 13:59  king

	* Source/cmOrderDirectories.cxx: COMP: Remove unused local variable
	  from cmOrderDirectories.

2008-02-21 13:58  king

	* Source/: cmComputeLinkInformation.cxx, cmOrderDirectories.cxx,
	  cmSystemTools.cxx, cmSystemTools.h: ENH: Improve linking to
	  third-party shared libraries on soname platforms

	    - Reduce false positives in cases of unknown soname
	    - Make library extension regular expressions match only at end
	  of string
	    - When linking to libraries in implicit dirs convert to the -l
	  option
	      only if the file name is one that can be found by the linker
	      (ex. /usr/lib/libfoo.so.1 should be linked by full path)
	    - Add cmSystemTools::GuessLibrarySOName to guess the soname of
	  a
	      library based on presence of a symlink
	    - In cmComputeLinkInformation try to guess an soname before
	  assuming
	      that a third-party library is built without an soname
	    - In cmOrderDirectories guess the soname of shared libraries in
	  cases
	      it is otherwise unknown

2008-02-21 11:41  king

	* bootstrap, Modules/Platform/FreeBSD.cmake,
	  Modules/Platform/HP-UX.cmake, Modules/Platform/Linux.cmake,
	  Modules/Platform/QNX.cmake, Modules/Platform/SunOS.cmake,
	  Source/CMakeLists.txt, Source/cmComputeLinkInformation.cxx,
	  Source/cmComputeLinkInformation.h, Source/cmOrderDirectories.cxx,
	  Source/cmOrderDirectories.h,
	  Source/cmOrderRuntimeDirectories.cxx,
	  Source/cmOrderRuntimeDirectories.h, Source/cmTarget.cxx,
	  Source/cmTarget.h: ENH: Better linker search path computation.

	    - Use linker search path -L.. -lfoo for lib w/out soname
	      when platform sets CMAKE_PLATFORM_USES_PATH_WHEN_NO_SONAME
	    - Rename cmOrderRuntimeDirectories to cmOrderDirectories
	      and generalize it for both soname constraints and link
	      library constraints
	    - Use cmOrderDirectories to order -L directories based
	      on all needed constraints
	    - Avoid processing implicit link directories
	    - For CMAKE_OLD_LINK_PATHS add constraints from libs
	      producing them to produce old ordering

2008-02-21 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-02-20 14:56  king

	* Source/: cmMakefileExecutableTargetGenerator.cxx,
	  cmMakefileLibraryTargetGenerator.cxx,
	  cmMakefileTargetGenerator.cxx, cmMakefileTargetGenerator.h: BUG:
	  Link scripts should be generated with copy-if-different and
	  included as a dependency of the link rule.

2008-02-20 13:36  king

	* Source/: cmExportLibraryDependencies.cxx,
	  cmExportLibraryDependencies.h: ENH: Deprecate
	  export_library_dependencies

	    - Reference export() and install(EXPORT)
	    - Fix to support OUTPUT_NAME in simple cases

2008-02-20 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-02-19 18:50  ibanez

	* Source/kwsys/testSystemInformation.cxx: ENH: Missing copyright
	  header.

2008-02-19 16:34  alex

	* Source/cmExtraEclipseCDT4Generator.cxx: STYLE: patch part 3 from
	  Miguel: follow naming style for variables

	  Alex

2008-02-19 16:27  alex

	* Source/: cmExtraEclipseCDT4Generator.cxx,
	  cmExtraEclipseCDT4Generator.h: ENH: patch from Miguel part 2: if
	  ECLIPSE_CDT4_GENERATE_SOURCE_PROJECT is true, then the generator
	  additionally generates eclipse project files in the source dir,
	  since this is the only way to get cvs/svn working with eclipse

	  This is off by default and the user has to enable it explicitely.
	  If cmake can't write there it still continues.

	  Alex

2008-02-19 15:07  alex

	* Source/: cmExtraEclipseCDT4Generator.cxx,
	  cmExtraEclipseCDT4Generator.h: ENH: patch part 1 from Miguel: use
	  the cmake project name for the eclipse project name

	  Alex

2008-02-19 14:47  hoffman

	* Source/QtDialog/MacInstallDialog.ui: ENH: better ui

2008-02-19 14:33  alex

	* Source/: CMakeLists.txt, cmDocumentation.cxx, cmDocumentation.h,
	  cmDocumentationFormatter.h, cmDocumentationFormatterDocbook.cxx,
	  cmDocumentationFormatterDocbook.h,
	  cmDocumentationFormatterHTML.cxx, cmakemain.cxx: ENH: add support
	  for creating the documentation in docbook format
	  (http://www.oasis-open.org/docbook/xml/4.2/), which users can
	  then convert to other formats.  Tested with meinproc from KDE,
	  which generates HTML pages which look good.

	  Alex

2008-02-19 14:26  hoffman

	* Source/: CPack/cmCPackPackageMakerGenerator.cxx,
	  CPack/cmCPackPackageMakerGenerator.h, QtDialog/CMakeLists.txt,
	  QtDialog/QtDialogCPack.cmake.in, QtDialog/postflight.sh.in,
	  QtDialog/postupgrade.sh.in: ENH: install working with symlink qt
	  tool

2008-02-19 14:06  hoffman

	* Source/QtDialog/: CMakeLists.txt, CMakeSetup.cxx,
	  MacInstallDialog.ui, QMacInstallDialog.cxx, QMacInstallDialog.h:
	  ENH: add mac install symlink option to dialog

2008-02-19 09:09  king

	* Source/cmTarget.cxx: COMP: Fix HP warning about
	  cmTargetInternalPointer::operator= checking for self-assignment.

2008-02-19 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-02-18 16:38  king

	* Source/: cmGlobalXCodeGenerator.cxx,
	  cmLocalUnixMakefileGenerator3.cxx,
	  cmMakefileExecutableTargetGenerator.cxx,
	  cmMakefileExecutableTargetGenerator.h,
	  cmMakefileLibraryTargetGenerator.cxx,
	  cmMakefileLibraryTargetGenerator.h,
	  cmMakefileTargetGenerator.cxx, cmMakefileTargetGenerator.h,
	  cmMakefileUtilityTargetGenerator.cxx,
	  cmMakefileUtilityTargetGenerator.h, cmSourceFile.cxx,
	  cmTarget.cxx, cmTarget.h: ENH: Cleanup impl of PUBLIC_HEADER,
	  PRIVATE_HEADER, and RESOURCE properties

2008-02-18 15:50  hoffman

	* CMakeCPackOptions.cmake.in, CMakeLists.txt: ENH: install seems to
	  be working for cmake-gui

2008-02-18 15:42  hoffman

	* Source/cmFileCommand.cxx: ENH: add more information to message

2008-02-18 14:51  hoffman

	* Source/QtDialog/CMakeIngestOSXBundleLibraries.cmake: ENH: make
	  sure fixup has right paths

2008-02-18 13:11  hoffman

	* Source/QtDialog/CMakeIngestOSXBundleLibraries.cmake: STYLE: use
	  lowercase

2008-02-18 13:03  hoffman

	* Source/: cmConfigure.cmake.h.in, cmake.cxx: ENH: remove
	  CMAKE_PREFIX so changing it does not rebuild all

2008-02-18 12:01  king

	* Modules/Platform/HP-UX.cmake: BUG: Fix passing of nodefaultrpath
	  flag to linker through c++ compiler.

2008-02-18 11:10  hoffman

	* CMakeLists.txt: ENH: require 2.4 to build cmake

2008-02-18 10:26  hoffman

	* Modules/CMakeIngestOSXBundleLibraries.cmake,
	  Source/CPack/cmCPackGenerator.cxx,
	  Source/QtDialog/CMakeIngestOSXBundleLibraries.cmake,
	  Source/QtDialog/CMakeLists.txt: ENH: have cpack work with DESTDIR
	  install and ingest qt framework libs into cmake-gui

2008-02-18 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-02-17 17:40  hoffman

	* Modules/CheckIncludeFiles.cmake: BUG: fix double cmakefiles
	  directory

2008-02-17 14:04  alex

	* Source/cmDocumentation.cxx: BUG: actually print the docs for
	  custom modules if this was requested

	  Alex

2008-02-17 12:31  alex

	* Source/cmDocumentationFormatterHTML.cxx: PERF: reduce time for
	  full docs as HTML from 1.4 s to 0.2 s, the map is now created and
	  filled only once instead for every character I guess a simple
	  case-switch would be still faster.

	  Alex

2008-02-17 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-02-16 16:33  hoffman

	* Modules/CMakeIngestOSXBundleLibraries.cmake: ENH: add script to
	  ingest library depends into a bundle

2008-02-16 13:05  hoffman

	* CMakeLists.txt, bootstrap, Source/cmBootstrapCommands.cxx,
	  Source/cmCommands.cxx, Source/cmInstallProgramsCommand.cxx,
	  Source/QtDialog/CMakeLists.txt, Source/QtDialog/QCMake.cxx,
	  Source/QtDialog/QtDialogCPack.cmake.in: ENH: support for cpack
	  and install of cmake-gui as mac app bundle

2008-02-16 13:02  hoffman

	* Source/CPack/cmCPackGenerator.cxx: ENH: fix DESTDIR install

2008-02-16 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-02-15 18:26  alex

	* Modules/FindPythonLibs.cmake: STYLE: use global property instead
	  of helper target to collect all python modules from a source tree

	  Alex

2008-02-15 15:36  clinton

	* Source/QtDialog/QCMake.cxx: ENH:  remove unused code.

2008-02-15 12:12  hoffman

	* Source/QtDialog/QCMake.cxx: ENH: use package name on mac for edit
	  cache

2008-02-15 11:56  king

	* Source/cmLocalUnixMakefileGenerator3.cxx: BUG: Apply patch from
	  bug #6180 to make CMAKE_ADDITIONAL_MAKE_CLEAN_FILES work for
	  directories.

2008-02-15 11:49  david.cole

	* Source/cmCallVisualStudioMacro.cxx,
	  Source/cmGlobalVisualStudio71Generator.cxx,
	  Source/cmGlobalVisualStudio71Generator.h,
	  Source/cmGlobalVisualStudio8Generator.cxx,
	  Source/cmGlobalVisualStudio8Generator.h,
	  Source/cmGlobalVisualStudio9Generator.cxx,
	  Source/cmGlobalVisualStudio9Generator.h,
	  Source/cmGlobalVisualStudioGenerator.cxx,
	  Source/cmGlobalVisualStudioGenerator.h,
	  Templates/CMakeVSMacros2.vsmacros: ENH: Add code to support
	  calling the VS reload macro from Visual Studio 7.1 and 9.0 in
	  addition to 8.0 sp1... Make new macros file with VS 7.1 so that
	  it can be read by 7.1 and later. VS 7.1 does not appear to run
	  the macros while a build is in progress, but does not return any
	  errors either, so for now, the reload macro is not called when
	  using 7.1. If I can figure out how to get 7.1 to execute the
	  macro, I will uncomment the code in
	  cmGlobalVisualStudio71Generator::GetUserMacrosDirectory() to
	  activate executing the macros in VS 7.1, too.

2008-02-15 11:22  king

	* Modules/Platform/Darwin.cmake,
	  Source/cmLocalUnixMakefileGenerator3.cxx,
	  Source/cmMakefileExecutableTargetGenerator.cxx,
	  Source/cmMakefileTargetGenerator.cxx,
	  Source/cmMakefileTargetGenerator.h,
	  Source/cmSetPropertyCommand.cxx,
	  Source/cmSetSourceFilesPropertiesCommand.cxx,
	  Source/cmSourceFile.cxx: ENH: Cleanup building of OS X bundle
	  content

	   - Fixes repeated rebuild of bundles by Makefile generators
	   - Add special rules to copy sources to their
	     MACOSX_PACKAGE_LOCATION bundle directory
	   - Remove MacOSX_Content language hack
	     - Remove EXTRA_CONTENT property
	     - Remove MACOSX_CONTENT
	     - Remove corresponding special cases in object names

2008-02-15 10:40  hoffman

	* Source/CPack/cmCPackNSISGenerator.cxx: BUG: fix for bug 6294,
	  correct url for nsis

2008-02-15 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-02-14 20:18  alex

	* Source/cmExtraEclipseCDT4Generator.cxx: ENH: enable color in the
	  eclipse generator, there doesn't seem to be problems

	  Alex

2008-02-14 19:58  clinton

	* Source/QtDialog/: CMakeSetupDialog.cxx, QCMakeCacheView.cxx,
	  QCMakeCacheView.h:
	  ENH:	Convert native paths from QFileDialog and
	  QDirModel/QCompleter.  BUG:  Block possible completion loop.

2008-02-14 18:18  clinton

	* Source/QtDialog/: CMakeSetup.cxx, CMakeSetupDialog.cxx,
	  CMakeSetupDialog.h, QCMake.cxx, QCMakeCacheView.cxx:
	  ENH:	Add shortcut to start search/filter.	    A bit of
	  cleanup.	  Disable tab navigation in cache variable list.
	      Enable home/end keys.

	  BUG:	Ensure currently edited values are saved before doing
	  configure.

2008-02-14 16:42  king

	* Source/: cmAddCustomTargetCommand.cxx, cmGlobalGenerator.cxx,
	  cmGlobalGenerator.h, cmGlobalUnixMakefileGenerator3.h,
	  cmMakefile.cxx, cmMakefile.h, cmake.cxx: ENH: Add global property
	  ALLOW_DUPLICATE_CUSTOM_TARGETS to help existing projects that
	  depend on having duplicate custom targets.  It is allowed only
	  for Makefile generators.  See bug#6348.

2008-02-14 15:31  king

	* Modules/MacOSXBundleInfo.plist.in,
	  Modules/MacOSXFrameworkInfo.plist.in,
	  Source/cmGlobalXCodeGenerator.cxx, Source/cmLocalGenerator.cxx,
	  Source/cmLocalGenerator.h,
	  Source/cmMakefileExecutableTargetGenerator.cxx,
	  Source/cmMakefileLibraryTargetGenerator.cxx, Source/cmTarget.cxx:
	  ENH: Allow multiple OS X applications bundles to be created in a
	  single build directory.  Converted Info.plist files to be
	  generated directly instead of configured with make variables.
	  The MACOSX_BUNDLE_* variables are now properties (and vars for
	  compatibility).

2008-02-14 15:06  hoffman

	* Source/QtDialog/: CMakeSetupDialog.cxx, CMakeSetupDialog.h: ENH:
	  make sure html < > & stuff is escaped for the output window

2008-02-14 13:36  king

	* Modules/CTestTargets.cmake, Source/cmDefinePropertyCommand.cxx,
	  Source/cmDefinePropertyCommand.h,
	  Tests/Complex/Library/CMakeLists.txt,
	  Tests/ComplexOneConfig/Library/CMakeLists.txt,
	  Tests/ComplexRelativePaths/Library/CMakeLists.txt,
	  Tests/Properties/CMakeLists.txt: ENH: Updated DEFINE_PROPERTY
	  command to be more extendible and more consistent with new
	  SET_PROPERTY and GET_PROPERTY signatures.

2008-02-14 11:58  king

	* Modules/CTestTargets.cmake, Source/cmBootstrapCommands.cxx,
	  Source/cmCommands.cxx, Source/cmMakefile.cxx: ENH: Re-enable
	  diagnosis of non-unique target names.

	    - Re-enable enforcement in cmMakefile::EnforceUniqueName
	    - Improve error message to help user resolve the problem
	    - Fix Modules/CTestTargets.cmake to not duplicate testing
	  targets
	    - Move commands used by the changes to
	  Modules/CTestTargets.cmake
	      to build during bootstrap: DEFINE_PROPERTY, GET_PROPERTY

2008-02-14 10:50  king

	* Modules/: CMakeForceCompiler.cmake, CMakeTestCCompiler.cmake,
	  CMakeTestCXXCompiler.cmake: ENH: Remove unnecessary compiler
	  force macros.  The compiler ID can now be detected without
	  linking an executable.

2008-02-14 09:14  hoffman

	* Source/QtDialog/CMakeSetupDialog.cxx: ENH: add a check before
	  delete cache

2008-02-14 08:55  hoffman

	* Source/QtDialog/QCMake.cxx: ENH: do not show unititialized
	  entries

2008-02-14 01:11  clinton

	* Modules/FindQt4.cmake:
	  BUG:	Fix error when paths have + in them. (special regex
	  characters)

2008-02-14 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-02-13 17:00  barre

	* Modules/FindTCL.cmake: ENH: fix advanced bug

2008-02-13 15:29  king

	* Source/: cmComputeLinkDepends.cxx, cmComputeLinkDepends.h: BUG:
	  Update cmComputeLinkDepends to support leading/trailing
	  whitespace stripping off link items for compatibility.

2008-02-13 14:47  king

	* bootstrap, Source/cmBootstrapCommands.cxx, Source/cmCommands.cxx:
	  ENH: Add option to bootstrap script to enable Qt dialog.

	    - Add --qt-gui and --no-qt-gui options
	    - Add --qt-qmake=<qmake> option to help locate Qt
	    - Build more commands during bootstrap to help FindQt4.cmake:
	      MATH, GET_DIRECTORY_PROPERTY, EXECUTE_PROCESS,
	      SEPARATE_ARGUMENTS
	    - Bootstrapping with the cmake-gui is now possible in MSys

2008-02-13 14:35  king

	* Modules/FindQt4.cmake: BUG: Fix FindQt4.cmake
	  QT4_CREATE_MOC_COMMAND macro to work with spaces in the path
	  while using the @ syntax on MSYS builds.

2008-02-13 13:58  clinton

	* Source/QtDialog/: CMakeSetupDialog.cxx, QCMakeCacheView.cxx:
	  ENH: Remove CurrentChanged from the table view's edit triggers.
	  It results in editor issues when modifying the view.
	  Remove workarounds for some of those issues.

2008-02-13 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-02-12 17:22  hoffman

	* Source/QtDialog/CMakeLists.txt: ENH: do not expand regular vars
	  here

2008-02-12 10:19  king

	* Source/cmMakefile.cxx: BUG: Disable enforcement of unique target
	  names until CTestTargets can be fixed.

2008-02-12 09:49  hoffman

	* Source/: cmake.cxx, cmake.h, CursesDialog/cmCursesMainForm.cxx,
	  MFCDialog/CMakeSetupDialog.cpp, QtDialog/CMakeSetup.cxx,
	  QtDialog/QCMake.cxx: ENH: fix make edit_cache for cmake-gui

2008-02-12 09:18  king

	* Source/cmExportLibraryDependencies.cxx: STYLE: Fix line-too-long
	  in cmExportLibraryDependencies.

2008-02-12 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-02-11 20:13  king

	* Source/cmDocumentVariables.cxx: ENH: Update documentation of
	  EXECUTABLE_OUTPUT_PATH and LIBRARY_OUTPUT_PATH to reference their
	  replacements.

2008-02-11 17:33  king

	* Source/: cmAddCustomTargetCommand.cxx,
	  cmAddExecutableCommand.cxx, cmAddLibraryCommand.cxx: COMP: Fix
	  shadowed local variable warning.

2008-02-11 17:01  king

	* Modules/Platform/eCos.cmake: ENH: Fix eCos.cmake to not require a
	  forced compiler

	    - Search for libtarget.a explicitly
	    - Do not complain about compiler id during try-compile

2008-02-11 17:00  king

	* Modules/: CMakeDetermineCCompiler.cmake,
	  CMakeDetermineCXXCompiler.cmake,
	  CMakeDetermineFortranCompiler.cmake: ENH: When detecting the
	  compiler id try compiling only to an object file.

2008-02-11 17:00  king

	* Source/cmFindLibraryCommand.cxx: BUG: FIND_LIBRARY should not
	  require CMAKE_SIZEOF_VOID_P to be set.

2008-02-11 17:00  king

	* Source/cmake.cxx: ENH: Add global computed property
	  IN_TRY_COMPILE.

2008-02-11 15:31  king

	* Modules/Platform/HP-UX.cmake: ENH: Remove CMAKE_ANSI_CFLAGS
	  variable and instead always add ansi flags to
	  CMAKE_C_COMPILE_OBJECT.  We should not require every project to
	  reference CMAKE_ANSI_CFLAGS.

2008-02-11 13:35  king

	* Source/: cmAddCustomTargetCommand.cxx,
	  cmAddExecutableCommand.cxx, cmAddExecutableCommand.h,
	  cmAddLibraryCommand.cxx, cmAddLibraryCommand.h, cmMakefile.cxx,
	  cmMakefile.h, cmTarget.cxx: ENH: Enforce global target name
	  uniqueness.

	    - Error if imported target is involved in conflict
	    - Error for non-imported target conflict unless
	      CMAKE_BACKWARDS_COMPATIBILITY <= 2.4
	    - Include OUTPUT_NAME property in error message
	    - Update add_executable and add_library command documentation

2008-02-11 13:35  king

	* Source/: cmMakefile.cxx, cmMakefile.h: ENH: Add
	  cmMakefile::NeedBackwardsCompatibility method to pass through to
	  cmLocalGenerator::NeedBackwardsCompatibility for convenience.

2008-02-11 10:31  king

	* Source/cmExportLibraryDependencies.cxx: BUG: Fix
	  export_library_dependencies command to produce a file that is
	  compatible with CMake 2.4.

2008-02-11 10:31  king

	* Source/cmComputeLinkDepends.cxx: BUG: Fix
	  cmComputeLinkDepends::AddVarLinkEntries

	    - Track link type correctly
	    - Use _LINK_TYPE variables exported by CMake 2.4

2008-02-11 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-02-10 17:19  alex

	* Source/cmIfCommand.h: STYLE: document that if(COMMAND) works also
	  for macros and functions

	  Alex

2008-02-10 11:37  king

	* Source/cmFindLibraryCommand.cxx: BUG: Fix recent find_library
	  change to look for user-specified name first to do so only if the
	  name matches a valid library extension.

2008-02-10 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-02-09 10:05  hoffman

	* Utilities/Release/vogon_release.cmake: ENH: build the qt gui

2008-02-09 09:53  hoffman

	* CMakeCPack.cmake, CMakeCPackOptions.cmake.in,
	  Source/QtDialog/CMakeLists.txt,
	  Source/QtDialog/QtDialogCPack.cmake.in: ENH: make it so cmake-gui
	  only installs if qt is static on windows

2008-02-09 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-02-08 13:47  clinton

	* Source/QtDialog/CMakeSetupDialog.cxx: BUG:  Make sure editor
	  closes when deleting cache entries.

2008-02-08 12:01  clinton

	* Modules/FindQt4.cmake: ENH:  Better way to have escaping done
	  correctly for all generators.

2008-02-08 11:26  clinton

	* Source/QtDialog/QCMake.cxx: ENH:  Need to pick up the
	  PreLoad.cmake files.

2008-02-08 10:42  clinton

	* Source/QtDialog/: CMakeSetup.cxx, QCMakeCacheView.cxx: COMP: Fix
	  build with Qt 4.2.  BUG:  Fix new editors stealing focus while
	  typing search text.  ENH:  Look for translation in data dir, not
	  bin dir.

2008-02-08 09:24  king

	* Tests/Dependency/CMakeLists.txt: BUG: Need ANSI C.

2008-02-08 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-02-07 23:26  clinton

	* Modules/FindQt4.cmake:
	  BUG:	Fix arg for moc parameter file so it works with unix
	  makefiles, when the	    build dir has a space in it.

2008-02-07 18:24  alex

	* Source/cmExtraEclipseCDT4Generator.cxx: patch from Miguel BUG:
	  fix #5496: eclipse can't load projects where the build dir is a
	  subdir of the src dir

	  Alex

2008-02-07 17:58  clinton

	* Source/QtDialog/: QCMakeCacheView.cxx, QCMakeCacheView.h:
	  ENH:	Show cache variable name in title of file dialogs.

2008-02-07 16:49  king

	* Source/: cmGlobalXCodeGenerator.cxx,
	  cmMakefileLibraryTargetGenerator.cxx, cmTarget.cxx: ENH: Avoid
	  computing link information for static library targets.  They do
	  not link.

2008-02-07 16:26  alex

	* Source/cmExtraEclipseCDT4Generator.cxx: two patches from Miguel:
	  BUG: fix #5819: put compile definitions into the eclipse project
	  files so eclipse handles ifdef blcoks correctly STYLE: make the
	  code for filtering some global targets out nicer

	  Alex

2008-02-07 16:24  king

	* Source/cmComputeLinkDepends.cxx: COMP: Add missing assert
	  include.

2008-02-07 16:22  alex

	* Source/cmInstallCommand.cxx: STYLE: add some comments

	  Alex

2008-02-07 16:14  king

	* Tests/Dependency/Case2/: CMakeLists.txt, foo1.c, foo1b.c,
	  foo2b.c, foo3.c, foo3b.c: ENH: Make Dependency test Case2 require
	  two traversals of a static library loop.

2008-02-07 16:14  king

	* bootstrap, Source/CMakeLists.txt,
	  Source/cmComputeComponentGraph.cxx,
	  Source/cmComputeComponentGraph.h,
	  Source/cmComputeLinkDepends.cxx, Source/cmComputeLinkDepends.h,
	  Source/cmComputeTargetDepends.cxx,
	  Source/cmComputeTargetDepends.h, Source/cmGraphAdjacencyList.h:
	  ENH: Improve link line generation for static library cycles.

	    - Move Tarjan algorithm from cmComputeTargetDepends
	      into its own class cmComputeComponentGraph
	    - Use cmComputeComponentGraph to identify the component DAG
	      of link dependencies in cmComputeLinkDepends
	    - Emit non-trivial component members more than once but always
	      in a contiguous group on the link line

2008-02-07 13:26  hoffman

	* Source/: cmFileCommand.cxx, cmFileCommand.h: ENH: make sure files
	  are binary for download and make status a pair of value string

2008-02-07 13:19  hoffman

	* Modules/FindPkgConfig.cmake: BUG: fix for bug 6117 pkgconfig

2008-02-07 11:43  hoffman

	* CMakeCPackOptions.cmake.in, Source/QtDialog/CMakeLists.txt: ENH:
	  for windows only allow a static qt for install and NSIS of
	  cmake-gui

2008-02-07 08:55  hoffman

	* Tests/: Complex/Executable/CMakeLists.txt,
	  ComplexOneConfig/Executable/CMakeLists.txt,
	  ComplexRelativePaths/Executable/CMakeLists.txt: ENH: complex must
	  link to curl now

2008-02-07 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-02-06 20:14  king

	* Source/cmComputeLinkInformation.cxx: BUG: Fix
	  cmComputeLinkInformation to include the target's user link
	  directories in the runtime path computation.	This bug was
	  introduced when cmOrderRuntimeDirectories was introduced.

2008-02-06 17:02  alex

	* Modules/FindPackageHandleStandardArgs.cmake: STYLE: use a
	  function instead of a macro, to keep FAIL_MESSAGE local patch
	  from Miguel

	  Alex

2008-02-06 15:26  king

	* Source/cmFindLibraryCommand.cxx: ENH: Make find_library test for
	  the library file as named before trying prefixes and suffixes.
	  This will allow users to explicitly search for static libraries
	  on unix.  See bug #1643.

2008-02-06 15:23  king

	* Source/cmTargetLinkLibrariesCommand.h: STYLE: Improve
	  documentation of target_link_libraries command to make
	  target-level dependency explicit.  See bug #6043.

2008-02-06 15:10  clinton

	* Source/QtDialog/CMakeSetup.cxx: ENH:	Update some strings to
	  match program name.

2008-02-06 14:52  king

	* Tests/: CMakeLists.txt, Dependency/CMakeLists.txt,
	  Dependency/Case1/CMakeLists.txt, Dependency/Case1/a.c,
	  Dependency/Case1/b.c, Dependency/Case1/b2.c,
	  Dependency/Case1/c.c, Dependency/Case1/c2.c,
	  Dependency/Case1/d.c, Dependency/Case1/main.c,
	  Dependency/Case2/CMakeLists.txt, Dependency/Case2/bar1.c,
	  Dependency/Case2/bar2.c, Dependency/Case2/bar3.c,
	  Dependency/Case2/foo1.c, Dependency/Case2/foo2.c,
	  Dependency/Case2/foo3.c, Dependency/Case2/zot.c: ENH: Combine all
	  dependency* tests into one Dependency test.  Add more difficult
	  test cases.

2008-02-06 14:45  clinton

	* Source/QtDialog/CMakeSetup.cxx: BUG:	On Mac OS X, give the CMake
	  library the correct path to the cmake       exectuables.  Fixes
	  #6286.

2008-02-06 14:20  king

	* Source/cmExportBuildFileGenerator.cxx,
	  Source/cmExportCommand.cxx,
	  Source/cmExportInstallFileGenerator.cxx,
	  Source/cmInstallCommand.cxx, Source/cmInstallTargetGenerator.cxx,
	  Source/cmInstallTargetGenerator.h,
	  Tests/ExportImport/Export/CMakeLists.txt: ENH: Improve
	  exporting/importing of targets

	    - Use real name instead of link for location of versioned
	  targets
	    - Error when a target is exported multiple times

2008-02-06 14:19  king

	* Source/cmTarget.cxx: BUG: Make sure linking to a shared lib on
	  windows uses import library and not the new realname.

2008-02-06 14:06  king

	* Source/cmTarget.cxx: BUG: Do not create versioned executable
	  names on Xcode where they are not supported.

2008-02-06 13:34  king

	* Source/: cmComputeLinkInformation.cxx,
	  cmComputeLinkInformation.h, cmTarget.cxx, cmTarget.h: ENH: When
	  linking to versioned targets whose real file name is known pass
	  the real name to the linker instead of the symlink name.

2008-02-06 09:46  hoffman

	* Source/cmFileCommand.cxx: ENH: remove debug print stuff

2008-02-06 09:35  hoffman

	* Source/: CMakeLists.txt, cmFileCommand.cxx, cmFileCommand.h: ENH:
	  add DOWNLOAD option to FILE command

2008-02-06 09:17  hoffman

	* Source/QtDialog/CMakeLists.txt: ENH: change name of qt-dialog

2008-02-06 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-02-05 23:10  king

	* bootstrap, Source/CMakeLists.txt,
	  Source/cmComputeTargetDepends.cxx,
	  Source/cmComputeTargetDepends.h, Source/cmGlobalGenerator.cxx,
	  Source/cmGlobalGenerator.h, Source/cmake.cxx: ENH: Analyze
	  inter-target dependencies to safely fix cycles

	    - Cycles may be formed among static libraries
	    - Native build system should not have cycles in target deps
	    - Create cmComputeTargetDepends to analyze dependencies
	    - Identify conneced components and use them to fix deps
	    - Diagnose cycles containing non-STATIC targets
	    - Add debug mode property GLOBAL_DEPENDS_DEBUG_MODE
	    - Use results in cmGlobalGenerator as target direct depends

2008-02-05 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-02-04 19:00  king

	* Source/cmInstallTargetGenerator.cxx: COMP: Add missing include
	  for assert.

2008-02-04 17:03  king

	* Source/: cmInstallCommand.cxx, cmInstallCommand.h,
	  cmInstallCommandArguments.cxx, cmInstallCommandArguments.h,
	  cmInstallTargetGenerator.cxx, cmInstallTargetGenerator.h: ENH:
	  Allow separate installation of shared libs and their links.

	    - Add NAMELINK_ONLY and NAMELINK_SKIP to INSTALL command
	    - Options select a \"namelink\" mode
	    - cmInstallTargetGenerator selects files/link based on mode
	    - See bug #4419

2008-02-04 16:05  hoffman

	* Source/cmGlobalVisualStudio7Generator.cxx: ENH: make sure
	  ALL_BUILD only shows up once

2008-02-04 15:22  king

	* Modules/Platform/AIX.cmake, Source/cmComputeLinkInformation.cxx,
	  Source/cmComputeLinkInformation.h, Source/cmake.cxx: BUG: Added
	  TARGET_ARCHIVES_MAY_BE_SHARED_LIBS global property to help
	  compute proper rpath information on AIX when shared libraries
	  have names like "libfoo.a".

2008-02-04 10:04  king

	* Modules/: CMakeDetermineCCompiler.cmake,
	  CMakeDetermineCXXCompiler.cmake,
	  CMakeDetermineFortranCompiler.cmake, CMakeTestCCompiler.cmake,
	  CMakeTestCXXCompiler.cmake: BUG: When configuring compiler
	  information files into the CMakeFiles directory in the project
	  build tree, use IMMEDIATE option for CONFIGURE_FILE explicitly.
	  It is needed in case the user sets CMAKE_BACKWARDS_COMPATIBILITY
	  to 2.0 or lower.

2008-02-04 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-02-03 17:24  king

	* Modules/: CMakeDetermineCCompiler.cmake,
	  CMakeDetermineCXXCompiler.cmake,
	  CMakeDetermineFortranCompiler.cmake, CMakeForceCompiler.cmake,
	  CMakeTestCCompiler.cmake, CMakeTestCXXCompiler.cmake: BUG: When
	  forcing the C and CXX compilers do not try to detect the ABI
	  information.	Cleanup configured language compiler info files by
	  always using @ONLY.  This addresses bug#6297.

2008-02-03 08:58  king

	* Source/kwsys/IOStream.cxx: COMP: Avoid warning in kwsys
	  IOStream.cxx when the helper functions are not needed.  Define
	  one public symbol to avoid complaints from archivers about empty
	  object files.

2008-02-03 08:57  king

	* Tests/ExportImport/Export/: testExe1.c, testExe1lib.c,
	  testLib1.c, testLib2.c: COMP: Convert C function prototypes to
	  use (void) instead of ().

2008-02-03 08:57  king

	* Source/: cmCTest.cxx, cmCTest.h: BUG: cmCTest::GetConfigType
	  should return the string by reference-to-const so that callers
	  may use .c_str() safely.

2008-02-03 08:20  king

	* Source/kwsys/SystemInformation.cxx: COMP: Fix warning in
	  SystemInformation.cxx about possibly incorrect assignment in if
	  condition.

2008-02-03 08:14  king

	* Source/kwsys/SystemInformation.cxx: COMP: Fix unreachable code
	  warning.  Remove runtime test of constant information.

2008-02-03 08:07  king

	* Source/kwsys/hash_set.hxx.in: COMP: Remove inline keyword from
	  forward declaration for VS9.

2008-02-03 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-02-02 16:18  hoffman

	* Source/kwsys/SystemInformation.cxx: ENH: fix infinite loop from
	  size_t change

2008-02-02 08:58  king

	* Modules/Platform/: NetBSD.cmake, kFreeBSD.cmake: ENH: Enable
	  dependent library search paths on more platforms

	    - NetBSD needs dependent library paths in -rpath-link option.
	    - kFreeBSD needs dependent library paths in -rpath-link option.

2008-02-02 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-02-01 16:17  martink

	* Tests/CMakeLists.txt: ENH: disable test for vs 70 as devenv
	  randomly segfaults when building the sub-project

2008-02-01 16:05  martink

	* Source/cmGlobalGenerator.cxx: ENH: really Bill, using Ken's
	  checkout, fix output in ctest so clean output in build and test
	  is not lost, also display the command lines used

2008-02-01 14:35  king

	* Source/cmExportInstallFileGenerator.cxx: BUG: Fixed typo
	  resulting in confusing error message from
	  cmExportInstallFileGenerator.

2008-02-01 13:52  clinton

	* Modules/FindQt4.cmake:
	  BUG:	When preserving relative paths for moc generated files,
	  also consider paths to headers in the build directory.

2008-02-01 13:18  david.cole

	* Source/kwsys/CMakeLists.txt: ENH: Merge changes from main tree
	  into VTK-5-0 branch. (cvs -q up -j1.135 -j1.136
	  Utilities/kwsys/CMakeLists.txt)

2008-02-01 13:08  king

	* Source/cmInstallTargetGenerator.cxx, Source/cmTarget.h,
	  Tests/ExportImport/Export/CMakeLists.txt: BUG: Remove
	  InstallNameFixupPath from cmTarget and cmInstallTargetGenerator.

	    - Motivation:
	      - It depended on the order of installation
	      - It supported only a single destination for each target
	      - It created directory portions of an install name without
	  user request
	    - Updated ExportImport test to install targets in an order that
	  expoed
	      this bug

2008-02-01 12:35  hoffman

	* Source/kwsys/SystemInformation.cxx: ENH: fix warnings

2008-02-01 12:02  clinton

	* Modules/UseQt4.cmake: ENH:  Use new COMPILE_DEFINITIONS_* with
	  set_property to	add Qt release/debug defines.

2008-02-01 11:48  clinton

	* Source/QtDialog/: CMakeSetup.cxx, CMakeSetupDialog.cxx: ENH:
	  Show version number in window title.

2008-02-01 11:40  hoffman

	* Source/kwsys/SystemInformation.cxx: ENH: fix more warnings

2008-02-01 11:33  hoffman

	* Source/kwsys/: SystemInformation.cxx: ENH: fix more warnings

2008-02-01 11:30  hoffman

	* Source/kwsys/SystemInformation.cxx: ENH: fix some warnings and 64
	  bit build windows

2008-02-01 11:09  hoffman

	* Source/kwsys/SystemInformation.cxx: ENH: fix win64 build and a
	  warning

2008-02-01 10:41  clinton

	* Source/QtDialog/: CMakeSetup.cxx, CMakeSetupDialog.cxx,
	  CMakeSetupDialog.h, QCMake.cxx: ENH:	Use translation file if it
	  exists for the locale.	Consolidate some strings.

		More responsive interrupting.  Prompt user if they try to
	  close during
		configure, and allow them to close.

2008-02-01 09:57  king

	* Tests/ExportImport/: CMakeLists.txt, Export/CMakeLists.txt: ENH:
	  Update ExportImport test to enforce dependent library paths

	    - Build without rpaths
	    - Place implementation libs in separate directories

2008-02-01 09:57  king

	* Modules/Platform/: FreeBSD.cmake, HP-UX.cmake, IRIX.cmake,
	  IRIX64.cmake, SunOS.cmake: ENH: Enable dependent library search
	  paths on more platforms

	    - HP-UX needs dependent library paths as -L options.
	    - IRIX needs dependent library paths as -L options.
	    - Sun needs dependent library paths as -L options.
	    - FreeBSD needs dependent library paths in -rpath-link option.

2008-02-01 09:36  king

	* Tests/CMakeLists.txt: BUG: Fix commit 1.41 of
	  Tests/CMakeLists.txt to place fake target before --version flag
	  instead of after.

2008-02-01 08:56  king

	* bootstrap, Modules/CMakeCInformation.cmake,
	  Modules/CMakeCXXInformation.cmake,
	  Modules/CMakeFortranInformation.cmake,
	  Modules/Platform/Darwin.cmake, Modules/Platform/Linux.cmake,
	  Modules/Platform/QNX.cmake, Source/CMakeLists.txt,
	  Source/cmComputeLinkDepends.cxx,
	  Source/cmComputeLinkInformation.cxx,
	  Source/cmComputeLinkInformation.h,
	  Source/cmDocumentVariables.cxx,
	  Source/cmExportBuildFileGenerator.cxx,
	  Source/cmExportBuildFileGenerator.h,
	  Source/cmExportFileGenerator.cxx, Source/cmExportFileGenerator.h,
	  Source/cmExportInstallFileGenerator.cxx,
	  Source/cmExportInstallFileGenerator.h,
	  Source/cmLocalGenerator.cxx,
	  Source/cmOrderRuntimeDirectories.cxx,
	  Source/cmOrderRuntimeDirectories.h, Source/cmTarget.cxx: ENH:
	  Pass dependent library search path to linker on some platforms.

	    - Move runtime path ordering out of cmComputeLinkInformation
	      into its own class cmOrderRuntimeDirectories.
	    - Create an instance of cmOrderRuntimeDirectories for runtime
	      path ordering and another instance for dependent library
	      path ordering.
	    - Replace CMAKE_DEPENDENT_SHARED_LIBRARY_MODE with explicit
	      CMAKE_LINK_DEPENDENT_LIBRARY_FILES boolean.
	    - Create CMAKE_LINK_DEPENDENT_LIBRARY_DIRS boolean.
	    - Create variables to specify -rpath-link flags:
		CMAKE_SHARED_LIBRARY_RPATH_LINK_<LANG>_FLAG
		CMAKE_EXECUTABLE_RPATH_LINK_<LANG>_FLAG
	    - Enable -rpath-link flag on Linux and QNX.
	    - Documentation and error message updates

2008-02-01 08:55  king

	* Source/cmTarget.cxx: COMP: Fix shadowed local warning.

2008-02-01 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-01-31 21:33  hoffman

	* Source/kwsys/SystemInformation.cxx: ENH: try to fix hp and vs 6,
	  again...

2008-01-31 16:38  hoffman

	* Source/: CTest/cmCTestUpdateHandler.cxx,
	  cmGlobalVisualStudio7Generator.h: STYLE: line length

2008-01-31 16:37  hoffman

	* Source/kwsys/SystemInformation.cxx: ENH: fixes for borland

2008-01-31 16:33  martink

	* Source/CTest/cmCTestTestHandler.cxx: BUG: minor fix for ctest

2008-01-31 16:10  hoffman

	* Source/cmCTest.cxx: ENH: remove extra junk

2008-01-31 15:45  king

	* Modules/Platform/Darwin.cmake, Source/cmComputeLinkDepends.cxx,
	  Source/cmComputeLinkDepends.h,
	  Source/cmComputeLinkInformation.cxx,
	  Source/cmComputeLinkInformation.h,
	  Source/cmDocumentVariables.cxx, Source/cmExportFileGenerator.cxx,
	  Source/cmExportFileGenerator.h, Source/cmTarget.cxx,
	  Source/cmTarget.h, Tests/ExportImport/Export/CMakeLists.txt: ENH:
	  Support linking to shared libs with dependent libs

	    - Split IMPORTED_LINK_LIBRARIES into two parts:
		IMPORTED_LINK_INTERFACE_LIBRARIES
		IMPORTED_LINK_DEPENDENT_LIBRARIES
	    - Add CMAKE_DEPENDENT_SHARED_LIBRARY_MODE to select behavior
	    - Set mode to LINK for Darwin (fixes universal binary problem)
	    - Update ExportImport test to account for changes

2008-01-31 15:34  hoffman

	* Source/kwsys/SystemInformation.cxx: ENH: fix for qnx, I hope, and
	  fix indent stuff

2008-01-31 15:10  hoffman

	* Source/kwsys/SystemInformation.cxx: ENH: fix build errors with
	  asm stuff on mingw and hopefully win64

2008-01-31 14:50  hoffman

	* Source/kwsys/SystemInformation.cxx: ENH: fix build for mingw

2008-01-31 14:34  hoffman

	* Source/kwsys/: SystemInformation.cxx, SystemInformation.hxx.in:
	  ENH: split into implementation and interface class to clean up
	  namespace issues with #define stuff

2008-01-31 13:23  martink

	* Modules/Dart.cmake: ENH: use ctest to drive dashboards for make
	  targets as opposed to tclsh

2008-01-31 12:56  king

	* Source/kwsys/CMakeLists.txt: BUG: Need to install cstddef header.

2008-01-31 12:19  hoffman

	* Source/cmGlobalGenerator.cxx: ENH: remove a const cast

2008-01-31 11:43  martink

	* Source/: ctest.cxx, CTest/cmCTestTestHandler.cxx: ENH: read in
	  old file formats Dart as well

2008-01-31 08:32  king

	* Source/kwsys/kwsysPlatformTestsCXX.cxx: STYLE: Work-around std::
	  check since this is a platform test.

2008-01-31 08:21  king

	* Source/kwsys/: String.hxx.in, SystemTools.hxx.in,
	  kwsys_ios_sstream.h.in: STYLE: Remove references to std:: inside
	  KWSys, even in comments.  This will allow a commit check to be
	  added.

2008-01-31 08:21  king

	* Source/kwsys/SystemInformation.cxx: COMP: Replace kwsys_stl::
	  with kwsys_ios:: for streams access.

2008-01-31 08:05  king

	* Source/: cmComputeLinkInformation.cxx, cmTarget.cxx: ENH: Add
	  target property LINK_SEARCH_END_STATIC to help people building
	  static binaries on some platforms.

2008-01-31 07:50  king

	* Modules/Platform/IRIX.cmake, Modules/Platform/IRIX64.cmake,
	  Source/cmComputeLinkInformation.cxx,
	  Source/cmComputeLinkInformation.h,
	  Source/cmFindLibraryCommand.cxx, Source/cmFindLibraryCommand.h:
	  BUG: Move decision to switch library paths found in implicit link
	  directories to use -l options from cmFindLibraryCommand to
	  cmComputeLinkInformation.  Existing projects may depend on
	  find_library returning a full path.  This slightly weakens
	  cmComputeLinkInformation but is necessary for compatibility.

2008-01-31 06:51  king

	* Source/: cmExportFileGenerator.cxx, cmExportFileGenerator.h:
	  COMP: Remove unused parameter.

2008-01-31 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-01-30 22:56  hoffman

	* Source/: cmGlobalGenerator.cxx, cmGlobalGenerator.h,
	  cmGlobalUnixMakefileGenerator3.cxx,
	  cmGlobalUnixMakefileGenerator3.h: ENH: remove const

2008-01-30 21:40  hoffman

	* Source/kwsys/: SystemInformation.cxx, SystemInformation.hxx.in:
	  COMP: use kwsys_stl and not std::

2008-01-30 17:57  king

	* Source/cmExportFileGenerator.cxx: BUG: Fixed previous commit in
	  cmExportFileGenerator to separate libraries correctly in the
	  import link list.

2008-01-30 17:26  king

	* Tests/ExportImport/: CMakeLists.txt, Export/CMakeLists.txt,
	  Export/testExe2lib.c, Export/testExe2libImp.c, Export/testLib3.c,
	  Export/testLib3Imp.c, Import/imp_mod1.c: ENH: Updated
	  ExportImport test to try LINK_INTERFACE_LIBRARIES.

2008-01-30 17:25  king

	* Source/: cmComputeLinkDepends.cxx,
	  cmExportBuildFileGenerator.cxx, cmExportBuildFileGenerator.h,
	  cmExportCommand.cxx, cmExportCommand.h,
	  cmExportFileGenerator.cxx, cmExportFileGenerator.h,
	  cmExportInstallFileGenerator.cxx, cmTarget.cxx, cmTarget.h: ENH:
	  Implemented link-interface specification feature.

	    - Shared libs and executables with exports may now have
	      explicit transitive link dependencies specified
	    - Created LINK_INTERFACE_LIBRARIES and related properties
	    - Exported targets get the interface libraries as their
	      IMPORTED_LINK_LIBRARIES property.
	    - The export() and install(EXPORT) commands now give
	      an error when a linked target is not included since
	      the user can change the interface libraries instead
	      of adding the target.

2008-01-30 16:22  hoffman

	* Source/cmGlobalVisualStudio7Generator.cxx: ENH: make sure global
	  targets are in the right projects

2008-01-30 13:02  hoffman

	* Tests/SubProject/foo/: CMakeLists.txt, foo.cxx: ENH: add missing
	  files

2008-01-30 12:55  hoffman

	* Source/kwsys/SystemInformation.hxx.in: ENH: fix for vs 70

2008-01-30 12:15  king

	* Source/cmComputeLinkDepends.cxx: BUG: cmComputeLinkDepends should
	  not follow the dependencies of executables.

2008-01-30 12:04  hoffman

	* Source/cmGlobalGenerator.cxx, Source/cmGlobalGenerator.h,
	  Source/cmGlobalUnixMakefileGenerator3.cxx,
	  Source/cmGlobalVisualStudio71Generator.cxx,
	  Source/cmGlobalVisualStudio71Generator.h,
	  Source/cmGlobalVisualStudio7Generator.cxx,
	  Source/cmGlobalVisualStudio7Generator.h,
	  Source/cmLocalVisualStudio7Generator.cxx,
	  Source/cmLocalVisualStudio7Generator.h, Tests/CMakeLists.txt,
	  Tests/SubProject/CMakeLists.txt, Tests/SubProject/bar.cxx,
	  Tests/SubProject/car.cxx: ENH: fix for bug 3218 dependant
	  projects are written out automatically if they are in the
	  project.  Also fix bug 5829, remove hard coded
	  CMAKE_CONFIGURATION_TYPES from vs 7 generator

2008-01-30 11:54  hoffman

	* Source/CTest/: cmCTestTestHandler.cxx, cmCTestUpdateHandler.cxx:
	  ENH: remove warnings

2008-01-30 11:22  king

	* Source/: cmAddCustomCommandCommand.cxx,
	  cmAddCustomCommandCommand.h: ENH: Make add_custom_command
	  interpret relative OUTPUT locations with respect to the build tre
	  instead of the source tree.  This can greatly simplify user code
	  since generating a file will not need to reference
	  CMAKE_CURRENT_BINARY_DIR.  The new behavior is what users expect
	  99% of the time.

2008-01-30 11:21  king

	* Source/: cmGetPropertyCommand.cxx,
	  cmGetSourceFilePropertyCommand.cxx, cmSourceFile.cxx,
	  cmSourceFile.h: BUG: Add cmSourceFile::GetPropertyForUser to
	  centralize the LOCATION property hack.  This fixes the LOCATION
	  property when retrieved via the get_property command.

2008-01-30 11:17  hoffman

	* Source/: cmCTest.cxx, CTest/cmCTestBuildHandler.cxx,
	  CTest/cmCTestBuildHandler.h, CTest/cmCTestConfigureHandler.cxx,
	  CTest/cmCTestCoverageHandler.cxx,
	  CTest/cmCTestMemCheckHandler.cxx, CTest/cmCTestTestHandler.cxx,
	  CTest/cmCTestTestHandler.h, CTest/cmCTestUpdateHandler.cxx,
	  kwsys/CMakeLists.txt, kwsys/SystemInformation.hxx.in: ENH:
	  enhancements for cdash, include system information and better
	  time entries

2008-01-30 08:37  king

	* Source/cmMakefile.cxx: BUG: Fix misuse of stl vector that caused
	  definitions to be dropped by cmMakefile::PushScope.

2008-01-30 07:44  king

	* CompileFlags.cmake, Source/kwsys/hash_map.hxx.in: COMP: Fix
	  warnings on VS9.

2008-01-30 07:17  king

	* Utilities/cmtar/CMakeLists.txt: COMP: Fix warning about tolower
	  by making sure ctype.h is included in cmtar.

2008-01-30 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-01-29 21:16  king

	* Source/: cmLocalGenerator.cxx, cmLocalGenerator.h,
	  cmMakefileExecutableTargetGenerator.cxx,
	  cmMakefileLibraryTargetGenerator.cxx: ENH: Enable use of link
	  script whenever incremental archive construction rules are
	  available.  Enable use of archive construction rules on MSYS.

2008-01-29 20:46  king

	* Modules/Platform/Windows-gcc.cmake,
	  Source/cmDocumentVariables.cxx,
	  Source/cmMakefileLibraryTargetGenerator.cxx,
	  Source/cmMakefileTargetGenerator.cxx,
	  Source/cmMakefileTargetGenerator.h: ENH: Added build rule
	  variables CMAKE_<LANG>_ARCHIVE_CREATE,
	  CMAKE_<LANG>_ARCHIVE_APPEND, and CMAKE_<LANG>_ARCHIVE_FINISH to
	  support creation of static archive libraries out of a large
	  number of objects.  See bug #6284.

2008-01-29 17:30  king

	* Source/: cmCacheManager.cxx, cmCacheManager.h: BUG: Fix
	  uninitialzed members of cmCacheManager.

2008-01-29 17:30  king

	* Source/: cmLocalVisualStudio6Generator.cxx,
	  cmLocalVisualStudio6Generator.h,
	  cmLocalVisualStudio7Generator.cxx,
	  cmLocalVisualStudio7Generator.h, cmTarget.cxx, cmTarget.h: BUG:
	  cmTarget instances should not be copied.  Removed pass-by-value
	  arguments from cmLocalVisualStudio7Generator::WriteGroup and
	  cmLocalVisualStudio6Generator::WriteGroup.  Updated cmTarget to
	  make this easier to find.

2008-01-29 17:01  clinton

	* Modules/FindQt4.cmake: ENH:  Make lupdate and lrelease
	  executables advanced variables.

2008-01-29 15:54  clinton

	* Source/QtDialog/CMakeSetupDialog.cxx: ENH: Correctly format
	  multi-line error messages.

2008-01-29 15:47  king

	* Source/: cmComputeLinkInformation.cxx,
	  cmComputeLinkInformation.h, cmInstallTargetGenerator.cxx: ENH:
	  Update cmInstallTargetGenerator to get the shared libraries
	  linked by a target from cmComputeLinkInformation instead of
	  duplicating the computation.

2008-01-29 15:10  barre

	* Modules/FindHTMLHelp.cmake: ENH: need quotes

2008-01-29 15:07  king

	* Source/: cmComputeLinkInformation.cxx,
	  cmComputeLinkInformation.h, cmGlobalXCodeGenerator.cxx,
	  cmInstallTargetGenerator.cxx, cmInstallTargetGenerator.h,
	  cmLocalGenerator.cxx, cmLocalGenerator.h,
	  cmLocalVisualStudio6Generator.cxx,
	  cmLocalVisualStudio7Generator.cxx, cmTarget.cxx, cmTarget.h: ENH:
	  Add cmTarget::GetLinkInformation method to allow several places
	  in the generators to share link information while only computing
	  it once per configuration for a target.  Use it to simplify the
	  chrpath feature.

2008-01-29 13:07  clinton

	* Modules/FindQt4.cmake:
	  ENH:	Allow QT4_WRAP_CPP to work with dir1/myobject.h
	  dir2/myobject.h	Fixes #5067.

2008-01-29 09:57  king

	* Source/cmFindPackageCommand.cxx: ENH: Added not to find_package
	  documentation about unspecified choice among multiple versions.

2008-01-29 08:03  king

	* Tests/ExportImport/CMakeLists.txt: BUG: Custom command driver
	  outputs must be SYMBOLIC since no corresponding file is created.

2008-01-29 07:57  king

	* Tests/ExportImport/CMakeLists.txt: BUG: Make sure
	  CMAKE_INSTALL_PREFIX stays in subproject caches.

2008-01-29 07:48  king

	* Modules/Platform/Linux-SunPro-C.cmake: BUG: Fix dynamic exports
	  executable link option for Sun C compiler on Linux.

2008-01-29 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-01-28 20:38  king

	* Modules/readme.txt, Source/cmFindPackageCommand.cxx,
	  Source/cmFindPackageCommand.h,
	  Tests/FindPackageTest/CMakeLists.txt,
	  Tests/FindPackageTest/lib/suffix/test/SuffixTestConfigVersion.cmake,
	  Tests/FindPackageTest/lib/zot-1.0/zot-config.cmake,
	  Tests/FindPackageTest/lib/zot-2.0/zot-config-version.cmake,
	  Tests/FindPackageTest/lib/zot-2.0/zot-config.cmake,
	  Tests/FindPackageTest/lib/zot-3.0/zot-config-version.cmake,
	  Tests/FindPackageTest/lib/zot-3.0/zot-config.cmake,
	  Tests/FindPackageTest/lib/zot-3.1/zot-config-version.cmake,
	  Tests/FindPackageTest/lib/zot-3.1/zot-config.cmake: ENH: Added
	  version support to Config mode of find_package command.

	    - Added EXACT option to request an exact version.
	    - Enforce version using check provided by package.
	    - Updated FindPackageTest to test versioning in config mode.

2008-01-28 19:20  clinton

	* Modules/FindQt4.cmake:
	  ENH:	Improve find for glib/gthread when Qt is configured to use
	  it.	     Fixes #6220.

2008-01-28 15:22  king

	* Source/: cmExportBuildFileGenerator.cxx,
	  cmExportInstallFileGenerator.cxx: STYLE: Updated TODO comment for
	  PUBLIC_HEADER_LOCATION export.

2008-01-28 15:12  king

	* Source/: cmInstallCommand.h, cmTarget.cxx: ENH: Document
	  PRIVATE_HEADER, PUBLIC_HEADER, and RESOURCE target properties and
	  corresponding arguments to INSTALL(TARGETS).

2008-01-28 14:46  king

	* Tests/Framework/CMakeLists.txt: BUG: Fix Framework test after
	  fixing FRAMEWORK targets to not install like frameworks on
	  non-Apple systems.

2008-01-28 14:46  king

	* Source/cmExportBuildFileGenerator.cxx,
	  Source/cmExportFileGenerator.cxx,
	  Source/cmExportInstallFileGenerator.cxx,
	  Source/cmInstallCommand.cxx, Source/cmInstallCommand.h,
	  Source/cmInstallTargetGenerator.cxx, Source/cmTarget.cxx,
	  Source/cmTarget.h, Tests/ExportImport/Export/CMakeLists.txt,
	  Tests/ExportImport/Export/testExe3.c,
	  Tests/ExportImport/Import/CMakeLists.txt,
	  Tests/ExportImport/Import/imp_testExe1.c: ENH: Support
	  exporting/importing of AppBundle targets.

	    - Imported bundles have the MACOSX_BUNDLE property set
	    - Added cmTarget::IsAppBundleOnApple method to simplify checks
	    - Document BUNDLE keyword in INSTALL command
	    - Updated IMPORTED_LOCATION property documentation for bundles
	    - Updated ExportImport test to test bundles

2008-01-28 13:37  king

	* Source/cmExportFileGenerator.cxx, Source/cmExportFileGenerator.h,
	  Tests/ExportImport/Export/CMakeLists.txt,
	  Tests/ExportImport/Export/testExe1.c,
	  Tests/ExportImport/Export/testExe1lib.c: BUG: Fix export/import
	  file generation to not store link dependencies of executables or
	  modules.

2008-01-28 13:21  king

	* Source/cmExportBuildFileGenerator.h, Source/cmExportCommand.cxx,
	  Source/cmExportCommand.h, Source/cmExportFileGenerator.cxx,
	  Source/cmExportFileGenerator.h,
	  Tests/ExportImport/Export/CMakeLists.txt: ENH: Restored APPEND
	  option to EXPORT() command in new implementation.

2008-01-28 13:06  king

	* Tests/ExportImport/: Export/CMakeLists.txt, Export/testLib4.c,
	  Import/CMakeLists.txt, Import/imp_testExe1.c: ENH: Added
	  framework to ExportImport test.

2008-01-28 13:05  king

	* Source/: cmComputeLinkInformation.cxx, cmExportFileGenerator.cxx,
	  cmExportInstallFileGenerator.cxx, cmGlobalGenerator.cxx,
	  cmGlobalXCodeGenerator.cxx, cmInstallCommand.cxx,
	  cmInstallCommand.h, cmInstallTargetGenerator.cxx,
	  cmMakefileLibraryTargetGenerator.cxx, cmTarget.cxx, cmTarget.h:
	  ENH: Support exporting/importing of Framework targets.

	    - Imported frameworks have the FRAMEWORK property set
	    - Added cmTarget::IsFrameworkOnApple method to simplify checks
	    - Also remove separate IMPORTED_ENABLE_EXPORTS property and
	  just use ENABLE_EXPORTS since, like FRAMEWORK, it just represents
	  the target type.
	    - Document FRAMEWORK keyword in INSTALL command.
	    - Updated IMPORTED_LOCATION property documentation for
	  Frameworks

2008-01-28 09:53  king

	* Source/cmExportFileGenerator.h: COMP: Add virtual destructor to
	  cmExportFileGenerator to avoid warnings about other virtual
	  functions.

2008-01-28 08:40  king

	* Tests/: CMakeLists.txt, ExportImport/CMakeLists.txt,
	  ExportImport/main.c, ExportImport/Export/CMakeLists.txt,
	  ExportImport/Export/testExe1.c, ExportImport/Export/testExe2.c,
	  ExportImport/Export/testLib1.c, ExportImport/Export/testLib2.c,
	  ExportImport/Export/testLib3.c,
	  ExportImport/Import/CMakeLists.txt,
	  ExportImport/Import/imp_mod1.c,
	  ExportImport/Import/imp_testExe1.c: ENH: Added ExportImport test
	  to test new export/import features.

2008-01-28 08:39  king

	* Tests/: SimpleInstall/CMakeLists.txt,
	  SimpleInstallS2/CMakeLists.txt: BUG: Updated SimpleInstall tests
	  for new export/import interface.

2008-01-28 08:38  king

	* Source/: CMakeLists.txt, cmAddDependenciesCommand.cxx,
	  cmAddExecutableCommand.cxx, cmAddExecutableCommand.h,
	  cmAddLibraryCommand.cxx, cmAddLibraryCommand.h,
	  cmComputeLinkDepends.cxx, cmComputeLinkDepends.h,
	  cmComputeLinkInformation.cxx, cmExportBuildFileGenerator.cxx,
	  cmExportBuildFileGenerator.h, cmExportCommand.cxx,
	  cmExportCommand.h, cmExportFileGenerator.cxx,
	  cmExportFileGenerator.h, cmExportInstallFileGenerator.cxx,
	  cmExportInstallFileGenerator.h, cmGetPropertyCommand.cxx,
	  cmGetTargetPropertyCommand.cxx, cmGlobalGenerator.cxx,
	  cmGlobalGenerator.h, cmGlobalVisualStudio6Generator.cxx,
	  cmGlobalVisualStudio71Generator.cxx,
	  cmGlobalVisualStudio7Generator.cxx,
	  cmGlobalVisualStudio8Generator.cxx,
	  cmGlobalVisualStudioGenerator.cxx, cmGlobalXCodeGenerator.cxx,
	  cmIncludeExternalMSProjectCommand.cxx, cmInstallCommand.cxx,
	  cmInstallCommand.h, cmInstallCommandArguments.cxx,
	  cmInstallCommandArguments.h, cmInstallDirectoryGenerator.cxx,
	  cmInstallExportGenerator.cxx, cmInstallExportGenerator.h,
	  cmInstallFilesCommand.cxx, cmInstallFilesGenerator.cxx,
	  cmInstallGenerator.cxx, cmInstallGenerator.h,
	  cmInstallProgramsCommand.cxx, cmInstallTargetGenerator.cxx,
	  cmInstallTargetGenerator.h, cmLocalGenerator.cxx,
	  cmLocalVisualStudio6Generator.cxx, cmMakefile.cxx, cmMakefile.h,
	  cmMakefileExecutableTargetGenerator.cxx,
	  cmMakefileTargetGenerator.cxx, cmSetPropertyCommand.cxx,
	  cmSetTargetPropertiesCommand.cxx, cmTarget.cxx, cmTarget.h: ENH:
	  Updated exporting and importing of targets to support libraries
	  and configurations.

	    - Created cmExportFileGenerator hierarchy to implement export
	  file generation
	    - Installed exports use per-config import files loaded by a
	  central one.
	    - Include soname of shared libraries in import information
	    - Renamed PREFIX to NAMESPACE in INSTALL(EXPORT) and EXPORT()
	  commands
	    - Move addition of CMAKE_INSTALL_PREFIX to destinations to
	  install generators
	    - Import files compute the installation prefix relative to
	  their location when loaded
	    - Add mapping of importer configurations to importee
	  configurations
	    - Rename IMPORT targets to IMPORTED targets to distinguish from
	  windows import libraries
	    - Scope IMPORTED targets within directories to isolate them
	    - Place all properties created by import files in the IMPORTED
	  namespace
	    - Document INSTALL(EXPORT) and EXPORT() commands.
	    - Document IMPORTED signature of add_executable and add_library
	    - Enable finding of imported targets in cmComputeLinkDepends

2008-01-28 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-01-27 15:09  king

	* bootstrap, Source/cmComputeLinkDepends.cxx: COMP: Use kwsys to
	  get STL set_intersection algorithm.

2008-01-27 13:42  king

	* bootstrap, Source/CMakeLists.txt,
	  Source/cmComputeLinkDepends.cxx, Source/cmComputeLinkDepends.h,
	  Source/cmComputeLinkInformation.cxx,
	  Source/cmComputeLinkInformation.h, Source/cmTarget.cxx: ENH:
	  Created cmComputeLinkDepends to compute link dependencies.

	    - This will be useful for imported library dependencies
	    - Replaces old cmTarget analyze-lib-depends stuff for linking
	    - Formalizes graph construction and dump
	    - Explicitly represents dependency inferral sets
	    - Use BFS of initial dependencies to preserve order

2008-01-27 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-01-26 01:11  barre

	* Modules/: FindTCL.cmake, FindTclStub.cmake, FindTclsh.cmake,
	  FindWish.cmake: ENH: Update Tcl/Tk 8.5

2008-01-26 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-01-25 13:07  barre

	* Modules/: FindPerl.cmake, FindTCL.cmake, FindTclStub.cmake,
	  FindTclsh.cmake, FindWish.cmake: ENH: update for Tcl/Tk 8.5

2008-01-25 08:11  king

	* Source/cmSystemTools.cxx: COMP: Need to return a value from fake
	  MD5 method under bootstrap.

2008-01-25 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-01-24 19:42  barre

	* Modules/FindTclsh.cmake: ENH: typo

2008-01-24 19:31  barre

	* Modules/: FindTCL.cmake, FindTclsh.cmake, FindWish.cmake: ENH:
	  update for Tcl/Tk 8.5

2008-01-24 16:11  king

	* Source/cmSystemTools.cxx: COMP: Cannot do MD5 from KWSys during
	  CMake bootstrap.

2008-01-24 14:41  king

	* Source/: cmSystemTools.cxx, cmSystemTools.h: ENH: Add
	  cmSystemTools::ComputeStringMD5 method.

2008-01-24 14:37  king

	* Source/cmake.cxx: BUG: Make cmake -E remove_directory work when
	  directory is not present.

2008-01-24 07:37  king

	* Source/cmFindLibraryCommand.cxx: ENH: Apply new implicit link
	  directory find_library policy when loading a cache from an
	  earlier CMake.

2008-01-24 07:37  king

	* Source/: cmCacheManager.cxx, cmCacheManager.h, cmMakefile.cxx,
	  cmMakefile.h: ENH: Added cmMakefile::NeedCacheCompatibility
	  method and support for it in cmCacheManager.	This will allow
	  commands to modify their behavior when running with a cache
	  loaded from an earlier CMake version.

2008-01-24 07:31  king

	* Source/CPack/cmCPackDebGenerator.cxx: COMP: Add include of
	  <limits.h> to get USHRT_MAX constant.

2008-01-24 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-01-23 18:34  alex

	* Source/cmReturnCommand.h: STYLE: fix typo

	  Alex

2008-01-23 17:53  king

	* Modules/CMakeCompilerABI.h, Source/cmFindLibraryCommand.cxx: ENH:
	  Remove sparcv9 architecture subdir added earlier.  The new
	  implicit link directory policy takes care of the problem.

2008-01-23 17:43  king

	* bootstrap: BUG: Do not have variable and function of the same
	  name.  Old shells do not likeit.

2008-01-23 16:53  king

	* Source/CursesDialog/CMakeLists.txt: ENH: Simplify code by
	  removing unnecessary LINK_DIRECTORIES call.

2008-01-23 16:35  king

	* Modules/CMakeCXXInformation.cmake: BUG:
	  CMAKE_EXECUTABLE_RUNTIME_CXX_FLAG should get its default value
	  from CMAKE_SHARED_LIBRARY_RUNTIME_CXX_FLAG, not
	  CMAKE_SHARED_LIBRARY_RUNTIME_C_FLAG.

2008-01-23 16:27  barre

	* Modules/: FindTCL.cmake, FindTclStub.cmake, FindTclsh.cmake,
	  FindWish.cmake: ENH: update for Tcl/Tk 8.5

2008-01-23 16:21  king

	* Source/: cmFindLibraryCommand.cxx, cmFindLibraryCommand.h: ENH:
	  Teach find_library to avoid returning library paths in system
	  directories that may be converted to architecture-specific
	  directories by the compiler when it invokes the linker.

2008-01-23 15:56  king

	* Source/: cmComputeLinkInformation.cxx,
	  cmComputeLinkInformation.h: BUG: Fix cmComputeLinkInformation
	  cycle detection.

2008-01-23 15:22  king

	* Modules/VTKCompatibility.cmake,
	  Source/cmComputeLinkInformation.cxx,
	  Source/cmComputeLinkInformation.h,
	  Source/cmDocumentVariables.cxx: ENH: Added CMAKE_LINK_OLD_PATHS
	  compatibility mode for linker search paths.

2008-01-23 14:07  barre

	* Modules/: FindTCL.cmake, FindTclStub.cmake: ENH: keep cleaning up
	  Tcl/Tk modules

2008-01-23 13:37  king

	* Source/cmComputeLinkInformation.cxx: COMP: Fix build on Borland
	  5.5.

2008-01-23 13:30  king

	* Modules/Platform/Windows-wcl386.cmake,
	  Source/cmComputeLinkInformation.cxx,
	  Source/cmComputeLinkInformation.h,
	  Source/cmDocumentVariables.cxx, Source/cmLocalGenerator.cxx: BUG:
	  Fix generation of Watcom link lines.

	    - Work-around bug in Watcom command line parsing for spaces in
	  paths.
	    - Add 'library' option before libraries specified by file path.

2008-01-23 13:03  king

	* Source/: cmLocalGenerator.cxx, cmLocalGenerator.h: BUG:
	  Work-around bug in MSVC 6 command line parsing.

2008-01-23 12:51  martink

	* Source/cmCTest.cxx: ENH: look for CTestConfiguration.ini first

2008-01-23 10:29  martink

	* Tests/: CMakeLists.txt, ReturnTest/CMakeLists.txt,
	  ReturnTest/returnTest.c, ReturnTest/subdir/CMakeLists.txt: ENH:
	  add testing for return and break commands

2008-01-23 10:27  martink

	* Source/: cmAddCustomCommandCommand.cxx,
	  cmAddCustomCommandCommand.h, cmAddCustomTargetCommand.cxx,
	  cmAddCustomTargetCommand.h, cmAddDefinitionsCommand.cxx,
	  cmAddDefinitionsCommand.h, cmAddDependenciesCommand.cxx,
	  cmAddDependenciesCommand.h, cmAddExecutableCommand.cxx,
	  cmAddExecutableCommand.h, cmAddLibraryCommand.cxx,
	  cmAddLibraryCommand.h, cmAddSubDirectoryCommand.cxx,
	  cmAddSubDirectoryCommand.h, cmAddTestCommand.cxx,
	  cmAddTestCommand.h, cmAuxSourceDirectoryCommand.cxx,
	  cmAuxSourceDirectoryCommand.h, cmBootstrapCommands.cxx,
	  cmBuildCommand.cxx, cmBuildCommand.h, cmBuildNameCommand.cxx,
	  cmBuildNameCommand.h, cmCMakeMinimumRequired.cxx,
	  cmCMakeMinimumRequired.h, cmCPluginAPI.cxx, cmCommand.h,
	  cmConfigureFileCommand.cxx, cmConfigureFileCommand.h,
	  cmCreateTestSourceList.cxx, cmCreateTestSourceList.h,
	  cmDefinePropertyCommand.cxx, cmDefinePropertyCommand.h,
	  cmElseCommand.cxx, cmElseCommand.h, cmElseIfCommand.cxx,
	  cmElseIfCommand.h, cmEnableLanguageCommand.cxx,
	  cmEnableLanguageCommand.h, cmEnableTestingCommand.cxx,
	  cmEnableTestingCommand.h, cmEndForEachCommand.cxx,
	  cmEndForEachCommand.h, cmEndFunctionCommand.cxx,
	  cmEndFunctionCommand.h, cmEndIfCommand.cxx, cmEndIfCommand.h,
	  cmEndMacroCommand.cxx, cmEndMacroCommand.h,
	  cmEndWhileCommand.cxx, cmEndWhileCommand.h,
	  cmExecProgramCommand.cxx, cmExecProgramCommand.h,
	  cmExecuteProcessCommand.cxx, cmExecuteProcessCommand.h,
	  cmExportCommand.cxx, cmExportCommand.h,
	  cmExportLibraryDependencies.cxx, cmExportLibraryDependencies.h,
	  cmFLTKWrapUICommand.cxx, cmFLTKWrapUICommand.h,
	  cmFileCommand.cxx, cmFileCommand.h, cmFindLibraryCommand.cxx,
	  cmFindLibraryCommand.h, cmFindPackageCommand.cxx,
	  cmFindPackageCommand.h, cmFindPathCommand.cxx,
	  cmFindPathCommand.h, cmFindProgramCommand.cxx,
	  cmFindProgramCommand.h, cmForEachCommand.cxx, cmForEachCommand.h,
	  cmFunctionBlocker.h, cmFunctionCommand.cxx, cmFunctionCommand.h,
	  cmGetCMakePropertyCommand.cxx, cmGetCMakePropertyCommand.h,
	  cmGetDirectoryPropertyCommand.cxx,
	  cmGetDirectoryPropertyCommand.h,
	  cmGetFilenameComponentCommand.cxx,
	  cmGetFilenameComponentCommand.h, cmGetPropertyCommand.cxx,
	  cmGetPropertyCommand.h, cmGetSourceFilePropertyCommand.cxx,
	  cmGetSourceFilePropertyCommand.h, cmGetTargetPropertyCommand.cxx,
	  cmGetTargetPropertyCommand.h, cmGetTestPropertyCommand.cxx,
	  cmGetTestPropertyCommand.h, cmIfCommand.cxx, cmIfCommand.h,
	  cmIncludeCommand.cxx, cmIncludeCommand.h,
	  cmIncludeDirectoryCommand.cxx, cmIncludeDirectoryCommand.h,
	  cmIncludeExternalMSProjectCommand.cxx,
	  cmIncludeExternalMSProjectCommand.h,
	  cmIncludeRegularExpressionCommand.cxx,
	  cmIncludeRegularExpressionCommand.h, cmInstallCommand.cxx,
	  cmInstallCommand.h, cmInstallFilesCommand.cxx,
	  cmInstallFilesCommand.h, cmInstallProgramsCommand.cxx,
	  cmInstallProgramsCommand.h, cmInstallTargetsCommand.cxx,
	  cmInstallTargetsCommand.h, cmLinkDirectoriesCommand.cxx,
	  cmLinkDirectoriesCommand.h, cmLinkLibrariesCommand.cxx,
	  cmLinkLibrariesCommand.h, cmListCommand.cxx, cmListCommand.h,
	  cmLoadCacheCommand.cxx, cmLoadCacheCommand.h,
	  cmLoadCommandCommand.cxx, cmLoadCommandCommand.h,
	  cmMacroCommand.cxx, cmMacroCommand.h, cmMakeDirectoryCommand.cxx,
	  cmMakeDirectoryCommand.h, cmMakefile.cxx, cmMakefile.h,
	  cmMarkAsAdvancedCommand.cxx, cmMarkAsAdvancedCommand.h,
	  cmMathCommand.cxx, cmMathCommand.h, cmMessageCommand.cxx,
	  cmMessageCommand.h, cmOptionCommand.cxx, cmOptionCommand.h,
	  cmOutputRequiredFilesCommand.cxx, cmOutputRequiredFilesCommand.h,
	  cmProjectCommand.cxx, cmProjectCommand.h, cmQTWrapCPPCommand.cxx,
	  cmQTWrapCPPCommand.h, cmQTWrapUICommand.cxx, cmQTWrapUICommand.h,
	  cmRemoveCommand.cxx, cmRemoveCommand.h,
	  cmRemoveDefinitionsCommand.cxx, cmRemoveDefinitionsCommand.h,
	  cmSeparateArgumentsCommand.cxx, cmSeparateArgumentsCommand.h,
	  cmSetCommand.cxx, cmSetCommand.h,
	  cmSetDirectoryPropertiesCommand.cxx,
	  cmSetDirectoryPropertiesCommand.h, cmSetPropertyCommand.cxx,
	  cmSetPropertyCommand.h, cmSetSourceFilesPropertiesCommand.cxx,
	  cmSetSourceFilesPropertiesCommand.h,
	  cmSetTargetPropertiesCommand.cxx, cmSetTargetPropertiesCommand.h,
	  cmSetTestsPropertiesCommand.cxx, cmSetTestsPropertiesCommand.h,
	  cmSiteNameCommand.cxx, cmSiteNameCommand.h,
	  cmSourceGroupCommand.cxx, cmSourceGroupCommand.h,
	  cmStringCommand.cxx, cmStringCommand.h, cmSubdirCommand.cxx,
	  cmSubdirCommand.h, cmSubdirDependsCommand.cxx,
	  cmSubdirDependsCommand.h, cmTargetLinkLibrariesCommand.cxx,
	  cmTargetLinkLibrariesCommand.h, cmTryCompileCommand.cxx,
	  cmTryCompileCommand.h, cmTryRunCommand.cxx, cmTryRunCommand.h,
	  cmUseMangledMesaCommand.cxx, cmUseMangledMesaCommand.h,
	  cmUtilitySourceCommand.cxx, cmUtilitySourceCommand.h,
	  cmVariableRequiresCommand.cxx, cmVariableRequiresCommand.h,
	  cmVariableWatchCommand.cxx, cmVariableWatchCommand.h,
	  cmWhileCommand.cxx, cmWhileCommand.h, cmWriteFileCommand.cxx,
	  cmWriteFileCommand.h,
	  CTest/cmCTestEmptyBinaryDirectoryCommand.cxx,
	  CTest/cmCTestEmptyBinaryDirectoryCommand.h,
	  CTest/cmCTestHandlerCommand.cxx, CTest/cmCTestHandlerCommand.h,
	  CTest/cmCTestReadCustomFilesCommand.cxx,
	  CTest/cmCTestReadCustomFilesCommand.h,
	  CTest/cmCTestRunScriptCommand.cxx,
	  CTest/cmCTestRunScriptCommand.h, CTest/cmCTestScriptHandler.cxx,
	  CTest/cmCTestSleepCommand.cxx, CTest/cmCTestSleepCommand.h,
	  CTest/cmCTestStartCommand.cxx, CTest/cmCTestStartCommand.h,
	  CTest/cmCTestTestHandler.cxx, cmBreakCommand.cxx,
	  cmBreakCommand.h, cmExecutionStatus.h, cmReturnCommand.cxx,
	  cmReturnCommand.h: ENH: add return and break support to cmake,
	  also change basic command invocation signature to be able to
	  return extra informaiton via the cmExecutionStatus class

2008-01-23 10:21  king

	* Source/cmComputeLinkInformation.cxx: BUG: Be less aggressive
	  about finding conflicts in the runtime path when the real soname
	  is not known.

2008-01-23 09:53  king

	* Modules/CMakeCompilerABI.h, Source/cmFindLibraryCommand.cxx,
	  Source/cmFindLibraryCommand.h: ENH: Enable library search path
	  suffix for sparcv9 architecture.  This should be generalized to a
	  platform file later.

2008-01-23 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-01-22 10:11  clinton

	* Modules/FindQt4.cmake: ENH:  Add macros to handle translations.
	  Fixes #6229.

2008-01-22 10:05  king

	* Source/: cmComputeLinkInformation.cxx,
	  cmComputeLinkInformation.h: BUG: When a library file name is
	  linked without a path make sure the link type is restored after
	  the -l option.

2008-01-22 09:15  king

	* Tests/: CMakeLists.txt, RuntimePath/CMakeLists.txt,
	  RuntimePath/bar1.c, RuntimePath/bar2.c, RuntimePath/foo1.c,
	  RuntimePath/foo2.c, RuntimePath/main.c: ENH: Added RuntimePath
	  test to make sure rpath gets correct order.

2008-01-22 09:13  king

	* bootstrap, Modules/CMakeCInformation.cmake,
	  Modules/CMakeCXXInformation.cmake,
	  Modules/CMakeFortranInformation.cmake,
	  Modules/Platform/AIX.cmake, Modules/Platform/HP-UX.cmake,
	  Source/CMakeLists.txt, Source/cmComputeLinkInformation.cxx,
	  Source/cmComputeLinkInformation.h,
	  Source/cmDocumentVariables.cxx, Source/cmGlobalGenerator.cxx,
	  Source/cmGlobalGenerator.h, Source/cmGlobalXCodeGenerator.cxx,
	  Source/cmLocalGenerator.cxx, Source/cmLocalGenerator.h,
	  Source/cmLocalVisualStudio6Generator.cxx,
	  Source/cmLocalVisualStudio7Generator.cxx,
	  Source/cmLocalVisualStudio7Generator.h,
	  Source/cmOrderLinkDirectories.cxx,
	  Source/cmOrderLinkDirectories.h, Source/cmTarget.cxx,
	  Source/cmTarget.h, Tests/Complex/Executable/complex.cxx,
	  Tests/ComplexOneConfig/Executable/complex.cxx,
	  Tests/ComplexRelativePaths/Executable/complex.cxx: ENH: Implement
	  linking with paths to library files instead of -L and -l
	  separation.  See bug #3832

	    - This is purely an implementation improvement.  No interface
	  has changed.
	    - Create cmComputeLinkInformation class
	    - Move and re-implement logic from:
		cmLocalGenerator::ComputeLinkInformation
		cmOrderLinkDirectories
	    - Link libraries to targets with their full path (if it is
	  known)
	    - Dirs specified with link_directories command still added with
	  -L
	    - Make link type specific to library names without paths
	      (name libfoo.a without path becomes -Wl,-Bstatic -lfoo)
	    - Make directory ordering specific to a runtime path
	  computation feature
	      (look for conflicting SONAMEs instead of library names)
	    - Implement proper rpath support on HP-UX and AIX.

2008-01-22 08:52  king

	* Source/kwsys/hash_map.hxx.in: COMP: Remove inline keyword from
	  forward declaration for VS9.

2008-01-22 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-01-21 22:48  king

	* Source/cmFindPackageCommand.cxx: ENH: Updated find_package
	  documentation to describe common usage first.

2008-01-21 20:57  king

	* Modules/: CMakeDetermineCompilerId.cmake,
	  CMakeFindBinUtils.cmake: ENH: Cleanup chrpath feature by not
	  displaying exe format or placing non-advanced options in cache.

2008-01-21 18:30  king

	* Source/: cmFindLibraryCommand.cxx, cmFindLibraryCommand.h: ENH:
	  Add support to find_library to transform /lib to /lib32 on some
	  architectures.

2008-01-21 18:30  king

	* Modules/CMakeCCompiler.cmake.in, Modules/CMakeCCompilerABI.c,
	  Modules/CMakeCXXCompiler.cmake.in,
	  Modules/CMakeCXXCompilerABI.cpp, Modules/CMakeCompilerABI.h,
	  Modules/CMakeDetermineCompilerABI.cmake,
	  Modules/CMakeTestCCompiler.cmake,
	  Modules/CMakeTestCXXCompiler.cmake,
	  Source/cmDocumentVariables.cxx: ENH: Generalize the check for
	  sizeof void* to detect more ABI information.

2008-01-21 17:29  king

	* Tests/CMakeLists.txt: BUG: Do not get in infinite loop when
	  checking make tool version in cmake build tree.

2008-01-21 13:59  king

	* Source/cmTarget.cxx: BUG: Added missing documentation of
	  LINK_FLAGS_<CONFIG> property.

2008-01-21 13:04  king

	* Source/cmFindPackageCommand.cxx: COMP: snprintf is not portable.

2008-01-21 12:56  hoffman

	* CMakeLists.txt, ChangeLog.manual,
	  Modules/Platform/Windows-cl.cmake,
	  Modules/Platform/Windows-cl.cmake.in,
	  Source/cmGlobalVisualStudio9Generator.cxx,
	  Source/cmGlobalVisualStudio9Generator.h: ENH: final 2.4.8

2008-01-21 08:48  king

	* Modules/readme.txt, Source/cmFindPackageCommand.cxx,
	  Source/cmFindPackageCommand.h,
	  Tests/FindPackageTest/CMakeLists.txt,
	  Tests/FindPackageTest/FindVersionTestA.cmake,
	  Tests/FindPackageTest/FindVersionTestB.cmake,
	  Tests/FindPackageTest/FindVersionTestC.cmake: ENH: Implement
	  version support in the find_package command module mode.  Version
	  numbers provided to the command are converted to variable
	  settings to tell the FindXXX.cmake module what version is
	  requested.  This addresses issue #1645.

2008-01-21 08:01  king

	* Source/kwsys/SystemTools.cxx: COMP: Fix VS6 and old HP build.
	  This source does not have the #define for hack.

2008-01-21 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-01-20 19:29  king

	* Source/: cmFindLibraryCommand.cxx, cmFindPathCommand.cxx,
	  kwsys/SystemTools.cxx: BUG: Fix previous commit to not access
	  empty strings out of bounds.

2008-01-20 17:41  king

	* Source/cmFindLibraryCommand.cxx: BUG: Make sure search paths
	  never have double-slashes.  Leading with two slashes (//) on
	  cygwin looks like a network path and delays while waiting for a
	  non-existent machine.  This file was left out of the previous
	  checkin for this problem.

2008-01-20 17:24  king

	* Source/: cmFindPathCommand.cxx, kwsys/SystemTools.cxx: BUG: Make
	  sure search paths never have double-slashes.	Leading with two
	  slashes (//) on cygwin looks like a network path and delays while
	  waiting for a non-existent machine.

2008-01-20 16:02  king

	* Modules/FindX11.cmake: BUG: FindX11 module should search for SM
	  library instead of returning -lSM.

2008-01-20 13:36  king

	* Source/cmake.cxx: COMP: Fix build during bootstrap on MSys.

2008-01-20 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-01-19 15:09  martink

	* Source/: cmLocalGenerator.cxx, CTest/cmCTestTestHandler.cxx: ENH:
	  improve backwards compatibility

2008-01-19 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-01-18 19:02  barre

	* Modules/: FindTCL.cmake, FindTclsh.cmake, FindWish.cmake: ENH:
	  Tcl/Tk 8.6 alpha schedule for May 2008.

2008-01-18 18:40  king

	* Source/cmDependsFortran.cxx: COMP: Fix build on Borland 5.5.

2008-01-18 17:11  alex

	* Source/cmMakefile.cxx: BUG: don't crash if
	  cmMakefile::RaiseScope() is called from a cmake file in the top
	  level directory in normal code (i.e. not within a function)

	  Alex

2008-01-18 16:06  hoffman

	* Modules/Platform/Windows-cl.cmake.in: ENH: make sure msvc90 gets
	  set

2008-01-18 15:52  alex

	* Modules/CMakeDetermineCompilerId.cmake,
	  Modules/FindwxWidgets.cmake, Source/cmBootstrapCommands.cxx,
	  Source/cmRaiseScopeCommand.cxx, Source/cmRaiseScopeCommand.h,
	  Source/cmSetCommand.cxx, Source/cmSetCommand.h,
	  Tests/FunctionTest/CMakeLists.txt, Tests/FunctionTest/Util.cmake,
	  Tests/FunctionTest/SubDirScope/CMakeLists.txt: ENH: remove
	  RAISE_SCOPE() again and instead add SET(<var> <value>
	  PARENT_SCOPE)

	  Alex

2008-01-18 15:19  hoffman

	* Modules/Platform/Windows-cl.cmake: ENH: make sure MSVC90 is set

2008-01-18 14:34  hoffman

	* Source/: cmGlobalVisualStudio9Generator.cxx,
	  cmGlobalVisualStudio9Generator.h: ENH: add MSVC90 define to vs9
	  ide

2008-01-18 14:02  barre

	* Modules/: FindTCL.cmake, FindTclsh.cmake, FindWish.cmake: ENH:
	  cleanup FindPerl and FindTcl (use ActiveState CurrentVersion, and
	  support Tcl/Tk 8.5)

2008-01-18 13:51  barre

	* Modules/: FindTclsh.cmake, FindWish.cmake: ENH: cleanup FindPerl
	  and FindTcl (use ActiveState CurrentVersion, and support Tcl/Tk
	  8.5)

2008-01-18 13:46  barre

	* Modules/: FindTCL.cmake, FindTclsh.cmake, FindWish.cmake: ENH:
	  cleanup FindPerl and FindTcl (use ActiveState CurrentVersion, and
	  support Tcl/Tk 8.5)

2008-01-18 13:15  barre

	* Modules/: FindPerl.cmake, FindTCL.cmake, FindTclsh.cmake,
	  FindWish.cmake: ENH: cleanup FindPerl and FindTcl (use
	  ActiveState CurrentVersion, and support Tcl/Tk 8.5)

2008-01-18 12:26  martink

	* Source/cmMacroCommand.h: STYLE: fix bug 5682

2008-01-18 10:25  martink

	* Source/: cmLocalGenerator.cxx, cmLocalUnixMakefileGenerator3.cxx,
	  cmake.cxx, CTest/cmCTestTestHandler.cxx: BUG: fix bugs 5539
	  (progress going beyond 100% when new files are added) and 5889
	  (tests are not found in some cases when using add_subdirectory to
	  .. etc)

2008-01-18 08:35  king

	* Source/cmLocalUnixMakefileGenerator3.cxx: BUG: Construction of
	  COMPILE_DEFINITIONS_<CONFIG> property name must use upper-case
	  config name.

2008-01-18 08:19  king

	* Source/cmFindPackageCommand.cxx: STYLE: Fix line-too-long.

2008-01-18 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-01-17 20:59  king

	* Source/cmFindPackageCommand.cxx: ENH: Clarify documentation of
	  find_package command.

2008-01-17 20:34  king

	* Source/cmMakefile.cxx, Tests/Complex/CMakeLists.txt,
	  Tests/Complex/Executable/complex.cxx,
	  Tests/ComplexOneConfig/CMakeLists.txt,
	  Tests/ComplexOneConfig/Executable/complex.cxx,
	  Tests/ComplexRelativePaths/CMakeLists.txt,
	  Tests/ComplexRelativePaths/Executable/complex.cxx: ENH: Make
	  per-configuration COMPILE_DEFINITIONS_<CONFIG> directory property
	  initialized from parent.

2008-01-17 19:58  king

	* Modules/CMakeFortranInformation.cmake,
	  Modules/Platform/Windows-ifort.cmake,
	  Source/cmDependsFortran.cxx, Source/cmLocalGenerator.cxx,
	  Source/cmLocalGenerator.h,
	  Source/cmLocalUnixMakefileGenerator3.cxx: ENH: Enable use of
	  COMPILE_DEFINITIONS property for Fortran sources.

2008-01-17 19:50  king

	* Source/cmMakefile.cxx: BUG: COMPILE_DEFINITIONS directory
	  property needs to be inherited from parent when a directory is
	  created.

2008-01-17 19:29  king

	* Source/cmAddDefinitionsCommand.h,
	  Source/cmGlobalXCodeGenerator.cxx, Source/cmLocalGenerator.cxx,
	  Source/cmLocalGenerator.h,
	  Source/cmLocalVisualStudio6Generator.cxx,
	  Source/cmLocalVisualStudio7Generator.cxx, Source/cmMakefile.cxx,
	  Source/cmMakefile.h, Source/cmMakefileTargetGenerator.cxx,
	  Source/cmRemoveDefinitionsCommand.h,
	  Tests/Preprocess/CMakeLists.txt, Tests/Preprocess/preprocess.c,
	  Tests/Preprocess/preprocess.cxx: ENH: Converted cmMakefile
	  DefineFlags added by ADD_DEFINITIONS command into a
	  COMPILE_DEFINITIONS directory property.

2008-01-17 18:13  king

	* Source/: cmMakefile.cxx, cmMakefile.h, cmProperty.cxx,
	  cmProperty.h, cmPropertyMap.cxx, cmPropertyMap.h,
	  cmSetPropertyCommand.cxx, cmSetPropertyCommand.h,
	  cmSourceFile.cxx, cmSourceFile.h, cmTarget.cxx, cmTarget.h,
	  cmTest.cxx, cmTest.h, cmake.cxx, cmake.h: ENH: Add AppendProperty
	  methods for use by C++ code in CMake.  Simplify implementation of
	  SET_PROPERTY command by using them.

2008-01-17 17:49  alex

	* Source/cmFindBase.cxx: STYLE: PATHS is optional (#6253)

	  Alex

2008-01-17 17:43  alex

	* Source/cmFindBase.cxx: STYLE: fix typo (#6252)

	  Alex

2008-01-17 17:34  king

	* Tests/Preprocess/CMakeLists.txt: ENH: Use new set_property
	  signature to set COMPILE_DEFINITIONS properties in Preprocess
	  test.

2008-01-17 17:19  king

	* Modules/CPackDeb.cmake, Modules/FeatureSummary.cmake,
	  Modules/FindPythonLibs.cmake, Source/cmGetPropertyCommand.cxx,
	  Source/cmGetPropertyCommand.h, Tests/Properties/CMakeLists.txt:
	  ENH: Changed signature of GET_PROPERTY command to be more
	  powerful and extendible.

2008-01-17 16:24  king

	* Source/cmSetPropertyCommand.cxx: COMP: Fix VS build.

2008-01-17 15:54  king

	* Modules/CMakeGenericSystem.cmake, Modules/FeatureSummary.cmake,
	  Modules/Platform/BlueGeneL.cmake,
	  Modules/Platform/Catamount.cmake, Modules/Platform/Generic.cmake,
	  Modules/Platform/Linux.cmake, Modules/Platform/UnixPaths.cmake,
	  Modules/Platform/eCos.cmake, Source/cmBootstrapCommands.cxx,
	  Source/cmSetPropertiesCommand.cxx,
	  Source/cmSetPropertiesCommand.h, Source/cmSetPropertyCommand.cxx,
	  Source/cmSetPropertyCommand.h, Tests/DocTest/CMakeLists.txt,
	  Tests/Properties/CMakeLists.txt: ENH: Rename SET_PROPERITES
	  command to SET_PROPERTY and give it a more powerful signature.

2008-01-17 12:44  martink

	* Source/: cmLocalGenerator.cxx, ctest.cxx,
	  CTest/cmCTestTestHandler.cxx: ENH: use CTestTestfile.txt

2008-01-17 12:35  martink

	* Source/cmEnableTestingCommand.h: ENH: remove unused prototype

2008-01-17 10:35  king

	* bootstrap: COMP: The find_package command needs more of kwsys.
	  Added String.h, String.c, and auto_ptr.hxx to bootstrapping
	  kwsys.

2008-01-17 10:32  king

	* Source/cmFindPackageCommand.cxx: COMP: Fix warning about missing
	  virtual destructor.

2008-01-17 10:26  martink

	* Tests/Tutorial/Step7/: CMakeLists.txt, CTestConfig.cmake: STYLE:
	  change case to match book

2008-01-17 10:00  king

	* Modules/Platform/xlf.cmake, Source/cmLocalGenerator.cxx,
	  Source/cmLocalGenerator.h,
	  Source/cmLocalVisualStudio6Generator.cxx,
	  Source/cmMakefileTargetGenerator.cxx: ENH: Enable
	  CMAKE_<lang>_DEFINE_FLAG for COMPILE_DEFINITIONS property
	  implementation.

2008-01-17 09:06  king

	* Tests/FindPackageTest/: CMakeLists.txt,
	  TApp.app/Contents/Resources/TAppConfig.cmake,
	  TApp.app/Contents/Resources/cmake/tapp-config.cmake,
	  TFramework.framework/Versions/A/Resources/tframework-config.cmake,
	  TFramework.framework/Versions/A/Resources/CMake/TFrameworkConfig.cmake,
	  lib/Bar/BarConfig.cmake, lib/Bar/cmake/bar-config.cmake,
	  lib/TApp/TAppConfig.cmake, lib/foo-1.2/foo-config.cmake,
	  lib/foo-1.2/CMake/FooConfig.cmake,
	  lib/suffix/test/SuffixTestConfig.cmake: ENH: Updated
	  FindPackageTest to test new find_package command features.

2008-01-17 09:02  king

	* Source/: cmBootstrapCommands.cxx, cmFindBase.cxx, cmFindBase.h,
	  cmFindCommon.cxx, cmFindCommon.h, cmFindLibraryCommand.cxx,
	  cmFindPackageCommand.cxx, cmFindPackageCommand.h,
	  cmFindPathCommand.cxx, cmFindProgramCommand.cxx: ENH: Major
	  improvements to the FIND_PACKAGE command.  See bug #3659.

	    - Use CMAKE_PREFIX_PATH and CMAKE_SYSTEM_PREFIX_PATH among
	  other means
	      to locate package configuration files.
	    - Create cmFindCommon as base for cmFindBase and
	  cmFindPackageCommand
	    - Move common functionality up to cmFindCommon
	    - Improve documentation of FIND_* commands.
	    - Fix FIND_* commands to not add framework/app paths in wrong
	  place.

2008-01-17 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-01-16 11:53  karthik

	* Docs/: cmake-indent.vim, cmake-syntax.vim: ENH:


			~/CMake/src/Docs * Additions for cmake-command
	  highligting.	* Additions for operator-highlighting

2008-01-16 11:24  king

	* Source/cmListCommand.cxx: ENH: Allow LIST(APPEND) command to
	  append nothing.

2008-01-16 10:04  david.cole

	* Modules/FindJNI.cmake: BUG: Eliminate message - it pops up an
	  annoying dialog whenever you run CMakeSetup in a project with
	  java wrapping turned on.

2008-01-16 09:51  king

	* Modules/Platform/: Darwin.cmake, UnixPaths.cmake,
	  WindowsPaths.cmake, syllable.cmake: ENH: Convert Modules/Platform
	  specification of system search paths to use
	  CMAKE_SYSTEM_PREFIX_PATH when possible.

2008-01-16 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-01-15 21:20  king

	* Modules/: FindFreetype.cmake, FindGDAL.cmake, FindGIF.cmake,
	  FindLua50.cmake, FindLua51.cmake, FindOpenAL.cmake,
	  FindOpenThreads.cmake, FindPhysFS.cmake, FindProducer.cmake,
	  FindQuickTime.cmake, FindSDL.cmake, FindSDL_image.cmake,
	  FindSDL_mixer.cmake, FindSDL_net.cmake, FindSDL_ttf.cmake,
	  Findosg.cmake, FindosgDB.cmake, FindosgFX.cmake, FindosgGA.cmake,
	  FindosgIntrospection.cmake, FindosgManipulator.cmake,
	  FindosgParticle.cmake, FindosgProducer.cmake,
	  FindosgShadow.cmake, FindosgSim.cmake, FindosgTerrain.cmake,
	  FindosgText.cmake, FindosgUtil.cmake, FindosgViewer.cmake: BUG:
	  Remove references to CMAKE_PREFIX_PATH variable.  It should not
	  be referenced directly by FIND_* command calls.  The commands
	  search it automatically.

2008-01-15 21:02  king

	* Source/cmGlobalXCodeGenerator.cxx,
	  Source/cmLocalVisualStudio6Generator.cxx,
	  Source/cmLocalVisualStudio7Generator.cxx,
	  Source/cmMakefileTargetGenerator.cxx, Source/cmSourceFile.cxx,
	  Source/cmTarget.cxx, Tests/Preprocess/CMakeLists.txt: ENH:
	  Renamed <CONFIG>_COMPILE_DEFINITIONS to
	  COMPILE_DEFINITIONS_<CONFIG> for better documentation clarity.

2008-01-15 19:56  alex

	* Modules/CMakeFindBinUtils.cmake: STYLE: fix infinished comment

	  Alex

2008-01-15 17:02  hoffman

	* CMakeCPackOptions.cmake.in: ENH: fix add/remove program name

2008-01-15 16:02  hoffman

	* CMakeLists.txt, ChangeLog.manual,
	  Source/cmLocalVisualStudio7Generator.cxx,
	  Source/cmLocalVisualStudioGenerator.cxx,
	  Source/MFCDialog/CMakeLists.txt,
	  Source/MFCDialog/CMakeSetupManifest.xml: ENH: move more stuff
	  over and get vs 9 working

2008-01-15 14:19  hoffman

	* Modules/Platform/SunOS.cmake: BUG: fix for bug 6231, bad regex
	  for sunos, worked by chance, but better to have it right

2008-01-15 14:00  hoffman

	* Source/: cmGlobalVisualStudio7Generator.cxx,
	  cmLocalVisualStudioGenerator.cxx, QtDialog/README: ENH: remove
	  patch as directory change was already fixed

2008-01-15 11:56  hoffman

	* Source/cmLocalVisualStudioGenerator.cxx: BUG: fix for bug 6234,
	  use cd /d so that drives can be changed.

2008-01-15 10:49  king

	* Source/cmake.cxx: ENH: Added partial implementation of
	  recognizing per-configration properties.

2008-01-15 10:49  king

	* Source/: cmSourceFile.cxx, cmTarget.cxx: ENH: Add explicit
	  documentation entry for configuration-specific
	  <CONFIG>_COMPILE_DEFINITIONS.

2008-01-15 10:38  king

	* Tests/DocTest/DocTest.cxx: BUG: Add newline between properties.

2008-01-15 09:09  king

	* Tests/Preprocess/CMakeLists.txt: BUG: Test needs ansi C code
	  support.

2008-01-15 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-01-14 19:20  alex

	* Docs/: cmake-indent.vim, cmake-syntax.vim: BUG: fix vim
	  highlighting, see #6238

	  Alex

2008-01-14 19:02  alex

	* Modules/CMakeFindBinUtils.cmake: BUG: according to the binutils
	  mailing list chrpath doesn't work when cross compiling

	  Alex

2008-01-14 17:19  alex

	* Modules/FindSubversion.cmake: BUG: set LC_ALL to C, so message
	  from svn are not translated, which can lead to problems (since
	  the output is parsed, which fails then)

	  Brad, Bill, can you think of any reasons this change might create
	  problems ?

	  Alex

2008-01-14 17:05  alex

	* Source/cmDocumentation.cxx: BUG: make -help-module-list work by
	  filling the modules section first, also for custom modules

	  Alex

2008-01-14 11:21  king

	* Tests/Preprocess/CMakeLists.txt: BUG: Disable semicolon test on
	  VS 7.0.

2008-01-14 11:07  king

	* Source/cmGlobalXCodeGenerator.cxx: COMP: Fix warning about
	  backslash at end of c++ comment.

2008-01-14 09:20  king

	* Modules/CMakeCInformation.cmake,
	  Modules/CMakeCXXInformation.cmake, Modules/Platform/AIX.cmake,
	  Modules/Platform/Generic-SDCC-C.cmake,
	  Modules/Platform/QNX.cmake, Modules/Platform/Windows-bcc32.cmake,
	  Modules/Platform/Windows-icl.cmake,
	  Modules/Platform/Windows-wcl386.cmake, Modules/Platform/cl.cmake,
	  Source/cmGlobalXCodeGenerator.cxx,
	  Source/cmGlobalXCodeGenerator.h, Source/cmLocalGenerator.cxx,
	  Source/cmLocalGenerator.h,
	  Source/cmLocalUnixMakefileGenerator3.cxx,
	  Source/cmLocalVisualStudio6Generator.cxx,
	  Source/cmLocalVisualStudio6Generator.h,
	  Source/cmLocalVisualStudio7Generator.cxx,
	  Source/cmLocalVisualStudio7Generator.h,
	  Source/cmMakefileTargetGenerator.cxx, Source/cmSourceFile.cxx,
	  Source/cmTarget.cxx, Tests/CMakeLists.txt,
	  Tests/Preprocess/CMakeLists.txt, Tests/Preprocess/file_def.h,
	  Tests/Preprocess/preprocess.c, Tests/Preprocess/preprocess.cxx,
	  Tests/Preprocess/preprocess.h.in,
	  Tests/Preprocess/preprocess_vs6.cxx,
	  Tests/Preprocess/target_def.h: ENH: Create COMPILE_DEFINITIONS
	  property for targets and source files.  Create
	  <config>_COMPILE_DEFINITIONS property as per-configuration
	  version.  Add Preprocess test to test the feature.  Document
	  limitations on Xcode and VS6 generators.

2008-01-14 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-01-13 16:59  king

	* Source/cmLocalGenerator.cxx: BUG: Removed stray debugging
	  statement.

2008-01-13 16:36  king

	* Source/: cmGlobalNMakeMakefileGenerator.cxx,
	  cmLocalGenerator.cxx, cmLocalGenerator.h,
	  cmLocalUnixMakefileGenerator3.h,
	  cmLocalVisualStudio7Generator.cxx, kwsys/System.c,
	  kwsys/System.h.in: ENH: Improved escaping in kwsys/System.  Added
	  escape of % for NMake.  Added escape of ; for the VS IDE.

2008-01-13 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-01-12 09:52  king

	* Source/kwsys/SystemTools.cxx: COMP: Fix build on borland.

2008-01-12 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-01-11 17:37  hoffman

	* Modules/Platform/: AIX-VisualAge-Fortran.cmake,
	  Linux-VisualAge-Fortran.cmake, xlf.cmake: ENH: add support for
	  xlf with -WF,-D for -D

2008-01-11 13:00  hoffman

	* Source/: cmLocalGenerator.cxx, cmLocalGenerator.h: ENH: add
	  CMAKE_DEFINE_FLAG_(LANG) that can replace -D flags with what the
	  compiler actually uses

2008-01-11 12:40  clinton

	* Modules/FindQt4.cmake: ENH:  For moc commands on Windows, use
	  @param_file method to allow arguments       longer than Windows'
	  command length limitation.	    Fixes #6221.

2008-01-11 10:36  david.cole

	* Source/kwsys/SystemTools.cxx: ENH: Merge changes from main tree
	  into VTK-5-0 branch. (Selected Utilities/kwsys/SystemTools.cxx
	  fixes for KWWidgets file browser dialog)

2008-01-11 08:33  king

	* Source/kwsys/: SystemTools.cxx, SystemTools.hxx.in: ENH: Add
	  SystemTools::SplitPathRootComponent and re-implement SplitPath to
	  use it.  Add better treatment of user home directory paths.

2008-01-11 08:30  hoffman

	* CMakeLists.txt, ChangeLog.manual, Modules/CMakeVS9FindMake.cmake,
	  Source/cmInstallTargetGenerator.cxx: ENH: push a few more changes
	  to 2.4.8

2008-01-11 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-01-10 21:42  david.cole

	* Source/kwsys/SystemTools.cxx: ENH: Merge changes from main tree
	  into VTK-5-0 branch. (cvs -q up -j1.205 -j1.206
	  Utilities/kwsys/SystemTools.cxx)

2008-01-10 18:52  alex

	* Modules/FindBoost.cmake: BUG: it seems on some installations
	  boost is installed under boost-1_34 , see #5030

	  FindBoost.cmake recommends using LINK_DIRECTORIES(), is this
	  really good ?

	  Alex

2008-01-10 18:32  king

	* Source/kwsys/ProcessUNIX.c: BUG: Fix hang in Process_Kill on OS X
	  caused by an OS bug in which a pipe read end cannot be closed if
	  the pipe write end is open, the pipe is full, and another process
	  is blocking waiting to write.  Work around the problem by killing
	  the children before closing the pipes.

2008-01-10 16:22  hoffman

	* Modules/FindSWIG.cmake: BUG: fix for bug 4145 much better
	  findSwig

2008-01-10 15:17  hoffman

	* Source/: cmGlobalXCodeGenerator.cxx,
	  cmInstallTargetGenerator.cxx: BUG: fix for bug 6193, fix xcode
	  depend helper

2008-01-10 14:47  king

	* Modules/Platform/Linux-VisualAge-C.cmake: BUG: Removed stray
	  debugging message.

2008-01-10 14:47  king

	* Modules/CMakeLists.txt: BUG: Need to install fortran compiler id
	  source.

2008-01-10 11:58  king

	* Modules/CMakeFortranCompilerId.F90: STYLE: Move VisualAge id
	  macro to correct block.

2008-01-10 10:50  hoffman

	* Modules/: CMakeFortranCompilerId.F90,
	  Platform/Linux-VisualAge-C.cmake,
	  Platform/Linux-VisualAge-Fortran.cmake: ENH: add support for
	  visual age fortran on linux

2008-01-10 09:46  king

	* Source/cmDependsFortran.cxx: COMP: Fix build on VS6.

2008-01-10 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-01-09 22:09  perera

	* Source/: cmAddExecutableCommand.h, cmConfigureFileCommand.h,
	  cmDocumentation.cxx, cmEnableLanguageCommand.h, cmFindBase.cxx,
	  cmMakefile.cxx, cmSourceFile.cxx, cmStringCommand.h,
	  cmTarget.cxx, cmTest.cxx, cmTryCompileCommand.h,
	  cmVariableWatchCommand.h, cmWhileCommand.h: STYLE: Spelling fixes
	  on documentation

2008-01-09 16:59  alex

	* Source/cmDocumentation.cxx: ENH: sort the module files
	  alphabetically when generating the documentation of rht modules

	  Alex

2008-01-09 10:30  king

	* Modules/Platform/Windows-ifort.cmake,
	  Source/cmDependsFortran.cxx, Source/cmDependsFortran.h,
	  Source/cmLocalUnixMakefileGenerator3.cxx,
	  Tests/Fortran/CMakeLists.txt, Tests/Fortran/test_preprocess.F90:
	  ENH: Patch from Maik to add preprocessor directive handling to
	  Fortran dependency scanning.	Also added -fpp flag to Intel
	  Fortran compiler on Windows by default.

2008-01-09 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-01-08 17:51  hoffman

	* Source/kwsys/: SystemInformation.cxx, SystemInformation.hxx.in:
	  ENH: figure out long long value

2008-01-08 17:20  hoffman

	* Source/kwsys/SystemInformation.cxx: ENH: fix lots of warnings

2008-01-08 16:40  hoffman

	* CMakeLists.txt, ChangeLog.manual, Modules/CPack.cmake: ENH:
	  remove relocate option in mac installer as it is broken

2008-01-08 16:28  hoffman

	* Source/kwsys/CMakeLists.txt: ENH: turn off for now

2008-01-08 14:59  hoffman

	* Source/kwsys/: CMakeLists.txt, SystemInformation.cxx,
	  SystemInformation.hxx.in: ENH: fix leaks and turn on by default

2008-01-08 11:43  hoffman

	* Source/kwsys/: CMakeLists.txt, testSystemInformation.cxx: ENH:
	  add missing file

2008-01-08 11:38  hoffman

	* Source/kwsys/: CMakeLists.txt, SystemInformation.cxx,
	  SystemInformation.hxx.in: ENH: add new system information class
	  for use in ctest

2008-01-08 11:06  hoffman

	* CMakeLists.txt, ChangeLog.manual, Modules/FindQt4.cmake: ENH:
	  last change for 2.4.8 branch, I hope, fix for findqt

2008-01-08 08:25  hoffman

	* Source/cmDependsFortran.cxx: BUG: make it compile on vs 6

2008-01-08 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-01-07 23:08  king

	* Source/: cmDependsFortranParser.cxx, cmDependsFortranParser.y:
	  BUG: Fix parsing of fortran include directives during dependency
	  scanning.  Previously only #include worked but not just include.

2008-01-07 16:12  king

	* Modules/CMakeJavaCompiler.cmake.in, Source/cmLocalGenerator.cxx,
	  Source/cmLocalGenerator.h,
	  Source/cmLocalUnixMakefileGenerator3.cxx,
	  Source/cmLocalUnixMakefileGenerator3.h,
	  Source/cmMakefileTargetGenerator.cxx: BUG: Restore old interface
	  of "make foo.o" and "make foo.i" even though object file names
	  now include source extensions.  For Java we also need to always
	  remove the source extension (.java -> .class).  This fixes the
	  re-opening of bug #6169.

2008-01-07 14:52  alex

	* Source/cmFileCommand.cxx: BUG: with cmake 2.4 INSTALL_FILES()
	  with no files was accepted by cmake, with cmake cvs without this
	  patch an invalid cmake_install.cmake script was generated in this
	  case, it failed with an error if no files were given. So just do
	  nothing if no files are listed to make it compatible.

	  http://lists.kde.org/?l=kde-commits&m=119965185114478&w=2

	  Alex

2008-01-07 11:36  king

	* Source/cmDependsFortran.cxx: ENH: Changes based on patch from
	  Maik for better cmDependsFortran::ModulesDiffer.

2008-01-07 10:27  king

	* Modules/: CMakeDetermineCompilerId.cmake,
	  CMakeDetermineFortranCompiler.cmake: ENH: Add support to
	  CMAKE_DETERMINE_COMPILER_ID macro to try building the id source
	  more than once with different extra flags added to the compiler.
	  Use the support to correctly identify the Intel Fortran compiler
	  on windows which does not preprocess by default without special
	  flags.

2008-01-07 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-01-06 17:18  alex

	* Source/cmFindBase.cxx: BUG: fix #6105, if a directory inside
	  CMAKE_FIND_ROOT_PATH is given to a FIND_XXX() command, don't
	  prepend the root to it (since it is already in this root)

	  Alex

2008-01-06 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-01-05 20:37  miguelf

	* Modules/FindwxWidgets.cmake: BUG: Support cross-compiling;
	  wx-config should be searched for in target platform ONLY (bug
	  6187).

2008-01-05 11:19  miguelf

	* Modules/FindwxWidgets.cmake: ENH: Generalized the
	  WXWIDGETS_ADD_RESOURCES to support header generation, xrs file
	  generation, and other options (BUG: 6162).

2008-01-05 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-01-04 14:22  king

	* Source/cmFileCommand.cxx: BUG: File installation should overwrite
	  the destination if the file times differ at all rather than only
	  if the source file is newer.	Users expect installation to
	  overwrite destination files.	This addresses the re-opening of
	  bug#3349.

2008-01-04 12:38  alex

	* Modules/: FindFreetype.cmake, FindGIF.cmake: ENH: rename
	  variables from GIFLIB_* to GIF_* -add standard QUIET and REQUIRED
	  handling -add GIF_LIBRARIES variable as readme.txt says -add name
	  giflib to the names for the gif library -remove some unnecessary
	  search paths for the lib (they are already part of the standard
	  search paths, see Modules/Platform/UnixPaths.cmake)
	  -FindFreetype.cmake: use PATH_SUFFIXES include again for the
	  headers with the CMAKE_PREFIX_PATH variable

	  Alex

2008-01-04 12:29  alex

	* Modules/: FindGIF.cmake, FindGIFLIB.cmake: STYLE: rename
	  FindGIFLIB.cmake to FindGIF.cmake, as discussed with Eric

	  Alex

2008-01-04 11:56  alex

	* Modules/FindX11.cmake: BUG: fix spelling of the xf86misc and
	  xf86vmode variables

	  Alex

2008-01-04 11:42  ewing

	* Modules/FindOpenAL.cmake: ENH: Added all lowercase 'openal' to
	  library search names in hopes of addressing  bug 6201 (won't
	  detect on Gentoo).

2008-01-04 07:29  alex

	* Modules/FindFreetype.cmake: STYLE: use
	  FIND_PACKAGE_HANDLE_STANDARD_ARGS() to handle QUIET and REQUIRED
	  -remove some unnecessary search paths (they are part of the
	  default paths) -don't use PATH_SUFFIXES for include/ when
	  searching for a header, that's very uncommon style -add
	  FREETYPE_LIBRARIES as the variable which should be used by the
	  user (as documented in readme.txt)

	  Alex

2008-01-04 07:25  alex

	* Modules/: FindFreeType.cmake, FindFreetype.cmake: STYLE: renamed
	  FindFreeType.cmake to FindFreetype.cmake to make it more
	  compatible with the one in KDE4

	  Alex

2008-01-04 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-01-03 11:21  martink

	* Source/cmMakefile.cxx, Source/cmMakefile.h,
	  Source/cmRaiseScopeCommand.cxx, Source/cmRaiseScopeCommand.h,
	  Tests/FunctionTest/CMakeLists.txt,
	  Tests/FunctionTest/SubDirScope/CMakeLists.txt,
	  Tests/FunctionTest/Util.cmake: ENH: change raise_scope signature
	  to be safer for returned varuables

2008-01-03 09:40  king

	* Source/cmFileCommand.cxx: STYLE: Fix line-too-long.

2008-01-03 07:28  hoffman

	* Source/cmake.cxx: BUG: fix resource file with a full path

2008-01-03 04:19  alex

	* Source/cmFileCommand.cxx: COMP: fix build on Windows with gcc,
	  patch from Maik Beckmann

	  Alex

2008-01-03 00:01  king

	* Source/: cmFileTimeComparison.cxx, cmFileTimeComparison.h: ENH:
	  Add method cmFileTimeComparison::FileTimesDiffer to check if file
	  times differ by 1 second or more.

2008-01-03 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-01-02 18:30  king

	* Source/cmDependsFortran.cxx: ENH: Cleanup Fortran build
	  directories by placing module stamp files in the target directory
	  that builds them.  This is actually a simpler implementation
	  anyway.

2008-01-02 18:00  king

	* Tests/StringFileTest/CMakeLists.txt: ENH: Add test for FILE(READ
	  ...HEX).

2008-01-02 17:49  king

	* Source/cmMakefile.cxx, Tests/FunctionTest/CMakeLists.txt,
	  Tests/FunctionTest/SubDirScope/CMakeLists.txt: BUG: Make
	  RAISE_SCOPE function work when variable is not defined.

2008-01-02 17:32  king

	* Docs/cmake-mode.el: ENH: Enable indentation of
	  FUNCTION/ENDFUNCTION blocks in emacs.

2008-01-02 17:12  hoffman

	* Modules/UseSWIG.cmake: BUG: fix for bug 6151

2008-01-02 16:53  alex

	* Source/cmTarget.cxx: ENH: only allow usage of chrpath if the
	  executable file format is ELF

	  Alex

2008-01-02 16:52  alex

	* Modules/: CMakeDetermineCompilerId.cmake,
	  CMakeFindBinUtils.cmake: ENH: check the magic code of the
	  executable file to determine the executable file format. Tested
	  for ELF on x86 Linux, COFF and Mach-O prepared but commented out
	  since I don't have such systems available. Please have a look a
	  CMakeDetermineCompilerId.cmake and enable the test for them too.

	  Only add the option for using chrpath if the executable format is
	  ELF

	  Alex

2008-01-02 16:46  alex

	* Source/: cmFileCommand.cxx, cmFileCommand.h: ENH: add the
	  keywords OFFSET and HEX to the FILE() command, using OFFSET an
	  offset can be specified where the reading starts, and using HEX
	  the data can be converted into a hex string, so binary data can
	  be compared with text functions -add docs for LIMIT, OFFSET and
	  HEX

	  Alex

2008-01-02 15:55  king

	* Source/cmGlobalVisualStudio8Generator.cxx: STYLE: Fixed
	  line-too-long.

2008-01-02 15:53  king

	* Source/cmGlobalVisualStudio8Generator.cxx: BUG: Do not use
	  VSMacros stuff for VS8sp0 because macros do not work in that
	  version.

2008-01-02 15:17  king

	* Source/cmFileCommand.cxx, Source/cmInstallCommand.cxx,
	  Source/cmInstallCommand.h, Tests/SimpleInstall/CMakeLists.txt,
	  Tests/SimpleInstallS2/CMakeLists.txt: ENH: Added FILES_MATCHING
	  option to INSTALL(DIRECTORY).  This will help install a tree of
	  header files while ignoring non-headers.

2008-01-02 12:32  alex

	* Modules/FindRuby.cmake: ENH: add more ruby paths: sitearch,
	  sitelib, vendorarch, vendorlib (#5531) -make these variables
	  cached and ADVANCED -remove unused QUIETLY code -document
	  RUBY_LIBRARY

	  Alex

2008-01-02 11:43  alex

	* Modules/FindRuby.cmake: BUG: make FindRuby work with the libs for
	  MSVC, which can have additional pre- and suffixes (#5642)

	  Alex

2008-01-02 11:08  hoffman

	* Source/cmAuxSourceDirectoryCommand.cxx: BUG: fix for bug 6197,
	  absolute paths were not supported

2008-01-02 11:04  king

	* Source/: cmDependsFortran.cxx, cmDependsFortran.h,
	  cmLocalUnixMakefileGenerator3.cxx: ENH: Make the Fortran compiler
	  id available to cmDependsFortran at scanning and module timestamp
	  copy time.

2008-01-02 10:56  hoffman

	* Source/cmListCommand.h: BUG: fix for bug 6207 explain list index
	  values better

2008-01-02 09:32  hoffman

	* Source/cmake.cxx: ENH: fix new incremental link stuff to work
	  with nmake @ files

2008-01-02 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2008-01-01 17:19  hoffman

	* Source/cmake.cxx: ENH: remove warning

2008-01-01 15:13  hoffman

	* Modules/CMakeVCManifest.cmake, Modules/CMakeVCManifestExe.cmake,
	  Modules/Platform/Windows-cl.cmake, Source/cmMakefile.cxx,
	  Source/cmSystemTools.cxx, Source/cmSystemTools.h,
	  Source/cmake.cxx, Source/cmake.h: ENH: add ability to have
	  manifest files and incremental linking with make and nmake

2008-01-01 10:54  king

	* Tests/: SimpleInstall/CMakeLists.txt,
	  SimpleInstallS2/CMakeLists.txt: BUG: Fix SimpleInstall test to
	  work with new dependency of package on all.

2008-01-01 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-12-31 17:29  david.cole

	* Source/cmGlobalGenerator.cxx: ENH: Add a dependency from the
	  PACKAGE target to the ALL target so that "make package" will
	  first (essentially) do a "make all"... A similar chunk of code
	  already existed for the make install target. This change makes it
	  easy to build an installer package as part of a dashboard run
	  simply by setting CTEST_BUILD_TARGET to "package".

2007-12-31 11:25  king

	* Source/: cmDependsFortran.cxx, cmDependsFortran.h: ENH: Changes
	  based on patch from Maik Beckmann to copy fortran modules to
	  timestamps only if they have really changed.	This optimization
	  should reduce extra rebuilds caused by dependencies on modules
	  whose providers have recompiled but whose interfaces have not
	  changed.

2007-12-31 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-12-30 16:34  king

	* Modules/Platform/SunOS-SunPro-Fortran.cmake: ENH: Add SunPro
	  fortran module flags on SunOS.

2007-12-30 16:11  king

	* Modules/Platform/Linux-GNU-Fortran.cmake,
	  Modules/Platform/Linux-SunPro-Fortran.cmake,
	  Modules/Platform/Linux-ifort.cmake, Source/cmDependsFortran.cxx,
	  Source/cmDependsFortran.h, Source/cmDocumentVariables.cxx,
	  Source/cmMakefileTargetGenerator.cxx,
	  Source/cmMakefileTargetGenerator.h, Source/cmTarget.cxx,
	  Tests/Fortran/CMakeLists.txt,
	  Tests/Fortran/Executable/CMakeLists.txt,
	  Tests/Fortran/Library/CMakeLists.txt: ENH: Implemented Fortran
	  module output directory and search path flags.

2007-12-30 12:23  king

	* Source/cmDependsFortran.cxx: ENH: Simplify Fortran module proxy
	  dependency implementation by removing unnecessary target.

2007-12-30 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-12-29 11:53  alex

	* Source/cmDocumentation.cxx: BUG: create modules documentation not
	  only for the first documentation creation step in cmake (the set
	  ModulesFound wasn't cleared at the beginning of each
	  PrintDocumentation() function, so when documentation for modules
	  was executed the second time, ModulesFound already contained all
	  modules and so no module was documented)

	  Alex

2007-12-29 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-12-28 23:07  king

	* Source/cmLocalGenerator.cxx, Tests/ExternalOBJ/CMakeLists.txt,
	  Tests/MakeClean/ToClean/CMakeLists.txt: BUG: Do not remove the
	  source file extension when computing an object file name.  This
	  addresses bug #6169.	If CMAKE_BACKWARDS_COMPATIBILITY is 2.4 or
	  lower maintain the old behavior so that existing build trees and
	  old project releases are not affected.

2007-12-28 23:07  king

	* Source/: cmLocalGenerator.cxx, cmLocalGenerator.h,
	  cmStandardIncludes.h: ENH: Added method
	  cmLocalGenerator::GetBackwardsCompatibility to reduce parsing of
	  CMAKE_BACKWARDS_COMPATIBILITY variable.  Add
	  cmLocalGenerator::NeedBackwardsCompatibility to simplify checks
	  for compatibility requirements.

2007-12-28 22:53  king

	* Tests/Fortran/CMakeLists.txt: BUG: Disable test of fortran module
	  dependencies except on GNU for now.  A module path feature is
	  needed for Sun support because it uses -M instead of -I for the
	  module search path.

2007-12-28 22:29  king

	* Source/cmDependsFortran.cxx: COMP: Fix uninitialized variable and
	  unused parameter warnings.

2007-12-28 14:59  king

	* Source/: cmMakefileExecutableTargetGenerator.cxx,
	  cmMakefileLibraryTargetGenerator.cxx,
	  cmMakefileTargetGenerator.cxx, cmMakefileTargetGenerator.h: ENH:
	  Simplified and moved link script implementation up from
	  cmMakefileLibraryTargetGenerator to cmMakefileTargetGenerator and
	  use for cmMakefileExecutableTargetGenerator too.  This addresses
	  bug #6192.

2007-12-28 13:20  hoffman

	* CMakeLists.txt, ChangeLog.manual, MacInstallReadme.txt: ENH: add
	  some descriptive text for mac installer

2007-12-28 12:01  king

	* Source/cmFindBase.cxx: ENH: Make FIND_* commands look in the
	  CMAKE_PREFIX_PATH directories directly after looking in each
	  command's specific subdirectory (/include, /lib, or /bin).  This
	  may be useful on Windows where projects could be installed in a
	  single directory.  See issue #4947.

2007-12-28 11:50  king

	* Tests/Fortran/: CMakeLists.txt, Executable/CMakeLists.txt,
	  Executable/main.f90, External/CMakeLists.txt, External/a.f90:
	  ENH: Add tests of Fortran module dependencies across directories
	  and on external modules.  Tests based on cases provided by Maik
	  in issue #5809.

2007-12-28 11:50  king

	* Source/: cmDependsFortran.cxx, cmLocalUnixMakefileGenerator3.cxx:
	  ENH: Add per-language clean rule generation to cmake_clean.cmake
	  files to include cmake_clean_<lang>.cmake files generated by
	  dependency scanning.	Add Fortran module file and timestamp
	  cleaning rules.

2007-12-28 11:49  king

	* Source/: cmDepends.cxx, cmDepends.h, cmDependsFortran.cxx,
	  cmDependsFortran.h: ENH: Implement Fortran module dependencies
	  across targets and directories.    - See issue #5809	  - Keep
	  information about all sources in the target until deps are
	  written    - Create a fortran.internal file after scanning that
	  lists modules provided    - Load fortran.internal files from
	  linked targets to find modules    - Search the include path for
	  external modules    - Create file-level deps on in-project module
	  timestamps or external mods

2007-12-28 11:49  king

	* Source/cmMakefileTargetGenerator.cxx: ENH: Store in
	  DependInfo.cmake files a list of the corresponding files for the
	  targets to which a target links.  This is useful for locating
	  Fortran modules provided by linked targets.  See issue #5809.

2007-12-28 09:49  hoffman

	* ChangeLog.manual, Modules/CPack.Info.plist.in,
	  Modules/CPack.cmake: ENH: move over mac package change

2007-12-28 09:34  hoffman

	* CMakeLists.txt, ChangeLog.manual: ENH: ooppss there is no 2.4.9

2007-12-28 09:11  hoffman

	* CMakeLists.txt, ChangeLog.manual: ENH: make a new version number

2007-12-28 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-12-27 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-12-26 16:57  david.cole

	* CMakeCPackOptions.cmake.in, Modules/CPack.Info.plist.in,
	  Modules/CPack.cmake: ENH: Give Mac installers package relocation
	  capability. Default location is still the same for backwards
	  compatibility, but packages will now be relocatable by default
	  like they are on Windows via the NSIS installer. New CPack
	  variables for controlling this functionality are
	  CPACK_PACKAGE_DEFAULT_LOCATION and CPACK_PACKAGE_RELOCATABLE.

2007-12-26 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-12-25 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-12-24 11:15  king

	* Source/cmGlobalGenerator.cxx: COMP: Fix build on VS6.

2007-12-24 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-12-23 19:03  king

	* Source/cmLinkDirectoriesCommand.h: ENH: Clarify documentation of
	  link_directories command for bug#6199.

2007-12-23 15:03  king

	* Source/: cmGlobalGenerator.cxx, cmGlobalGenerator.h,
	  cmGlobalUnixMakefileGenerator3.cxx,
	  cmGlobalUnixMakefileGenerator3.h,
	  cmLocalUnixMakefileGenerator3.cxx,
	  cmLocalUnixMakefileGenerator3.h, cmTarget.h: ENH: Moved global
	  inter-target dependency analysis and cycle-prevention code up
	  from cmGlobalUnixMakefileGenerator3 to cmGlobalGenerator.
	  Simplified cmGlobalUnixMakefileGenerator3 to use it.	Later other
	  generators may be modified to use it also.

2007-12-23 13:16  king

	* Source/cmGlobalXCodeGenerator.cxx: BUG: Revert previous change
	  until it works on all OSX versions.

2007-12-23 13:13  king

	* Source/cmGlobalVisualStudio71Generator.cxx: BUG: Disable static
	  lib deps until a global cycle removal can be done.

2007-12-23 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-12-22 22:41  king

	* Source/: cmDepends.cxx, cmDepends.h, cmDependsFortran.cxx,
	  cmDependsFortran.h, cmLocalUnixMakefileGenerator3.cxx: ENH:
	  Convert cmDepends object interface to scan an entire target at
	  once.

2007-12-22 14:17  king

	* Source/cmGlobalXCodeGenerator.cxx: ENH: Simplify target-level
	  dependencies by depending only on directly linked targets instead
	  of those chained.

2007-12-22 13:08  king

	* Source/: cmGlobalUnixMakefileGenerator3.cxx,
	  cmGlobalUnixMakefileGenerator3.h: BUG: Support cyclic
	  dependencies among STATIC libraries by removing one from the
	  generated Makefile rules.

2007-12-22 10:15  miguelf

	* Modules/FindwxWidgets.cmake: STYLE: Refactored common libs into a
	  variable, modified comments, and cleaned use of monolithic build.

2007-12-22 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-12-21 20:19  king

	* Tests/BuildDepends/CMakeLists.txt: BUG: Enable
	  CMAKE_SUPPRESS_REGENERATION because the entire test runs during
	  the inital configuration.

2007-12-21 18:32  king

	* Source/: cmGlobalUnixMakefileGenerator3.cxx,
	  cmGlobalUnixMakefileGenerator3.h: COMP: Remove unused parameter
	  of method.

2007-12-21 16:46  ibanez

	* Source/kwsys/SystemTools.cxx: BUG: Fix bug#5590.	 When
	  converting a relative path between two full paths on different
	  windows drive letters do not create a ../../d:/foo/bar path
	  and just	 return the full path to the destination.

2007-12-21 15:04  king

	* Source/: cmGlobalUnixMakefileGenerator3.cxx,
	  cmGlobalVisualStudio71Generator.cxx,
	  cmGlobalVisualStudio8Generator.h,
	  cmGlobalVisualStudioGenerator.cxx,
	  cmGlobalVisualStudioGenerator.h, cmGlobalXCodeGenerator.cxx: ENH:
	  Make static library targets depend on targets to which they
	  "link" for the purpose of build ordering.  This makes the build
	  order consistent for static and shared library builds.  It is
	  also useful when custom command inputs of one library are
	  generated as custom commands outputs of another.  It may be
	  useful in the future for Fortran module dependencies.
	  Implemented for Makefiles, Xcode, and VS 8 and above.  Added
	  sample code to do it for VS 7.1 and below, but left it disabled
	  with comments explaining why.  Likely it will never be needed on
	  VS 7.1 or below anyway.

2007-12-21 13:10  king

	* Source/cmGlobalUnixMakefileGenerator3.cxx: BUG: Now that custom
	  targets have dependencies their DependInfo files should be listed
	  in Makefile.cmake.

2007-12-21 12:22  king

	* Source/cmGlobalGenerator.cxx, Source/cmGlobalGenerator.h,
	  Source/cmGlobalUnixMakefileGenerator3.cxx,
	  Source/cmGlobalUnixMakefileGenerator3.h,
	  Source/cmLocalUnixMakefileGenerator3.cxx,
	  Source/cmLocalUnixMakefileGenerator3.h,
	  Source/cmMakefileExecutableTargetGenerator.cxx,
	  Source/cmMakefileLibraryTargetGenerator.cxx,
	  Source/cmMakefileTargetGenerator.cxx,
	  Source/cmMakefileTargetGenerator.h,
	  Source/cmMakefileUtilityTargetGenerator.cxx, Source/cmake.cxx,
	  Tests/BuildDepends/CMakeLists.txt,
	  Tests/BuildDepends/Project/CMakeLists.txt,
	  Tests/BuildDepends/Project/dep_custom.cxx,
	  Tests/BuildDepends/Project/zot.cxx: ENH: Add a depends check step
	  to custom targets.  Add support for the IMPLICIT_DEPENDS feature
	  of custom commands when building in custom targets.  Convert
	  multiple-output pair checks to be per-target instead of global.

2007-12-21 11:00  king

	* Source/cmMakefileTargetGenerator.cxx: BUG: The dependency
	  scanning target should be symbolic.

2007-12-21 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-12-20 20:59  ewing

	* Modules/: FindFreeType.cmake, FindGDAL.cmake, FindGIFLIB.cmake,
	  FindLua50.cmake, FindLua51.cmake, FindOpenAL.cmake,
	  FindOpenThreads.cmake, FindPhysFS.cmake, FindProducer.cmake,
	  FindQuickTime.cmake, FindSDL.cmake, FindSDL_image.cmake,
	  FindSDL_mixer.cmake, FindSDL_net.cmake, FindSDL_sound.cmake,
	  FindSDL_ttf.cmake, Findosg.cmake, FindosgDB.cmake,
	  FindosgFX.cmake, FindosgGA.cmake, FindosgIntrospection.cmake,
	  FindosgManipulator.cmake, FindosgParticle.cmake,
	  FindosgProducer.cmake, FindosgShadow.cmake, FindosgSim.cmake,
	  FindosgTerrain.cmake, FindosgText.cmake, FindosgUtil.cmake,
	  FindosgViewer.cmake: BUG: Fixed modules to set FOO_FOUND when
	  both headers and libraries are found.  BUG: FindSDL now has flag
	  it responds to so it will not find/link against SDLmain. This is
	  required to build libraries instead of applications since they
	  don't have main().  ENH: All modules have a predictable search
	  order, where environmental variables are searched before system
	  paths. This is designed to make automation easier for those that
	  need to automatically build projects without intervention but may
	  be using alternative install locations for isolated testing.
	  ENH: New modules for OpenSceneGraph, Freetype, GDAL, Lua,
	  QuickTime, GIFLIB, Producer, OpenThreads.  STYLE: Added
	  documentation explaining peculuar SDL_LIBRARY_TEMP variable in
	  SDL	module when library find is incomplete.

2007-12-20 17:49  alex

	* Source/: cmAuxSourceDirectoryCommand.h, cmBuildCommand.h,
	  cmCreateTestSourceList.h, cmExportCommand.h,
	  cmExportLibraryDependencies.h, cmOptionCommand.h, cmSetCommand.h:
	  STYLE: make formatting of help a bit more consistent

	  Alex

2007-12-20 10:05  martink

	* Source/cmFunctionCommand.cxx: BUG: fix issue with
	  CMAKE_CURENT_LIST_FILE reporting in funcitons

2007-12-20 09:35  king

	* Source/cmSystemTools.h: COMP: Fixed error on HP due to newline
	  macro.

2007-12-20 09:27  king

	* Source/cmLocalGenerator.cxx: COMP: Fixed data loss warning.

2007-12-20 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-12-19 17:54  king

	* Source/cmLocalUnixMakefileGenerator3.cxx: BUG: Fix make depend
	  target in subdirectory Makefile interface.

2007-12-19 17:15  king

	* Source/: cmLocalGenerator.h, cmLocalUnixMakefileGenerator3.cxx,
	  cmLocalUnixMakefileGenerator3.h, cmMakefileTargetGenerator.cxx,
	  cmSystemTools.cxx, cmSystemTools.h, cmake.cxx: ENH: Enabled color
	  printing of "Scanning dependencies of target ..." message.

2007-12-19 16:53  alex

	* Source/cmOptionCommand.h: ENH: options() is now scriptable, set()
	  is scriptable too, I don't see a big difference

	  Alex

2007-12-19 16:48  clinton

	* Modules/FindQt4.cmake: ENH:  Better QT4_EXTRACT_OPTIONS macro.

2007-12-19 16:46  alex

	* Source/cmMakefile.cxx: STYLE: nicer error message: "Command
	  options() is not scriptable" is IMO better to understand than
	  "Command options not scriptable" (with all uppercase commands it
	  was easier to see)

	  Alex

2007-12-19 16:36  king

	* Source/: cmDepends.cxx, cmDepends.h, cmLocalGenerator.h,
	  cmLocalUnixMakefileGenerator3.cxx,
	  cmLocalUnixMakefileGenerator3.h, cmMakefileTargetGenerator.cxx,
	  cmake.cxx: ENH: Moved dependency integrity check from
	  CheckBuildSystem over to a per-target UpdateDependencies step.
	  This greatly reduces the startup time for make processes and
	  allows individual targets to be built without a global dependency
	  check.

2007-12-19 16:35  king

	* Source/cmDependsFortran.cxx: BUG: cmDependsFortran should store
	  the source file as a dependency of the object file when scanning
	  for dependencies.

2007-12-19 14:28  king

	* Source/: cmDependsFortran.cxx, cmDependsFortran.h,
	  cmLocalUnixMakefileGenerator3.cxx: ENH: Pass target directory to
	  cmDependsFortran scanning instances.

2007-12-19 11:51  king

	* Source/cmake.cxx: ENH: Improved speed of cmake::CheckBuildSystem
	  when checking build system outputs versus dependencies.  Instead
	  of doing an O(m*n) comparison of every pair, just locate the
	  oldest output and the newest input and compare them which is now
	  O(m+n).

2007-12-19 11:06  king

	* Source/cmFindBase.cxx, Tests/FindPackageTest/CMakeLists.txt: ENH:
	  Renamed CMAKE_FIND_PREFIX_PATH to CMAKE_PREFIX_PATH for brevity
	  and consistency with other find path variable names.

2007-12-19 10:43  hoffman

	* Source/: cmListCommand.cxx, cmListCommand.h: ENH: merge in list
	  find to support Findqt

2007-12-19 10:34  king

	* Source/cmFindBase.cxx: ENH: Added CMAKE_SYSTEM_PREFIX_PATH
	  variable.

2007-12-19 03:56  alex

	* Source/: cmInstallTargetGenerator.cxx,
	  cmInstallTargetGenerator.h, cmLocalGenerator.cxx,
	  cmLocalGenerator.h:
	  STYLE: fix warnings: comparison signed/unsigned, unused variable

	  Alex

2007-12-19 03:55  alex

	* Modules/CMakeFindBinUtils.cmake:
	  BUG: make CMAKE_USE_CHRPATH a simple variable instead an option,
	  since an option is not scriptable and so breaks the toolchain
	  test or maybe option() should be made scriptable ?

	  Alex

2007-12-19 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-12-18 17:50  alex

	* Modules/CMakeFindBinUtils.cmake,
	  Source/cmInstallTargetGenerator.cxx,
	  Source/cmInstallTargetGenerator.h, Source/cmLocalGenerator.cxx,
	  Source/cmLocalGenerator.h, Source/cmTarget.cxx,
	  Source/cmTarget.h: ENH: add support for chrpath, so the RPATH in
	  ELF files can be changed when installing without having to link
	  the target again -> can save a lot of time

	  chrpath is handled very similar to install_name_tool on the mac.
	  If the RPATH in the build tree file is to short, it is padded
	  using the separator character.  This is currently disabled by
	  default, it can be enabled using the option CMAKE_USE_CHRPATH.
	  There are additional checks whether it is safe to enable it. I
	  will rework them and use FILE(READ) instead to detect whether the
	  binaries are actually ELF files.

	  chrpath is available here
	  http://www.tux.org/pub/X-Windows/ftp.hungry.com/chrpath/ or kde
	  svn (since a few days):
	  http://websvn.kde.org/trunk/kdesupport/chrpath/

	  Alex

2007-12-18 15:58  hoffman

	* Source/: cmGlobalVisualStudio9Generator.cxx,
	  cmGlobalVisualStudio9Generator.h,
	  cmGlobalVisualStudio9Win64Generator.cxx,
	  cmGlobalVisualStudio9Win64Generator.h: ENH: merge from main tree

2007-12-18 15:02  hoffman

	* CMakeLists.txt, ChangeLog.manual, Modules/FindPkgConfig.cmake,
	  Modules/Platform/Linux-ifort.cmake, Source/CMakeLists.txt,
	  Source/cmLocalVisualStudio7Generator.h, Source/cmake.cxx,
	  Utilities/cmtar/encode.c: ENH: merge in from main tree

2007-12-18 14:50  clinton

	* Modules/FindQt4.cmake: ENH: should define QT_DLL instead of
	  QT_SHARED

2007-12-18 13:05  clinton

	* Modules/FindQt4.cmake: ENH:  Improve documentation of new
	  features.

2007-12-18 10:02  hoffman

	* Modules/FindBoost.cmake: BUG: fix for bug 5464 better find boost
	  for windows

2007-12-18 09:57  hoffman

	* Source/cmGetSourceFilePropertyCommand.cxx,
	  Tests/COnly/CMakeLists.txt: BUG: fix for bug 6172 add get source
	  file prop LANGUAGE

2007-12-18 09:50  king

	* Source/cmGlobalXCodeGenerator.cxx,
	  Source/cmLocalUnixMakefileGenerator3.cxx,
	  Source/cmLocalUnixMakefileGenerator3.h,
	  Source/cmLocalVisualStudio7Generator.cxx,
	  Tests/CustomCommand/CMakeLists.txt: ENH: Implemented generation
	  of display for pre-build, pre-link, and post-build custom command
	  comments during the build.  This addresses issue #5353.

2007-12-18 08:53  hoffman

	* Source/cmGlobalVisualStudio8Generator.cxx: STYLE: fix line len

2007-12-18 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-12-17 21:37  hoffman

	* Modules/FindPkgConfig.cmake: BUG: fix for 5722

2007-12-17 19:48  king

	* Source/cmGlobalXCodeGenerator.cxx: BUG: Remove stray debugging
	  message.

2007-12-17 18:38  king

	* Source/cmLocalVisualStudioGenerator.cxx: BUG: When the working
	  directory for a custom command is on another drive letter we need
	  to change to that drive letter after changing its working
	  directory.  Fixes issue #6150.

2007-12-17 17:57  hoffman

	* Modules/TestForANSIForScope.cmake: STYLE: fix doc string

2007-12-17 17:55  king

	* Source/: cmDependsFortranParser.cxx, cmDependsFortranParser.y:
	  BUG: Fixed memory-leaks in fortran parser.

2007-12-17 17:55  king

	* Source/: cmDependsFortranParser.cxx, cmDependsFortranParser.y:
	  BUG: Fix parsing of #include preprocessor directives.

2007-12-17 17:54  king

	* Source/cmLocalUnixMakefileGenerator3.cxx: ENH: Fortran include
	  path is the same as C and CXX include paths.

2007-12-17 17:50  hoffman

	* Utilities/cmtar/encode.c: BUG: fix for bug 5837, libtar and long
	  path names

2007-12-17 17:40  hoffman

	* CMakeLists.txt, ChangeLog.manual, Modules/FindPkgConfig.cmake,
	  Modules/FindQt3.cmake, Modules/FindQt4.cmake,
	  Modules/UseQt4.cmake, Source/cmDependsFortran.cxx,
	  Source/cmInstallCommand.cxx, Source/cmMakefile.cxx,
	  Source/cmake.cxx, Source/kwsys/SystemTools.cxx,
	  Source/kwsys/SystemTools.hxx.in,
	  Source/kwsys/SystemTools.hxx.in.bak: ENH: move changes from main
	  tree

2007-12-17 17:28  hoffman

	* Source/cmGlobalVisualStudio8Generator.cxx: BUG: fix for bug 5931
	  add some more flags for the gui

2007-12-17 17:22  hoffman

	* Modules/FindJNI.cmake: BUG: fix for 5933, look for java in more
	  reg entries

2007-12-17 17:05  alex

	* Modules/CTest.cmake: STYLE: use IF(NOT ) instead of IF() ELSE()
	  with empty IF() branch

	  Alex

2007-12-17 16:15  alex

	* Docs/cmake-syntax.vim: STYLE: apply patch from #6166, better
	  cmake syntax highlighting in vim, seems to fix the issues
	  mentioned in the bug report and the rest also still seems to be
	  ok

	  Alex

2007-12-17 15:27  hoffman

	* Source/CPack/cmCPackPackageMakerGenerator.cxx: ENH: try to fix
	  dashboard

2007-12-17 15:20  king

	* Source/cmInstallCommand.cxx: BUG: Apply patch from issue #6006.

2007-12-17 14:43  hoffman

	* Source/: CMakeLists.txt, cmGlobalVisualStudio9Win64Generator.cxx,
	  cmGlobalVisualStudio9Win64Generator.h, cmake.cxx: ENH: add
	  support for vs 9 win64

2007-12-17 12:04  hoffman

	* Modules/: CMakeCInformation.cmake, CMakeCXXInformation.cmake,
	  CMakeFortranInformation.cmake: BUG: fix for bug 6167 get rid of
	  extra space in flags

2007-12-17 10:12  king

	* Source/cmTarget.cxx, Tests/Properties/CMakeLists.txt: ENH: Added
	  SOURCES property to targets.	This is based on patch from issues
	  #6137.

2007-12-17 10:12  king

	* Source/: cmSourceFile.cxx, cmSourceFile.h: ENH: Added
	  cmSourceFile::GetLocation method to get a read-only reference to
	  the Location ivar.  This partially addresses issue #6137.

2007-12-17 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-12-16 07:56  alex

	* Source/cmStringCommand.cxx: BUG: fix STRING(STRIP ...) if no
	  non-space is contained in the input string, this should fix the
	  dashboard

	  Alex

2007-12-16 05:49  alex

	* Modules/FindQt4.cmake: STYLE: some whitespace syncing with
	  FindQt4.cmake in KDE svn

	  Alex

2007-12-16 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-12-15 16:03  king

	* Modules/CMakeDetermineCompilerId.cmake: BUG: Need to strip
	  leading and trailing whitespace off the compiler 'ARG1'.  This
	  fixes bug#6141.

2007-12-15 15:36  king

	* Tests/Fortran/: CMakeLists.txt, Library/CMakeLists.txt,
	  Library/a.f90, Library/b.f90, Library/main.f90: ENH: Added test
	  for Fortran90 modules in subdirectories.

2007-12-15 15:35  king

	* Source/cmDependsFortran.cxx: ENH: Make module timestamps work for
	  modules in subdirectories.  Make sure timestamps for all modules
	  provided by a target are created when the target is done
	  building.

2007-12-15 14:16  king

	* Source/: cmFindPackageCommand.cxx, cmFindPackageCommand.h: STYLE:
	  Removed trailing whitespace.

2007-12-15 14:14  king

	* Source/cmFindBase.cxx: STYLE: Fixed terminology to avoid
	  confusion between roots and prefixes.

2007-12-15 14:13  king

	* Source/cmake.cxx: STYLE: Fixed line-too-long.

2007-12-15 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-12-14 20:46  hoffman

	* Source/: cmFindLibraryCommand.cxx, cmFindPathCommand.cxx: BUG:
	  fix for bug 6039 LIB and INCLUDE not used for find stuff

2007-12-14 20:31  hoffman

	* Source/: cmDependsC.cxx, cmDependsFortran.cxx, cmMakeDepend.cxx,
	  kwsys/SystemTools.cxx, kwsys/SystemTools.hxx.in: BUG: fix for bug
	  6136 make sure includes are not directories

2007-12-14 16:56  clinton

	* Modules/FindQt4.cmake: ENH:  Add OPTIONS argument to some Qt4
	  macros.	 Addresses #6125.

2007-12-14 15:50  hoffman

	* Source/cmListCommand.h: BUG: fix bug 6081

2007-12-14 14:58  hoffman

	* Source/CPack/cmCPackNSISGenerator.cxx: BUG: fix for 6086
	  uninstall icon not set right

2007-12-14 12:51  hoffman

	* Modules/FindPkgConfig.cmake: BUG: fix for 6117, fix for second
	  run

2007-12-14 12:49  hoffman

	* Source/cmCreateTestSourceList.h: STYLE: line length

2007-12-14 11:00  hoffman

	* Utilities/cmcurl/curl/mprintf.h: BUG: fix for bug 6054 remove
	  some warnings

2007-12-14 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-12-13 18:30  king

	* Source/cmake.cxx: COMP: Add missing return value from Bill's
	  change.

2007-12-13 17:56  king

	* Source/: cmCTest.cxx, cmCTest.h, cmDumpDocumentation.cxx,
	  cmSystemTools.cxx, cmSystemTools.h, cmake.cxx, cmake.h,
	  cmakemain.cxx, ctest.cxx, CPack/cpack.cxx,
	  CTest/cmCTestScriptHandler.cxx, CursesDialog/ccmake.cxx,
	  FLTKDialog/FLTKDialog.cxx, MFCDialog/CMakeSetup.cpp,
	  QtDialog/CMakeSetup.cxx: ENH: Centralized and globalized
	  computation of CMake program locations.  This eliminates startup
	  paths that failed to produce this information.

2007-12-13 17:39  king

	* Source/cmake.cxx: BUG: Fixed typo introduced by previous commit.

2007-12-13 15:54  hoffman

	* Source/: cmGlobalUnixMakefileGenerator3.cxx,
	  cmMakefileTargetGenerator.cxx, cmake.cxx, cmake.h: ENH: fix for
	  bug 6102, allow users to change the compiler

2007-12-13 15:42  hoffman

	* Source/cmLocalVisualStudio7Generator.cxx: STYLE: fix indent

2007-12-13 15:41  hoffman

	* Source/cmCreateTestSourceList.h: ENH: fix docs

2007-12-13 15:11  hoffman

	* Source/cmakemain.cxx: ENH: fix docs

2007-12-13 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-12-12 13:25  clinton

	* Source/QtDialog/CMakeSetupDialog.cxx: BUG:  Fix logic to accept
	  drop events.

2007-12-12 07:26  hoffman

	* Modules/FindPerlLibs.cmake: BUG:  Fix bug 6106 FindPerlLibs.cmake
	  missing escaped $

2007-12-12 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-12-11 22:28  hoffman

	* CMakeLists.txt, ChangeLog.manual, Modules/FindJNI.cmake,
	  Modules/FindPerlLibs.cmake,
	  Modules/InstallRequiredSystemLibraries.cmake,
	  Source/cmLocalVisualStudio6Generator.cxx,
	  Source/cmLocalVisualStudio7Generator.cxx,
	  Source/cmLocalVisualStudio7Generator.h,
	  Source/cmTryCompileCommand.cxx: ENH: changes for RC5

2007-12-11 12:57  clinton

	* Modules/FindQt4.cmake: ENH:  Correctly find UiTools library on
	  Mac w/ binary install of Qt.	      Fixes #4554.

2007-12-11 11:36  king

	* Source/kwsys/: CMakeLists.txt, String.c, String.h.in: ENH: Added
	  C String utilities to KWSys.	Implemented strcasecmp and
	  strncasecmp.

2007-12-11 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-12-10 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-12-09 19:58  hoffman

	* Source/cmLocalVisualStudio7Generator.h: STYLE: fix line len error

2007-12-09 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-12-08 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-12-07 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-12-06 22:38  hoffman

	* Tests/COnly/CMakeLists.txt: ENH: change to libs that are not real

2007-12-06 16:43  pppebay

	* Source/kwsys/SystemTools.cxx: BUG: fixed an incomplete regexp

2007-12-06 14:07  clinton

	* Source/QtDialog/CMakeSetupDialog.cxx: BUG:  Prevent mapping of
	  Configure to Preferences when Qt merges menu items with	the
	  standard Mac OS X application menu.

2007-12-06 09:56  hoffman

	* Source/cmCoreTryCompile.cxx: ENH: for try compile do not put the
	  rules to rebuild the project with cmake inside it.  This has
	  caused infinite loops of builds in some cases, and it is just a
	  waste of time anyway.

2007-12-06 08:40  hoffman

	* Source/cmLocalVisualStudio7Generator.cxx,
	  Source/cmLocalVisualStudio7Generator.h,
	  Tests/COnly/CMakeLists.txt: BUG: fix for bug 5455, handle
	  nodefaultlib with more than one lib

2007-12-06 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-12-05 13:13  king

	* Source/kwsys/SystemTools.cxx: COMP: Remove reference to vtksys.
	  The unmangled kwsys name should be used in this source.

2007-12-05 12:24  pppebay

	* Source/kwsys/: SystemTools.cxx, SystemTools.hxx.in: ENH: added
	  two functions for URL parsing:      1. an "abridged" version that
	  separates protocol from dataglom in	      an expression with
	  the form protocol://dataglom	    2. a "full" version that parses
	  protocol, username, password, 	hostname, port, and path in
	  a standard URL (all of these variables	 are optional,
	  except for protocol and hostname).

2007-12-05 10:40  hoffman

	* CMakeLists.txt: ENH: move up to rc 4

2007-12-05 10:40  hoffman

	* ChangeLog.manual, Modules/NSIS.template.in: ENH: move fix for
	  nsis to branch

2007-12-05 09:17  hoffman

	* Source/cmDependsFortran.cxx: STYLE: fix line len

2007-12-05 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-12-04 17:14  hoffman

	* CMakeLists.txt, ChangeLog.manual, Source/cmCTest.cxx,
	  Source/cmGlobalUnixMakefileGenerator3.cxx,
	  Source/cmGlobalVisualStudio7Generator.cxx,
	  Source/cmGlobalVisualStudio8Generator.cxx,
	  Source/cmLocalVisualStudio7Generator.cxx, Source/cmTarget.cxx:
	  ENH: merge in fixes from main tree

2007-12-04 17:00  hoffman

	* Source/kwsys/SystemTools.cxx: ENH: remove warning

2007-12-04 16:09  hoffman

	* Source/cmDependsFortran.cxx: ENH: do not depend on touch being on
	  the system

2007-12-04 16:03  hoffman

	* Source/: cmake.cxx, kwsys/SystemTools.cxx,
	  kwsys/SystemTools.hxx.in: ENH: add a touch -E command to cmake

2007-12-04 10:43  martink

	* Source/: cmFunctionCommand.cxx, cmFunctionCommand.h: COMP: fix
	  style and work around old compilers

2007-12-04 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-12-03 20:44  hoffman

	* DartLocal.conf.in: ENH: remove superior dean i, no longer uses
	  borland

2007-12-03 13:35  martink

	* Source/cmBootstrapCommands.cxx, Source/cmCommands.cxx,
	  Source/cmMakefile.cxx, Source/cmMakefile.h, Source/cmake.cxx,
	  Tests/CMakeLists.txt: ENH: add functions and raise scope

2007-12-03 12:47  martink

	* Source/: cmEndFunctionCommand.cxx, cmEndFunctionCommand.h: ENH:
	  add functions

2007-12-03 12:43  martink

	* Source/cmFunctionCommand.cxx, Source/cmFunctionCommand.h,
	  Source/cmRaiseScopeCommand.cxx, Source/cmRaiseScopeCommand.h,
	  Tests/FunctionTest/CMakeLists.txt,
	  Tests/FunctionTest/functionTest.c: ENH: add functions and raise
	  scope to cmake

2007-12-03 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-12-02 11:51  hoffman

	* DartLocal.conf.in: ENH: fix up some stuff

2007-12-02 09:15  miguelf

	* Modules/FindwxWidgets.cmake: STYLE: Clarified usage documentation
	  for cmake --help-module FindwxWidgets.

2007-12-02 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-12-01 22:51  miguelf

	* Modules/FindwxWidgets.cmake: STYLE: Use LIST(APPEND ...) instead
	  of SET(...)

2007-12-01 20:58  miguelf

	* Modules/FindwxWidgets.cmake: ENH: Added search entry for the new
	  release: wxWidgets-2.8.7.

2007-12-01 20:35  miguelf

	* Modules/FindwxWidgets.cmake: ENH: Added support for selecting
	  different configurations in UNIX_STYLE: debug/release,
	  static/shared, unicode/ansi, and regular/universal.

2007-12-01 19:30  miguelf

	* Modules/FindwxWidgets.cmake: ENH: Added macro support for
	  compiling xrc resources to cpp code.

2007-12-01 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-11-30 19:11  clinton

	* Modules/UseQt4.cmake: ENH:  Define QT_NO_DEBUG when building with
	  release Qt libs.	  Fixes #6104.

2007-11-30 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-11-29 10:23  martink

	* Source/cmDocumentation.cxx: BUG: fix single module generation

2007-11-29 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-11-28 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-11-27 15:59  hoffman

	* Source/cmDocumentationFormatterHTML.cxx: ENH: better output for
	  qt assistant

2007-11-27 01:04  clinton

	* Source/QtDialog/CMakeSetup.cxx: ENH:	Add handling of --help and
	  related arguments.

2007-11-27 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-11-26 17:57  alex

	* Source/: cmLocalGenerator.cxx, cmLocalGenerator.h: STYLE:
	  restructure OutputLinkLibraries() a bit, so that new there is a
	  function which returns the RPATH, so e.g. the install rpath can
	  be queried when the command for the build rpath is created. This
	  is a first step for supporting chrpath.

	  Alex

2007-11-26 13:21  barre

	* CMakeLogo.gif: ENH: fancier logo

2007-11-26 10:01  king

	* Source/cmLocalUnixMakefileGenerator3.cxx: BUG: Fixed computation
	  of 'object' name for MACOSX_PACKAGE_LOCATION source files.

2007-11-26 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-11-25 17:11  hoffman

	* Tests/CMakeLists.txt: BUG: try to fix  configure error on
	  dashboard

2007-11-25 08:20  alex

	* Modules/FindEXPAT.cmake: BUG: use the correct variable for
	  checking the success (#6062)

	  Alex

2007-11-25 07:45  alex

	* Source/: cmExtraCodeBlocksGenerator.cxx,
	  cmExtraCodeBlocksGenerator.h: STYLE: move the code for generating
	  the XML for one target in a separate function AppendTarget() -add
	  "all" target -some syncing with the Eclipse generator

	  Alex

2007-11-25 07:40  alex

	* Source/cmExtraEclipseCDT4Generator.cxx: ENH: add the "clean"
	  target don't add *all existing* targets as Eclipse targets, but
	  only a subset (the same as for CodeBlocks), e.g. exclude the
	  subtargets of Experimental, and also edit_cache, ccmake doesn't
	  work from within an IDE

	  Alex

2007-11-25 07:34  alex

	* Source/: cmGlobalGenerator.h, cmGlobalUnixMakefileGenerator3.h:
	  ENH: add GetCleanTargetName() which returns "clean" for
	  makefiles, so it can be used by the eclipse generator

	  Alex

2007-11-25 06:21  alex

	* Source/cmExtraCodeBlocksGenerator.cxx: ENH: also add the
	  experimental, nightly, package_source, preinstall and
	  rebuild_cache targets

	  Alex

2007-11-25 05:26  alex

	* Source/cmExtraCodeBlocksGenerator.cxx: STYLE: add some comments

	  Alex

2007-11-25 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-11-24 03:51  alex

	* Source/: cmQTWrapCPPCommand.h, cmQTWrapUICommand.h: STYLE: QT ->
	  Qt in the docs

	  Alex

2007-11-24 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-11-23 20:45  alex

	* CMakeLists.txt, Modules/Platform/syllable.cmake,
	  Source/kwsys/SystemTools.cxx, Source/kwsys/testDynamicLoader.cxx,
	  Tests/CMakeLists.txt, Utilities/cmtar/CMakeLists.txt: ENH: add
	  support for the Syllable OS (http://www.syllable.org) major
	  issues: -access() doesn't return false for an empty string
	  (#ifdefed in cmake) -dlopen() doesn't return 0 on failure
	  (#ifdefed in cmake and fixed now in Syllable) -the kwsys and
	  Bootstrap tests fail with timeout due to the fact that I'm doing
	  all that in qemu, which is quite slow -RPATH is now supported, so
	  without modifying the test adapting DLL_PATH in Syllable is
	  required for the tests to succeed -the Plugin test fails with an
	  undefined reference to example_exe_function() in example_mod_1,
	  it seems this isn't supported under Syllable

	  Alex

2007-11-23 14:53  king

	* Source/cmMakefileTargetGenerator.cxx: STYLE: Fixed line-too-long.

2007-11-23 11:30  alex

	* Source/cmQTWrapCPPCommand.cxx: STYLE: QT is quicktime, Qt is Qt,
	  as pointed out by David Faure

	  Alex

2007-11-23 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-11-22 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-11-21 17:09  david.cole

	* DartLocal.conf.in: STYLE: Updated and alphabetized expected
	  builds list. Many new Mac Leopard entries from Rogue -- thanks
	  guys!

2007-11-21 15:33  david.cole

	* Templates/CMakeLists.txt: BUG: Install the vsmacros file.

2007-11-21 13:37  king

	* Source/cmMakefileTargetGenerator.cxx: ENH: Change compiler
	  working directory to the local build tree location when compiling
	  object files.  This simplifies the compiler command line and the
	  usage of the <objBase>.s and <objBase>.i targets.  It also helps
	  fortran compilers put their modules in the correct place.

2007-11-21 12:55  king

	* CMakeLists.txt: BUG: Fixed construction of CMake_VERSION_DATE to
	  use KWSys DateStamp feature now that cmVersion.cxx is not updated
	  nightly anymore.

2007-11-21 10:07  king

	* Source/cmCTest.cxx: BUG: Do not require a nightly start time for
	  an experimental or continuous test model.

2007-11-21 08:59  king

	* Source/cmTarget.cxx: BUG: For imported target directory, do not
	  return pointer to freed memory.

2007-11-21 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-11-20 11:18  king

	* Source/cmLocalVisualStudio6Generator.cxx: BUG: Need to honor
	  HEADER_FILE_ONLY source file property and exclude the source from
	  the build.

2007-11-20 11:10  king

	* Source/: cmCallVisualStudioMacro.cxx, cmGlobalGenerator.cxx,
	  cmGlobalVisualStudio8Generator.cxx,
	  cmGlobalVisualStudio9Generator.cxx,
	  cmGlobalVisualStudioGenerator.cxx: STYLE: Fixed line-too-long.
	  COMP: Fixed warnings about lossy conversions.

2007-11-20 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-11-19 14:27  king

	* Tests/: Complex/Executable/CMakeLists.txt,
	  Complex/Executable/complex_nobuild.cxx,
	  ComplexOneConfig/Executable/CMakeLists.txt,
	  ComplexOneConfig/Executable/complex_nobuild.cxx,
	  ComplexRelativePaths/Executable/CMakeLists.txt,
	  ComplexRelativePaths/Executable/complex_nobuild.cxx: ENH: Adding
	  test for using HEADER_FILE_ONLY to avoid building a .cxx file.

2007-11-19 14:27  king

	* Source/cmSourceFile.cxx: BUG: Do not force HEADER_FILE_ONLY off
	  if the user has already set it on.

2007-11-19 14:22  king

	* Source/cmake.cxx: COMP: Do not build VS-specific code when
	  generators are not included.

2007-11-19 14:08  clinton

	* Source/QtDialog/CMakeLists.txt: ENH:	Add install command for
	  executable.

2007-11-19 13:45  king

	* Source/: cmake.cxx, cmake.h: ENH: Added call to StopBuild VS
	  macro when projects fail to regenerate during a build.

2007-11-19 13:44  king

	* Source/: cmGlobalVisualStudio7Generator.cxx,
	  cmGlobalVisualStudio8Generator.cxx,
	  cmGlobalVisualStudioGenerator.cxx,
	  cmGlobalVisualStudioGenerator.h: ENH: Renamed
	  cmGlobalVisualStudioGenerator::CallVisualStudioReloadMacro method
	  to CallVisualStudioMacro and added arguments to select which
	  macro to call and optionally pass the solution file name.  Added
	  option to call to new StopBuild macro.  Updated logic for
	  replacing the macro file in user directories when the distributed
	  version is newer.

2007-11-19 13:44  king

	* Templates/CMakeVSMacros1.vsmacros: ENH: Added StopBuild macro.

2007-11-19 13:42  king

	* Source/cmakemain.cxx: BUG: Always return positive integers to the
	  OS on error.	Windows error encoding is confused by negative
	  return values.

2007-11-19 13:42  king

	* Source/cmListFileCache.cxx: BUG: ParseFile should return false if
	  there was a parse error.

2007-11-19 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-11-18 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-11-17 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-11-16 21:18  clinton

	* Source/QtDialog/AddCacheEntry.cxx: ENH:  Remove debug printf

2007-11-16 14:06  hoffman

	* Utilities/cmxmlrpc/: CMakeLists.txt, xmlrpc_config.h.in,
	  xmlrpc_data.c: ENH: add a try compile for va_copy

2007-11-16 13:54  david.cole

	* Source/cmGlobalVisualStudioGenerator.cxx: ENH: Add more
	  conditions for attempting to call the new Visual Studio macros.
	  Only try to call them if the vsmacros file exists and is
	  registered. Count VS instances again after warning about running
	  instances. If user closed them in response to the warning, it's
	  OK to register the macros now rather than waiting till the next
	  CMake generate.

2007-11-16 11:32  hoffman

	* Source/CTest/cmCTestCoverageHandler.cxx: ENH: add support for
	  CDash bullseye coverage

2007-11-16 11:01  king

	* Source/: cmGlobalVisualStudio7Generator.cxx,
	  cmGlobalVisualStudio8Generator.cxx,
	  cmLocalVisualStudio7Generator.cxx: BUG: Fix exception handling
	  flag translation to be specific to each VS version.  This allows
	  /EHa to be handled correctly for VS 2003.

2007-11-16 10:40  clinton

	* Source/QtDialog/QCMakeCacheView.cxx: ENH:  more robust search
	  filter.

2007-11-16 07:01  david.cole

	* Source/CMakeLists.txt, Source/cmCallVisualStudioMacro.cxx,
	  Source/cmCallVisualStudioMacro.h,
	  Source/cmGeneratedFileStream.cxx, Source/cmGeneratedFileStream.h,
	  Source/cmGlobalGenerator.cxx, Source/cmGlobalGenerator.h,
	  Source/cmGlobalVisualStudio7Generator.cxx,
	  Source/cmGlobalVisualStudio8Generator.cxx,
	  Source/cmGlobalVisualStudio8Generator.h,
	  Source/cmGlobalVisualStudio9Generator.cxx,
	  Source/cmGlobalVisualStudio9Generator.h,
	  Source/cmGlobalVisualStudioGenerator.cxx,
	  Source/cmGlobalVisualStudioGenerator.h,
	  Source/cmLocalVisualStudio7Generator.cxx, Source/cmake.cxx,
	  Source/kwsys/SystemTools.cxx, Templates/CMakeVSMacros1.vsmacros:
	  ENH: Add ability to call Visual Studio macros from CMake. Add a
	  CMake Visual Studio macro to reload a solution file automatically
	  if CMake makes changes to .sln files or .vcproj files. Add code
	  to call the macro automatically for any running Visual Studio
	  instances with the .sln file open at the end of the Visual Studio
	  Generate call. Only call the macro if some .sln or .vcproj file
	  changed during Generate. Also, add handling for REG_EXPAND_SZ
	  type to SystemTools::ReadRegistryValue - returned string has
	  environment variable references expanded.

2007-11-16 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-11-15 13:14  hoffman

	* Modules/Platform/Darwin.cmake: ENH: add support for env var and
	  better default for CMAKE_OSX_SYSROOT

2007-11-15 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: STYLE: Nightly Date Stamp

2007-11-14 23:30  clinton

	* Source/QtDialog/QCMakeCacheView.cxx: COMP:  Fix warning.

2007-11-14 21:17  king

	* bootstrap, Source/cmVersion.cxx: ENH: Simplified CMake version
	  information using KWSys DateStamp feature.  Reduced duplicate
	  code in bootstrap script.

2007-11-14 18:08  clinton

	* Modules/FindQt4.cmake: ENH:  Fix case of windows library names to
	  support	cross compiling w/ Qt on case sensitive platforms.

2007-11-14 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: daily version number

2007-11-13 23:13  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-11-13 16:25  alex

	* Source/QtDialog/CMakeSetupDialog.cxx: ENH: add completer for the
	  source and binary dir lineedits

	  Clinton: do I actually have to create separate models for each
	  completer, and a separate completer for each widget, or could the
	  models/completers be used for multiple widgets ?

	  Alex

2007-11-13 12:53  clinton

	* Source/QtDialog/QCMakeCacheView.cxx: ENH:  single click can start
	  editing cache values.

2007-11-13 11:21  martink

	* Tests/Tutorial/Step6/CMakeLists.txt: ENH: switch to new install
	  commands to match book text

2007-11-13 11:18  clinton

	* Source/QtDialog/QCMakeCacheView.cxx: BUG:  The search is set to
	  apply to all columns, but in Qt 4.2, that breaks	 the search
	  entirely.  Search on the first column only when using Qt 4.2.

2007-11-13 11:11  martink

	* Tests/Tutorial/: Step3/CMakeLists.txt,
	  Step3/MathFunctions/CMakeLists.txt, Step4/CMakeLists.txt,
	  Step4/MathFunctions/CMakeLists.txt, Step5/CMakeLists.txt,
	  Step5/MathFunctions/CMakeLists.txt, Step6/CMakeLists.txt,
	  Step6/MathFunctions/CMakeLists.txt, Step7/CMakeLists.txt,
	  Step7/MathFunctions/CMakeLists.txt: ENH: switch to new install
	  commands to match book text

2007-11-13 00:33  clinton

	* Source/QtDialog/: CMakeSetup.cxx, CMakeSetupDialog.cxx: ENH:
	  support specifying build or source directory at command line.

2007-11-13 00:17  clinton

	* Source/QtDialog/: QCMakeCacheView.cxx, QCMakeCacheView.h: ENH:
	  Allow clicking anywhere in field to toggle check boxes.

2007-11-13 00:01  king

	* Source/kwsys/kwsysDateStamp.cmake: daily version number

2007-11-12 23:59  clinton

	* Source/QtDialog/: AddCacheEntry.cxx, AddCacheEntry.h: STYLE:	add
	  license.

2007-11-12 23:54  clinton

	* Source/QtDialog/: AddCacheEntry.cxx, AddCacheEntry.h,
	  AddCacheEntry.ui, CMakeLists.txt, CMakeSetup.qrc,
	  CMakeSetupDialog.cxx, CMakeSetupDialog.h, CMakeSetupDialog.ui,
	  Plus16.png, QCMake.cxx, QCMakeCacheView.cxx, QCMakeCacheView.h:
	  ENH:	Add ability to add cache entries (even before first
	  configure).

2007-11-12 23:03  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-11-12 22:36  hoffman

	* Source/cmGlobalGenerator.cxx: ENH: add f stuff to avoid warnings

2007-11-12 22:33  hoffman

	* Source/: cmGlobalGenerator.cxx, cmGlobalGenerator.h: ENH: add
	  guess progress for first time configuring a project.

2007-11-12 18:22  king

	* Source/kwsys/kwsysDateStamp.cmake: daily version number

2007-11-12 18:22  king

	* Source/kwsys/: DateStamp.h.in, kwsysDateStamp.py: ENH: Created
	  better names and a more convenient set of version date stamp
	  macros.

2007-11-12 18:06  clinton

	* Source/QtDialog/: CMakeSetupDialog.cxx, CMakeSetupDialog.ui: ENH:
	  Fix layout with Qt 4.2.  BUG:  Fix help comments to match what
	  this GUI does.

2007-11-12 17:51  clinton

	* Source/QtDialog/CMakeSetupDialog.cxx: BUG:  Fix prompt for
	  changes if they haven't been saved.

2007-11-12 17:41  clinton

	* Source/QtDialog/: CMakeSetupDialog.cxx, CMakeSetupDialog.h,
	  CMakeSetupDialog.ui:
	  BUG: Fix pause at shutdown.  ENH: Remove interrupt button and
	  make configure/generate turn to stop during runs.  ENH: Add text
	  to remove cache entry button.

2007-11-12 17:38  king

	* Source/kwsys/CMakeLists.txt: BUG: Fixed typo in previous commit.

2007-11-12 17:34  king

	* Source/kwsys/: CMakeLists.txt, DateStamp.h.in,
	  kwsysDateStamp.cmake, kwsysDateStamp.py: ENH: Adding DateStamp
	  feature to KWSys.  This provides a header file giving
	  preprocessor access to a dated version.  The 'datestamp' will be
	  updated automatically every day by a script.

2007-11-12 16:58  king

	* Source/cmake.cxx: BUG: Fix messages for time stamp file
	  recreation.

2007-11-12 15:42  king

	* Source/: cmGlobalVisualStudio8Generator.cxx,
	  cmLocalVisualStudio7Generator.cxx,
	  cmLocalVisualStudio7Generator.h: BUG: Converted per-vcproj
	  timestamp to a single directory-level CMakeFiles/generate.stamp
	  file shared by all targets in each directory.  This avoids having
	  all targets overwrite each others timestamp check rules and
	  instead has one single rule.

2007-11-12 13:54  clinton

	* Source/QtDialog/: CMakeLists.txt, CMakeSetupDialog.ui: ENH:
	  Allow build with Qt 4.2.

		4.3 dependence fell out when errors go to output
		window instead of message box blocking cmake thread.

2007-11-12 13:52  miguelf

	* Modules/FindwxWidgets.cmake: BUG: Fix to support arch and
	  isysroot compilation options on MAC (Bug 5007).

2007-11-12 12:04  martink

	* Source/cmCPluginAPI.cxx: BUG: better setup of properties for
	  loaded commands

2007-11-11 23:05  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-11-10 23:11  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-11-10 17:31  king

	* Tests/Wrapping/: CMakeLists.txt, fakefluid.cxx: BUG: Fixed fake
	  generation of files to behave more like fluid.

2007-11-10 11:36  clinton

	* Source/QtDialog/: CMakeSetup.qrc, CMakeSetupDialog.cxx,
	  CMakeSetupDialog.h, CMakeSetupDialog.ui, Delete16.png,
	  QCMakeCacheView.cxx, QCMakeCacheView.h:
	  ENH:	Re-arrange UI a bit.  BUG:  Properly update when values
	  that changed since the last configure.

2007-11-10 08:15  king

	* Source/: cmGlobalVisualStudio8Generator.cxx,
	  cmLocalVisualStudio7Generator.cxx, cmake.cxx, cmake.h: ENH: Allow
	  VS 7 project Rebuild and Solution Rebuild to work without
	  re-running CMake for every project during the rebuild.

2007-11-10 08:14  king

	* Source/cmDocumentVariables.cxx: STYLE: Fixed line-too-long for
	  undocumented variable entries.

2007-11-10 06:54  david.cole

	* Tests/: SimpleInstall/CMakeLists.txt,
	  SimpleInstallS2/CMakeLists.txt: BUG: Need extra regex to parse
	  sw_vers output on Mac OSX 10.2 (and presumably earlier) to avoid
	  running PackageMaker during the SimpleInstall* tests. See comment
	  in CMake/Tests/SimpleInstall/CMakeLists.txt for more info.

2007-11-09 23:16  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-11-09 15:18  clinton

	* Source/QtDialog/: CMakeSetupDialog.cxx, CMakeSetupDialog.h,
	  QCMake.cxx, QCMake.h, QCMakeCacheView.cxx, QCMakeCacheView.h:
	  BUG:	Don't prompt for unsaved changes if no changes were made.
	  ENH:	Error messages go to output window instead of message
	  boxes.

2007-11-09 15:08  king

	* Source/cmLocalVisualStudio6Generator.cxx,
	  Source/cmLocalVisualStudio7Generator.cxx,
	  Templates/CMakeWindowsSystemConfig.cmake: ENH: Removed dependency
	  on Templates/CMakeWindowsSystemConfig.cmake which is no longer
	  used.  Also removed the file itself.

2007-11-09 12:18  hoffman

	* Modules/InstallRequiredSystemLibraries.cmake: ENH: change name

2007-11-09 12:05  king

	* Source/: cmGlobalVisualStudio8Generator.cxx,
	  cmLocalVisualStudio7Generator.cxx: ENH: Converted vcproj file
	  generation to use cmGeneratedFileStream for atomic replacement.
	  Replaced the vcproj.cmake copy of the file with a simple
	  vcproj.stamp timestamp file to preserve previous
	  rerun-without-reload behavior.

2007-11-09 01:14  clinton

	* Source/QtDialog/QCMakeCacheView.cxx: ENH:  Add completion to
	  editor for files and file paths.

2007-11-08 23:03  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-11-08 20:37  hoffman

	* Modules/InstallRequiredSystemLibraries.cmake: ENH: add ability to
	  use your own install directories

2007-11-08 16:47  clinton

	* Source/QtDialog/: CMakeSetupDialog.cxx, QCMake.cxx: BUG:  Don't
	  enable generate if configure completed with errors.  ENH:  Allow
	  build w/ Qt configured with no STL support.

2007-11-08 15:54  david.cole

	* Source/MFCDialog/res/CMakeSetupDialog.ico,
	  Source/QtDialog/CMakeSetup.ico, Source/WXDialog/NGDialog.ico,
	  Utilities/Release/CMakeLogo.ico: ENH: Put black outline around
	  all resolutions of the new ico files. Looks better on a dark
	  background than the lighter outline...

2007-11-08 14:31  hoffman

	* Modules/Platform/Darwin.cmake: ENH: fix bug in default arch, it
	  was using the environment variable which is not a default

2007-11-08 13:03  hoffman

	* Source/CTest/cmCTestTestHandler.cxx: BUG: try to fix crash

2007-11-08 12:27  clinton

	* Modules/FindQt4.cmake: BUG:  handle qmake returning multiple
	  paths for mkspecs.  Fixes #5935

2007-11-08 10:56  clinton

	* Modules/FindQt4.cmake: ENH:  Add support for static Qt 4.3
	  builds.

2007-11-08 10:38  david.cole

	* Tests/: CMakeLists.txt, Tutorial/Step6/CMakeLists.txt,
	  Tutorial/Step6/License.txt, Tutorial/Step6/TutorialConfig.h.in,
	  Tutorial/Step6/tutorial.cxx,
	  Tutorial/Step6/MathFunctions/CMakeLists.txt,
	  Tutorial/Step6/MathFunctions/MakeTable.cxx,
	  Tutorial/Step6/MathFunctions/MathFunctions.h,
	  Tutorial/Step6/MathFunctions/mysqrt.cxx,
	  Tutorial/Step7/CMakeLists.txt, Tutorial/Step7/CTestConfig.cmake,
	  Tutorial/Step7/License.txt, Tutorial/Step7/TutorialConfig.h.in,
	  Tutorial/Step7/build1.cmake, Tutorial/Step7/build2.cmake,
	  Tutorial/Step7/tutorial.cxx,
	  Tutorial/Step7/MathFunctions/CMakeLists.txt,
	  Tutorial/Step7/MathFunctions/MakeTable.cxx,
	  Tutorial/Step7/MathFunctions/MathFunctions.h,
	  Tutorial/Step7/MathFunctions/mysqrt.cxx: ENH: Add new Tutorial
	  steps. Diff between Step5 and Step6 shows how to add a cpack
	  driven installer to your project. Diff between Step6 and Step7
	  shows how to add ctest dashboard scripting capability.

2007-11-08 10:22  clinton

	* Source/QtDialog/QCMakeCacheView.cxx: COMP: Fix warnings.

2007-11-08 10:17  clinton

	* Source/QtDialog/: CMakeSetupDialog.cxx, CMakeSetupDialog.ui,
	  QCMake.cxx, QCMakeCacheView.cxx, QCMakeCacheView.h:
	  ENH:	add context menu for deleting, ignoring, and getting help
	  for cache entries.  ENH:  add delete cache button ENH:  add
	  information string above configure/generate buttons ENH:  change
	  search to search both columns, and from regex to plain string
	  search ENH:  add buddy info in cache entry view, so double
	  clicking in the left column	    starts editing the associated
	  value.  BUG:	fix file path editor so it goes away when focus is
	  lost

2007-11-08 09:09  david.cole

	* Modules/Platform/Darwin.cmake: BUG: Do not us the
	  search_paths_first flag on older Mac OSX (10.2 and earlier)
	  systems.

2007-11-07 23:08  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-11-07 17:43  hoffman

	* Utilities/Release/vogon_release.cmake: ENH: add mt to vogon
	  release

2007-11-07 17:30  hoffman

	* Source/MFCDialog/CMakeLists.txt: ENH: allow for msvc71 to build
	  for vista if CMAKE_MT_EXECUTABLE is put in the cache

2007-11-07 14:35  hoffman

	* Utilities/cmcurl/CMakeLists.txt: ENH: remove memdebug.c from list

2007-11-07 13:11  hoffman

	* CMakeCPack.cmake, CMakeCPackOptions.cmake.in,
	  Source/CPack/cmCPackNSISGenerator.cxx: ENH: change
	  CPACK_CREATE_DESKTOP_LINKS to something that can handle spaces in
	  the name of the exectuable

2007-11-07 11:31  clinton

	* Source/QtDialog/: CMakeSetupDialog.cxx, CMakeSetupDialog.h,
	  CMakeSetupDialog.ui:
	  ENH: remove status bar and move interrupt/progress next to
	  configure/generate.

2007-11-07 10:09  clinton

	* Source/QtDialog/: CMakeSetupDialog.cxx, CMakeSetupDialog.h,
	  CMakeSetupDialog.ui, QCMakeCacheView.cxx, QCMakeCacheView.h:
	  BUG:	Fix behavior of
	  CMakeSetupDialog::set{Binary|Source}Directory       so they work
	  right when called externally.        Disable the generate button
	  when one hits configure again.  ENH:	Some UI tweaks for spacing.
		 Allow viewing cache values while configure/generate (but
	  not edit).

2007-11-07 09:12  king

	* Source/CTest/cmCTestSubmitHandler.cxx: COMP: Fix check for
	  file-too-big to avoid warnings.

2007-11-07 08:59  king

	* Source/kwsys/SystemTools.cxx: COMP: Fix warning when gcount
	  stream method does not really return std::streamsize.

2007-11-06 23:00  clinton

	* Source/QtDialog/: CMakeLists.txt, CMakeSetup.icns, QCMake.cxx:
	  ENH:	For Mac OSX -- add app icon, and implement find of cmake
	  executable.

2007-11-06 22:55  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-11-06 22:27  clinton

	* Source/QtDialog/CMakeSetupDialog.cxx: BUG:  disable drag & drop
	  while busy.

2007-11-06 21:51  clinton

	* Source/QtDialog/CMakeSetupDialog.cxx: BUG: only handle drop
	  events if they'll really change something.

2007-11-06 21:27  clinton

	* Source/QtDialog/: CMakeSetupDialog.cxx, CMakeSetupDialog.h:
	  BUG:	Put back read/write of original WhereBuild* settings.  ENH:
	  Make public a couple functions to support command line args.
	  Try removing exit after generate to see if others like it.
	  COMP:  Fix warnings.

2007-11-06 19:25  clinton

	* Source/QtDialog/: CMakeSetup.cxx, CMakeSetupDialog.cxx,
	  CMakeSetupDialog.h, CMakeSetupDialog.ui, QCMake.cxx,
	  QCMakeCacheView.cxx, QCMakeCacheView.h:
	  ENH:	Disable menu/buttons when doing configure.	  Also
	  disable generate until configure is done.	   Save more
	  settings (last 10 binary directories, exit after generate,
			      last generator)	     Some UI tweaks for
	  better layout.	Support drag & drop of
	  CMakeLists.txt/CMakeCache.txt files.

2007-11-06 14:16  martink

	* Source/: cmDocumentVariables.cxx, cmMakefile.cxx,
	  cmPropertyMap.cxx, cmake.cxx, cmake.h: ENH: different way of
	  testing properties

2007-11-06 14:14  martink

	* CMakeLists.txt, Source/CMakeLists.txt: ENH: move CMAKE_STRICT
	  option to the top

2007-11-06 14:11  martink

	* Tests/CMakeLists.txt: ENH: add doc test for strict builds

2007-11-06 14:10  martink

	* Tests/DocTest/: CMakeLists.txt, DocTest.cxx: ENH: add a etst to
	  verify props are documented

2007-11-06 08:28  hoffman

	* Source/CPack/: cmCPackGenerator.cxx, cmCPackGenerator.h,
	  cpack.cxx: ENH: changne ProcessGenertor to DoPackage

2007-11-06 08:27  hoffman

	* Source/CPack/cmCPackDebGenerator.cxx: STYLE: fix line length
	  issue

2007-11-06 01:16  clinton

	* Source/QtDialog/: CMakeSetupDialog.cxx, CMakeSetupDialog.h,
	  CMakeSetupDialog.ui, QCMake.cxx, QCMake.h: ENH:  Add menus in
	  menu bar.	   Add reload & delete cache options.	     Add
	  option to quit after generation step (not yet remembered between
	  sessions).	    Add Help -> About	     Remove Help button (in
	  menu now)	   Remove Cancel button (File -> Exit and the
	  Window 'X' button exist)

2007-11-06 00:04  clinton

	* Source/QtDialog/: CMakeSetupDialog.cxx, CMakeSetupDialog.ui: ENH:
	  clarify label for current generator.

2007-11-06 00:02  clinton

	* Source/QtDialog/: CMakeSetupDialog.cxx, CMakeSetupDialog.h,
	  CMakeSetupDialog.ui, QCMakeCacheView.cxx: ENH:  search is case
	  insensitive ENH:  put back prompt for generator, and change combo
	  to label	 showing current generator.

2007-11-05 22:32  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-11-05 19:26  clinton

	* Source/QtDialog/: CMakeSetupDialog.cxx, CMakeSetupDialog.h,
	  CMakeSetupDialog.ui, QCMakeCacheView.cxx, QCMakeCacheView.h:
	  ENH:	Replace prompt for generator with combobox in UI.  ENH:
	  Make "Show Advanced" toggle work.  ENH:  Add regex search
	  capabilities.  ENH:  Read existing registry entries from MFC
	  CMakeSetup.exe (will save later).

2007-11-05 18:06  alex

	* CMakeLists.txt: COMP: use RPATH is building QtDialog and the Qt
	  libs are not in /lib or /usr/lib (same logic as for ccmake)

	  Alex

2007-11-05 17:44  king

	* Source/kwsys/kwsys_ios_iostream.h.in: COMP: Add streamsize and
	  streamoff to kwsys_ios namespace for ancient streams.

2007-11-05 16:57  david.cole

	* DartLocal.conf.in: STYLE: Trade in expected arrakis dashboards
	  for resurrected equivalent ones on dash14.

2007-11-05 16:55  hoffman

	* Source/: CMakeLists.txt, CPack/cmCPackDebGenerator.h,
	  CPack/cmCPackGenerator.cxx, CPack/cmCPackGenerator.h,
	  CPack/cmCPackGeneratorFactory.cxx,
	  CPack/cmCPackGeneratorFactory.h,
	  CPack/cmCPackGenericGenerator.cxx,
	  CPack/cmCPackGenericGenerator.h, CPack/cmCPackNSISGenerator.h,
	  CPack/cmCPackOSXX11Generator.h,
	  CPack/cmCPackPackageMakerGenerator.h,
	  CPack/cmCPackRPMGenerator.h, CPack/cmCPackTGZGenerator.h,
	  CPack/cmCPackZIPGenerator.h, CPack/cpack.cxx: ENH: change name

2007-11-05 16:33  hoffman

	* Source/: CMakeLists.txt, CPack/cmCPackGeneratorFactory.cxx,
	  CPack/cmCPackGeneratorFactory.h, CPack/cmCPackGenerators.cxx,
	  CPack/cmCPackGenerators.h, CPack/cpack.cxx: ENH: change name of
	  class

2007-11-05 14:47  hoffman

	* Source/WXDialog/: CMakeLists.txt, CMakeSetupFrame.cpp: ENH: fix
	  the compile and add install rule

2007-11-05 14:34  king

	* Source/cmake.cxx, Source/CPack/cmCPackDebGenerator.cxx,
	  Source/CPack/cmCPackNSISGenerator.cxx,
	  Source/CPack/cmCPackPackageMakerGenerator.cxx,
	  Source/CPack/cmCPackPackageMakerGenerator.h,
	  Source/CTest/cmCTestCoverageHandler.cxx,
	  Source/CTest/cmCTestSubmitHandler.cxx,
	  Source/kwsys/SystemTools.cxx, Utilities/cmcurl/ftp.c: COMP: Fix
	  warnings on 64-bit Mac OS X build.  Patch from issue #3697.

2007-11-05 13:20  clinton

	* Source/QtDialog/: CMakeSetup.cxx, CMakeSetupDialog.cxx,
	  CMakeSetupDialog.h, QCMake.cxx, QCMake.h, QCMakeCacheView.cxx,
	  QCMakeCacheView.h:
	  ENH:	Prompt user for generator when there is none.	     Many
	  minor improvements, bug fixes, and style fixes.

2007-11-04 22:00  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-11-04 01:20  miguelf

	* Modules/FindwxWidgets.cmake: BUG: Fixed error related to missing
	  quotes around variable.

2007-11-03 23:04  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-11-03 19:48  clinton

	* Source/QtDialog/: CMakeSetupDialog.cxx, CMakeSetupDialog.h,
	  CMakeSetupDialog.ui, QCMake.cxx, QCMake.h, QCMakeCacheView.cxx,
	  QCMakeCacheView.h:
	  ENH:	Allow working with empty build directories.	   Make
	  output window a bit smaller compared to cache view.	     Prompt
	  on X'ing window as well as hitting cancel.	    Color new cache
	  values red, and put them first.

2007-11-03 13:28  clinton

	* Source/QtDialog/QCMakeCacheView.cxx: COMP:  Fix some compile
	  warnings.  STYLE: Make style a bit more consistent.

2007-11-03 12:50  hoffman

	* Source/QtDialog/: CMakeSetup.cxx, CMakeSetupDialog.h, QCMake.h,
	  QCMakeCacheView.h: ENH: remove qt warnings from qt with MS
	  compiler

2007-11-03 12:07  hoffman

	* Source/QtDialog/QCMakeCacheView.h: ENH: fix compile error on
	  windows

2007-11-03 10:30  clinton

	* Source/QtDialog/: CMakeLists.txt, CMakeSetup.cxx, CMakeSetup.ico,
	  CMakeSetup.png, CMakeSetup.qrc, CMakeSetup.rc,
	  CMakeSetupDialog.cxx, CMakeSetupDialog.h, CMakeSetupDialog.png,
	  CMakeSetupDialog.ui, QCMake.cxx, QCMake.h, QCMakeCacheView.cxx,
	  QCMakeCacheView.h:
	  ENH:	Add interrupt button near progress bar.        Implement
	  help button.	      Implement cancel button.	      Add
	  scrollable output window.	   Replace ON/OFF & combobox
	  editors with checkboxes.	  Tab/backtab in cache table jumps
	  between values (not names and values)        Add tooltips to show
	  help strings.        Add application icon and qtmain for Windows.

	  BUG:	Fix save of cache values on configure.

2007-11-02 23:00  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-11-02 14:12  clinton

	* Source/QtDialog/CMakeLists.txt: COMP: Fix build on Windows.

2007-11-02 12:03  hoffman

	* Source/CMakeLists.txt: ENH: add option for qt dialog

2007-11-02 11:55  clinton

	* Source/QtDialog/: CMakeSetup.cxx, CMakeSetupDialog.cxx,
	  CMakeSetupDialog.h, QCMake.cxx, QCMake.h, QCMakeCacheView.cxx,
	  QCMakeCacheView.h: STYLE:  Add license info to code.

2007-11-02 11:50  clinton

	* Source/QtDialog/: CMakeLists.txt, CMakeSetup.cxx, CMakeSetup.qrc,
	  CMakeSetupDialog.cxx, CMakeSetupDialog.h, CMakeSetupDialog.png,
	  CMakeSetupDialog.ui, QCMake.cxx, QCMake.h, QCMakeCacheView.cxx,
	  QCMakeCacheView.h: ENH:  Beginnings of a Qt UI for CMake.

2007-11-02 10:46  hoffman

	* Tests/: CMakeLists.txt, Wrapping/CMakeLists.txt,
	  Wrapping/qtnoqtmain.cxx: ENH: remove findqt3 from cmake's
	  cmakelist files

2007-11-01 22:50  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-11-01 16:21  hoffman

	* Source/QtDialog/README: ENH: create a directory for qt interface
	  to cmake

2007-11-01 09:52  hoffman

	* Modules/CPackRPM.cmake: ENH: fix for RPM generator from Eric

2007-11-01 08:36  david.cole

	* Source/MFCDialog/res/CMakeSetupDialog.ico,
	  Source/WXDialog/NGDialog.ico, Utilities/Release/CMakeLogo.ico:
	  ENH: Add more resolutions for CMake icons to avoid that bloated
	  chunky blown up icon look...

2007-10-31 22:48  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-10-31 13:57  martink

	* Source/cmDocumentVariables.cxx: ENH: minor fix

2007-10-31 13:38  martink

	* Source/cmDocumentVariables.cxx: ENH: added documentation for more
	  variables

2007-10-31 12:55  hoffman

	* CMakeCPack.cmake, CMakeCPackOptions.cmake.in,
	  CPackConfig.cmake.in, CPackSourceConfig.cmake.in,
	  Source/CPack/cmCPackGenericGenerator.cxx: ENH: add
	  CPACK_PROJECT_CONFIG_FILE option to CPack

2007-10-31 10:49  hoffman

	* Utilities/Release/CMakeLogo.ico: ENH: add icon for installer

2007-10-31 09:39  king

	* Source/kwsys/SystemTools.cxx: BUG: Merge changes from 1.205-1.207
	  from trunk to gccxml-gcc42 branch.

2007-10-31 09:37  king

	* Source/kwsys/SystemTools.hxx.in: STYLE: Fix documentation (merge
	  from trunk)

2007-10-31 09:03  hoffman

	* Source/CPack/cmCPackNSISGenerator.cxx: ENH: fix line length

2007-10-31 08:50  david.cole

	* Modules/CPack.cmake,
	  Source/CPack/cmCPackCygwinBinaryGenerator.cxx,
	  Source/CPack/cmCPackCygwinBinaryGenerator.h,
	  Source/CPack/cmCPackCygwinSourceGenerator.cxx,
	  Source/CPack/cmCPackCygwinSourceGenerator.h,
	  Source/CPack/cmCPackDebGenerator.cxx,
	  Source/CPack/cmCPackDebGenerator.h,
	  Source/CPack/cmCPackGenericGenerator.cxx,
	  Source/CPack/cmCPackGenericGenerator.h,
	  Source/CPack/cmCPackOSXX11Generator.cxx,
	  Source/CPack/cmCPackOSXX11Generator.h,
	  Source/CPack/cmCPackPackageMakerGenerator.cxx,
	  Source/CPack/cmCPackPackageMakerGenerator.h,
	  Source/CPack/cmCPackRPMGenerator.cxx,
	  Source/CPack/cmCPackRPMGenerator.h: ENH: Add CPACK_SET_DESTDIR
	  handling to enable packaging of installed files in absolute
	  locations. With this setting on, cpack will set the DESTDIR env
	  var when building the package so that files end up in their
	  intended locations. Default behavior is not to set DESTDIR for
	  backwards compatibility. Helps address issue #4993 and issue
	  #5257. Also, remove unused CPACK_USE_DESTDIR variable. ENH: Add
	  variable CPACK_PACKAGING_INSTALL_PREFIX to allow overriding the
	  CPack GetPackagingInstallPrefix from a project's CMakeLists file
	  if necessary. Could be used to remove the annoying /usr prefix
	  still used by default in the Mac PackageMaker generator.

2007-10-30 23:04  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-10-30 23:02  hoffman

	* CMakeCPack.cmake, CPackConfig.cmake.in,
	  CPackSourceConfig.cmake.in, Modules/CPack.cmake,
	  Source/CPack/cmCPackNSISGenerator.cxx,
	  Source/CPack/cmCPackRPMGenerator.cxx: ENH: cpack changes, remove
	  the escape variable stuff as it is not needed if you provide a
	  config file for cpack

2007-10-30 11:03  martink

	* Source/cmTarget.cxx: BUG: fix undefined property FRAMEWORK

2007-10-30 10:57  martink

	* Source/cmake.cxx: BUG: fix bad set property code in cmake

2007-10-30 10:16  hoffman

	* Modules/CPackRPM.cmake: ENH: use cpack generic variable if rpm
	  one is not set

2007-10-30 10:16  hoffman

	* CMakeCPack.cmake: ENH: fix for cygwin package

2007-10-29 22:58  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-10-29 21:10  hoffman

	* Templates/cygwin-package.sh.in: ENH: add package script for cmake
	  project

2007-10-29 12:21  hoffman

	* Source/: cmBootstrapCommands.cxx, cmCommands.cxx: ENH: move list
	  command to bootstrap commands

2007-10-29 08:11  hoffman

	* CMakeCPack.cmake, Modules/CPack.cmake, Modules/NSIS.template.in,
	  Source/CPack/cmCPackNSISGenerator.cxx: ENH: add ability to set
	  installer icons, links to web pages, nsis code in the icon
	  section of the template, and ability to escape variables
	  correctly

2007-10-28 22:58  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-10-27 23:05  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-10-26 23:11  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-10-26 22:57  hoffman

	* CMakeLists.txt, ChangeLog.manual, Source/cmSystemTools.cxx,
	  Source/CPack/cmCPackTGZGenerator.cxx,
	  Source/CPack/cmCPackTarCompressGenerator.cxx,
	  Source/kwsys/SystemTools.cxx: ENH: move changes from head

2007-10-26 13:36  alex

	* Source/cmFindBase.cxx: STYLE: change wording of FIND_XXX() docs
	  to be more correct

	  Alex

2007-10-26 12:13  seanmcbride

	* Source/kwsys/: SystemTools.cxx, SystemTools.hxx.in: STYLE: fixed
	  misspellings of Mac OS X

2007-10-26 09:55  alex

	* Source/cmFindBase.cxx, Source/cmFindBase.h,
	  Source/cmFindLibraryCommand.cxx, Source/cmFindPathCommand.cxx,
	  Source/cmFindProgramCommand.cxx,
	  Tests/FindPackageTest/CMakeLists.txt,
	  Tests/FindPackageTest/include/foo.h: ENH: add support for
	  CMAKE_FIND_PREFIX_PATH as discussed with Brad.
	  CMAKE_FIND_PREFIX_PATH is both an environment variable and a
	  cmake variable, which is a list of base directories where
	  FIND_PATH, FIND_FILE, FIND_PROGRAM and FIND_LIBRARY will search
	  in the respective subdirectories

	  Alex

2007-10-25 22:53  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-10-25 14:03  hoffman

	* CMakeLists.txt, ChangeLog.manual,
	  Modules/CPack.STGZ_Header.sh.in, Modules/FindKDE3.cmake,
	  Modules/FindKDE4.cmake, Modules/FindPythonInterp.cmake,
	  Modules/KDE3Macros.cmake, Modules/Platform/DragonFly.cmake,
	  Modules/Platform/GNU.cmake, Modules/Platform/NetBSD.cmake,
	  Modules/Platform/UnixPaths.cmake,
	  Modules/Platform/Windows-cl.cmake,
	  Modules/Platform/Windows.cmake,
	  Modules/Platform/WindowsPaths.cmake, Source/cmDependsFortran.cxx,
	  Source/cmFileCommand.h, Source/cmFindPackageCommand.h,
	  Source/cmIfCommand.cxx, Source/cmIfCommand.h,
	  Source/cmInstallCommand.cxx, Source/cmInstallCommand.h,
	  Source/cmMakefile.cxx, Source/cmRemoveDefinitionsCommand.h,
	  Source/cmSystemTools.cxx, Source/cmTryRunCommand.h,
	  Source/cmake.cxx, Source/cmakemain.cxx,
	  Source/CPack/cmCPackTGZGenerator.cxx,
	  Source/CPack/cmCPackTarCompressGenerator.cxx,
	  Source/CPack/cpack.cxx: ENH: merge in stuff from head

2007-10-25 13:29  king

	* Source/kwsys/SystemTools.cxx: BUG: Fix bug#5590.  When converting
	  a relative path between two full paths on different windows drive
	  letters do not create a ../../d:/foo/bar path and just return the
	  full path to the destination.

2007-10-25 13:26  alex

	* Modules/CPackDeb.cmake, Source/CPack/cmCPackDebGenerator.cxx:
	  BUG: rename DEBIAN_PACKAGE_* variables to CPACK_DEBIAN_PACKAGE_*
	  variables to make them actually work

	  Alex

2007-10-24 23:20  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-10-24 14:43  martink

	* Source/: cmGetPropertyCommand.cxx, cmGetPropertyCommand.h,
	  cmPropertyDefinition.h, cmake.cxx, cmake.h: ENH: add ability to
	  get documentaiton of a property from a script

2007-10-24 11:36  martink

	* Source/cmDocumentation.cxx, Source/cmDocumentation.h,
	  Source/cmDocumentationFormatter.h,
	  Source/cmDocumentationFormatterHTML.cxx,
	  Source/cmDocumentationSection.h, Source/cmakemain.cxx,
	  Source/MFCDialog/CMakeSetup.cpp, Utilities/CMakeLists.txt: ENH:
	  some more cleanup, fixes, and patch for HTML output

2007-10-23 23:07  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-10-23 10:40  martink

	* Source/: cmMakefile.cxx, cmPropertyDefinitionMap.cxx: COMP: fix
	  for when STRICT is defined, and fix for props that have no docs

2007-10-23 10:08  martink

	* Source/cmDocumentVariables.cxx: STYLE: fix some long lines

2007-10-23 10:07  martink

	* Source/cmDocumentation.cxx: COMP: fix a problem with a shadowed
	  var

2007-10-22 23:10  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-10-22 17:16  hoffman

	* Modules/CPack.cmake: ENH: fix bitmap escapes

2007-10-22 16:41  martink

	* Source/: cmDocumentation.cxx, cmakemain.cxx: COMP: fix some
	  warnings and add some doc strings back in

2007-10-22 15:33  martink

	* Source/: cmDocumentation.cxx, cmDocumentation.h,
	  cmDocumentationSection.cxx, cmDocumentationSection.h,
	  cmakemain.cxx: COMP: fix some warnings and add some doc strings
	  back in

2007-10-22 14:01  hoffman

	* Modules/Platform/Darwin.cmake, Source/cmLocalGenerator.cxx: ENH:
	  fix spelling error

2007-10-22 13:28  martink

	* Source/: cmGlobalKdevelopGenerator.cxx,
	  cmGlobalXCodeGenerator.cxx: ENH: change to make the documentation
	  class more generic, about halfway there, also provides secitons
	  for Variables now

2007-10-22 12:48  martink

	* Source/: CMakeLists.txt, cmDocumentVariables.cxx,
	  cmDocumentation.cxx, cmDocumentation.h,
	  cmDocumentationFormatter.h, cmDocumentationFormatterHTML.cxx,
	  cmDocumentationFormatterHTML.h, cmDocumentationFormatterMan.cxx,
	  cmDocumentationFormatterMan.h, cmDocumentationFormatterText.cxx,
	  cmDocumentationFormatterText.h,
	  cmDocumentationFormatterUsage.cxx,
	  cmDocumentationFormatterUsage.h, cmDumpDocumentation.cxx,
	  cmExtraCodeBlocksGenerator.cxx, cmExtraEclipseCDT4Generator.cxx,
	  cmGlobalBorlandMakefileGenerator.cxx, cmGlobalGenerator.cxx,
	  cmGlobalMSYSMakefileGenerator.cxx,
	  cmGlobalMinGWMakefileGenerator.cxx,
	  cmGlobalNMakeMakefileGenerator.cxx,
	  cmGlobalUnixMakefileGenerator3.cxx,
	  cmGlobalVisualStudio6Generator.cxx,
	  cmGlobalVisualStudio71Generator.cxx,
	  cmGlobalVisualStudio7Generator.cxx,
	  cmGlobalVisualStudio8Generator.cxx,
	  cmGlobalVisualStudio8Win64Generator.cxx,
	  cmGlobalVisualStudio9Generator.cxx,
	  cmGlobalWatcomWMakeGenerator.cxx, cmMakefile.cxx,
	  cmPropertyDefinition.cxx, cmPropertyDefinition.h,
	  cmPropertyDefinitionMap.cxx, cmPropertyDefinitionMap.h,
	  cmStandardIncludes.h, cmake.cxx, cmake.h, cmakemain.cxx,
	  ctest.cxx, CPack/cpack.cxx, CursesDialog/ccmake.cxx,
	  MFCDialog/CMakeSetup.cpp, cmDocumentationSection.cxx,
	  cmDocumentationSection.h: ENH: change to make the documentation
	  class more generic, about halfway there, also provides secitons
	  for Variables now

2007-10-22 11:40  hoffman

	* Modules/: CPack.cmake, NSIS.template.in: ENH: allow
	  CPACK_PACKAGE_ICON to be not set

2007-10-22 10:17  hoffman

	* Modules/Platform/Darwin.cmake: ENH: try to fix boostrap on 10.5

2007-10-21 23:39  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-10-20 23:04  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-10-19 23:03  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-10-19 22:24  hoffman

	* Modules/Platform/Darwin.cmake, Source/cmLocalGenerator.cxx: ENH:
	  do not always add -arch flags

2007-10-19 12:03  hoffman

	* Source/CPack/cmCPackNSISGenerator.cxx: ENH: fix line length error

2007-10-18 22:59  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-10-18 11:11  king

	* Source/kwsys/SystemTools.cxx: BUG: Merge bug fixes from HEAD.

2007-10-18 09:40  hoffman

	* CMakeCPack.cmake, Modules/NSIS.template.in,
	  Source/CPack/cmCPackNSISGenerator.cxx,
	  Source/CPack/cmCPackNSISGenerator.h: ENH: add ability to create
	  links on the start menu

2007-10-18 09:39  hoffman

	* bootstrap: ENH: add new file

2007-10-18 09:38  hoffman

	* Source/: cmMakefileExecutableTargetGenerator.cxx,
	  cmMakefileLibraryTargetGenerator.cxx: ENH: do not remove
	  executables and dll's before linking them so that incremental
	  links work, incremental links are still broken for vs 2005 and
	  greater because of the manifest stuff

2007-10-18 09:10  hoffman

	* Source/: CMakeLists.txt, cmDocumentVariables.cxx,
	  cmDocumentVariables.h, cmake.cxx: ENH: add docs for variables

2007-10-17 22:55  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-10-17 10:29  king

	* Utilities/cmxmlrpc/xmlrpc_client.h: COMP: Attempt to fix warning
	  about pointer->integer cast.

2007-10-17 09:38  miguelf

	* Modules/FindwxWidgets.cmake: ENH: Added support for finding
	  wxWidgets-2.9. Thanks to Joshua Jensen and Steven.

2007-10-16 22:51  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-10-16 14:27  martink

	* Source/: CMakeLists.txt, cmConfigure.cmake.h.in,
	  cmPropertyMap.cxx: ENH: added CMAKE_STRICT option for var and
	  property checking

2007-10-16 10:19  king

	* Source/: cmDependsFortran.cxx, cmInstallCommand.cxx: STYLE: Fixed
	  line-too-long.

2007-10-15 22:43  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-10-15 17:38  king

	* Source/cmExecuteProcessCommand.cxx: BUG: Work around bug when
	  calling insert on an empty vector of char on midworld. Should
	  eliminate the sporadic failure of EXECUTE_PROCESS during the
	  SimpleInstall-Stage2 test. (david.cole from Brad's checkout on
	  midworld)

2007-10-15 14:50  martink

	* Modules/TestForSSTREAM.cmake, Source/cmForEachCommand.h,
	  Source/cmWhileCommand.h, Source/cmake.cxx: ENH: minor doc
	  cleanups and an example of documenting a variable

2007-10-15 07:08  david.cole

	* Source/cmInstallCommand.cxx, Source/cmInstallScriptGenerator.cxx,
	  Source/cmInstallScriptGenerator.h, Source/cmLocalGenerator.cxx,
	  Tests/SimpleInstall/CMakeLists.txt,
	  Tests/SimpleInstall/InstallScript3.cmake,
	  Tests/SimpleInstall/InstallScript4.cmake,
	  Tests/SimpleInstallS2/CMakeLists.txt,
	  Tests/SimpleInstallS2/InstallScript3.cmake,
	  Tests/SimpleInstallS2/InstallScript4.cmake: BUG: Fix #5868 - add
	  COMPONENT handling to the SCRIPT and CODE signatures of the
	  INSTALL command.

2007-10-14 22:40  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-10-14 08:15  alex

	* Source/cmExportCommand.cxx:
	  BUG: fix #5806, wrong quotes used in the exported file

	  Alex

2007-10-13 22:48  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-10-12 22:45  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-10-12 21:30  miguelf

	* Modules/FindwxWidgets.cmake: BUG: Added support for the AUI
	  library module (bug 4338). Also applied some STYLE changes
	  including: deprecation of wxWidgets_USE_LIBS in favor of using
	  standard FIND_PACKAGE COMPONENTS, removed some CMake 2.4.2
	  compatibility patches, use of execute_process instead of
	  exec_program, etc.

2007-10-12 19:33  hoffman

	* Modules/CPackRPM.cmake: BUG: fix for bug 5878

2007-10-12 11:43  david.cole

	* Source/cmTarget.cxx: BUG: Fix the dashboards! Put it back the way
	  it was so it always creates the target directory at configure
	  time. Figure out how to avoid it for the framework case on the
	  Mac/Xcode later...

2007-10-12 11:34  hoffman

	* Modules/FindFLTK2.cmake: ENH: add from bug 0004219

2007-10-12 11:00  hoffman

	* Modules/FindASPELL.cmake: BUG: fix for bug 0005871

2007-10-12 10:58  hoffman

	* Source/cmLocalGenerator.cxx: BUG: fix for bug 0003618 , allow one
	  arch in OSX_ARCHS to work

2007-10-12 09:58  hoffman

	* Source/kwsys/SystemTools.cxx: BUG: fix for bug 0005767 hang for
	  replace string with empty

2007-10-12 09:51  king

	* Source/cmDependsFortran.cxx: ENH: When an object file requires a
	  module add the file-level dependency between the object file and
	  the module timestamp file.  Create a dummy timestamp file in case
	  nothing in the project actually creates the module.  See
	  bug#5809.

2007-10-12 09:32  king

	* Source/cmLocalUnixMakefileGenerator3.cxx: BUG: Dependency
	  scanners should have local generators set always.

2007-10-11 22:45  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-10-10 22:32  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-10-10 17:47  alin.elena

	* Modules/: CheckFortranFunctionExists.cmake, FindBLAS.cmake,
	  FindLAPACK.cmake, Platform/Linux-ifort.cmake:
	  ENH: FindBLAS.cmake and FindLAPACK.cmake modules added. They
	  locate various implementations of blas and lapack libraries.
	  CheckFortranFunctionExists.cmake provides a test function to
	  check if the library is usabale. I have also changed the -KPIC
	  flag to -fPIC in Linux-ifort.cmake.

2007-10-10 11:47  martink

	* Source/cmAddCustomCommandCommand.h,
	  Source/cmAddCustomTargetCommand.h,
	  Source/cmAddDefinitionsCommand.h,
	  Source/cmAddDependenciesCommand.h,
	  Source/cmAddExecutableCommand.h, Source/cmAddLibraryCommand.h,
	  Source/cmAddSubDirectoryCommand.h, Source/cmAddTestCommand.h,
	  Source/cmAuxSourceDirectoryCommand.h, Source/cmBuildCommand.h,
	  Source/cmBuildNameCommand.h, Source/cmCMakeMinimumRequired.h,
	  Source/cmConfigureFileCommand.h, Source/cmCreateTestSourceList.h,
	  Source/cmDefinePropertyCommand.h, Source/cmDocumentation.cxx,
	  Source/cmElseCommand.h, Source/cmElseIfCommand.h,
	  Source/cmEnableLanguageCommand.h,
	  Source/cmEnableTestingCommand.h, Source/cmEndForEachCommand.h,
	  Source/cmEndIfCommand.h, Source/cmEndMacroCommand.h,
	  Source/cmEndWhileCommand.h, Source/cmExecProgramCommand.h,
	  Source/cmExecuteProcessCommand.h, Source/cmExportCommand.h,
	  Source/cmExportLibraryDependencies.h,
	  Source/cmFLTKWrapUICommand.h, Source/cmFileCommand.h,
	  Source/cmFindFileCommand.cxx, Source/cmFindFileCommand.h,
	  Source/cmFindLibraryCommand.cxx, Source/cmFindLibraryCommand.h,
	  Source/cmFindPackageCommand.h, Source/cmFindPathCommand.cxx,
	  Source/cmFindPathCommand.h, Source/cmFindProgramCommand.cxx,
	  Source/cmFindProgramCommand.h, Source/cmForEachCommand.h,
	  Source/cmGetCMakePropertyCommand.h,
	  Source/cmGetDirectoryPropertyCommand.h,
	  Source/cmGetFilenameComponentCommand.h,
	  Source/cmGetPropertyCommand.h,
	  Source/cmGetSourceFilePropertyCommand.h,
	  Source/cmGetTargetPropertyCommand.h,
	  Source/cmGetTestPropertyCommand.h, Source/cmIfCommand.h,
	  Source/cmIncludeCommand.h, Source/cmIncludeDirectoryCommand.h,
	  Source/cmIncludeExternalMSProjectCommand.h,
	  Source/cmIncludeRegularExpressionCommand.h,
	  Source/cmInstallCommand.h, Source/cmInstallFilesCommand.h,
	  Source/cmInstallProgramsCommand.h,
	  Source/cmInstallTargetsCommand.h,
	  Source/cmLinkDirectoriesCommand.h,
	  Source/cmLinkLibrariesCommand.h, Source/cmListCommand.h,
	  Source/cmLoadCacheCommand.h, Source/cmLoadCommandCommand.h,
	  Source/cmMacroCommand.h, Source/cmMakeDirectoryCommand.h,
	  Source/cmMarkAsAdvancedCommand.h, Source/cmMathCommand.h,
	  Source/cmMessageCommand.h, Source/cmOptionCommand.h,
	  Source/cmOutputRequiredFilesCommand.h, Source/cmProjectCommand.h,
	  Source/cmQTWrapCPPCommand.h, Source/cmQTWrapUICommand.h,
	  Source/cmRemoveCommand.h, Source/cmRemoveDefinitionsCommand.h,
	  Source/cmSeparateArgumentsCommand.h, Source/cmSetCommand.h,
	  Source/cmSetDirectoryPropertiesCommand.h,
	  Source/cmSetPropertiesCommand.h,
	  Source/cmSetSourceFilesPropertiesCommand.h,
	  Source/cmSetTargetPropertiesCommand.h,
	  Source/cmSetTestsPropertiesCommand.h, Source/cmSiteNameCommand.h,
	  Source/cmSourceGroupCommand.h, Source/cmStringCommand.h,
	  Source/cmSubdirCommand.h, Source/cmSubdirDependsCommand.h,
	  Source/cmTargetLinkLibrariesCommand.h,
	  Source/cmTryCompileCommand.h, Source/cmTryRunCommand.h,
	  Source/cmUseMangledMesaCommand.h,
	  Source/cmUtilitySourceCommand.h,
	  Source/cmVariableRequiresCommand.h,
	  Source/cmVariableWatchCommand.h, Source/cmWhileCommand.h,
	  Source/cmWriteFileCommand.h,
	  Tests/CommandLineTest/CMakeLists.txt: ENH: make commands lower
	  case by default

2007-10-10 11:06  david.cole

	* Source/cmGlobalGenerator.cxx, Source/cmGlobalGenerator.h,
	  Source/cmGlobalXCodeGenerator.cxx, Source/cmInstallCommand.cxx,
	  Source/cmInstallTargetGenerator.cxx,
	  Source/cmMakefileLibraryTargetGenerator.cxx,
	  Source/cmMakefileTargetGenerator.cxx,
	  Source/cmOrderLinkDirectories.cxx, Source/cmTarget.cxx,
	  Source/cmTarget.h, Tests/CMakeLists.txt,
	  Tests/Framework/CMakeLists.txt: ENH: Finish up the Framework
	  creation code restructuring. Frameworks build and install now.
	  More work needed on the packaging step. See Tests/Framework for
	  example use.

2007-10-10 09:09  king

	* Tests/Fortran/: CMakeLists.txt, test_use_in_comment_fixedform.f,
	  test_use_in_comment_freeform.f90, in_interface/main.f90,
	  in_interface/module.f90: ENH: Added test for 'use' keyword in a
	  comment.  Patch from Maik Beckmann.  See bug#5809.

2007-10-10 09:07  king

	* Source/cmDependsFortran.cxx: BUG: Fix in-interface mode.  Patch
	  from Maik Beckmann.  See bug#5809.

2007-10-09 22:36  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-10-09 15:20  barre

	* Source/kwsys/SystemTools.cxx: ENH: bad bug bad

2007-10-09 14:35  martink

	* Source/: cmDocumentation.cxx, cmDocumentationFormatterHTML.cxx,
	  cmDocumentationFormatterMan.cxx,
	  cmDocumentationFormatterText.cxx,
	  cmDocumentationFormatterUsage.cxx, cmDumpDocumentation.cxx,
	  cmPropertyDefinition.cxx, cmPropertyDefinitionMap.cxx,
	  cmStandardIncludes.h, cmake.cxx, cmake.h, cmakemain.cxx,
	  ctest.cxx, CPack/cpack.cxx, MFCDialog/CMakeSetup.cpp: BUG: revert
	  doc changes since VS7 cannot compile them, will implement them in
	  a different manner

2007-10-09 09:55  martink

	* Source/: cmDocumentation.cxx, cmDocumentationFormatterHTML.cxx,
	  cmDocumentationFormatterMan.cxx,
	  cmDocumentationFormatterText.cxx,
	  cmDocumentationFormatterUsage.cxx, cmDumpDocumentation.cxx,
	  cmPropertyDefinition.cxx, cmPropertyDefinitionMap.cxx,
	  cmStandardIncludes.h, cmake.cxx, cmake.h, cmakemain.cxx,
	  ctest.cxx, CPack/cpack.cxx, MFCDialog/CMakeSetup.cpp: ENH: make
	  documentation entries actually store their data

2007-10-08 22:39  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-10-08 10:05  king

	* Source/cmSystemTools.cxx: STYLE: Fixed line-too-long.

2007-10-08 10:03  king

	* Source/cmSystemTools.cxx: COMP: Added inadvertantly removed
	  include.

2007-10-07 22:35  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-10-07 16:22  king

	* Source/cmSystemTools.cxx: COMP: Simplified include file logic.
	  The windows.h header should be included for all compilers on
	  windows.

2007-10-06 22:42  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-10-05 22:31  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-10-05 15:51  martink

	* Source/cmSystemTools.cxx: COMP: fix to compile on VS 8

2007-10-05 13:15  hoffman

	* Modules/Platform/Windows-bcc32.cmake: ENH: add support for
	  preprocessed files in borland

2007-10-05 13:14  hoffman

	* Utilities/KWStyle/CMakeFiles.txt.in: ENH: add more exclusions for
	  kwstyle

2007-10-05 10:03  king

	* Source/cmSystemTools.cxx: BUG: Fix call to SetFileTime to set it
	  on the proper file.

2007-10-05 10:02  king

	* Source/: cmDependsFortranParser.cxx, cmDependsFortranParser.y:
	  COMP: Disable some warnings in generated code.  Disable
	  compilation of unused goto block.

2007-10-05 09:46  king

	* Source/: cmFileCommand.cxx, cmSystemTools.cxx, cmSystemTools.h:
	  ENH: During file installation treat the source file as a
	  dependency of the installed file.  Install the file only if the
	  destination is older than the source.  Set the file times on the
	  installed file to match those of the source file.  This should
	  greatly improve the speed of repeated installations because it
	  removes the comparison of file contents.  This addresses
	  bug#3349.

2007-10-04 22:43  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-10-04 15:31  hoffman

	* Source/: cmDependsFortranParser.cxx, cmDependsFortranParser.y:
	  ENH: update .y file with borland fix, and use a table based
	  strcasecmp

2007-10-04 14:47  david.cole

	* Source/cmDependsFortranParser.cxx: COMP: Get it to compile on
	  Borland 5.5, too. Including stl headers here does not work,
	  because with Borland 5.5 stl headers pull in windef.h which
	  typedefs WORD which is in the fortran tokens list...

2007-10-04 09:49  king

	* Source/cmDependsFortranParser.cxx: STYLE: Removed reference to my
	  home directory from #line calls.

2007-10-03 22:36  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-10-03 17:01  king

	* Source/: cmDependsFortranParser.cxx, cmDependsFortranParser.y:
	  COMP: Do not use non-portable strcasecmp.

2007-10-03 16:19  king

	* Source/cmDependsFortran.cxx: BUG: When requiring a module through
	  a .proxy rule add an empty .proxy rule in case no other source in
	  the target provides it.  Since it is not a file-level dependency
	  there does not need to be a rule to create the .proxy as a file.
	  This addresses bug#3984.

2007-10-03 15:41  king

	* Source/: cmDependsFortran.cxx, cmDependsFortranLexer.cxx,
	  cmDependsFortranLexer.h, cmDependsFortranLexer.in.l,
	  cmDependsFortranParser.cxx, cmDependsFortranParser.h,
	  cmDependsFortranParser.y, cmDependsFortranParserTokens.h: BUG:
	  Fix for bug#5809.  Applied patch supplied in the bug report.
	  Updated pre-generated lexer and parser sources.  This updates the
	  makedepf90 version to 2.8.8.	The parser actions have been
	  updated to ignore "use" in comments properly.

2007-10-03 15:23  king

	* Source/CMakeLists.txt: ENH: Updated CMAKE_REGENERATE_YACCLEX
	  option to support cmDependsFortran.  Fixed to work with spaces in
	  path.

2007-10-02 22:27  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-10-02 15:48  hoffman

	* Source/kwsys/: SystemTools.cxx, SystemTools.hxx.in: ENH: speed up
	  actual path name by cache on windows

2007-10-01 22:31  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-10-01 15:57  david.cole

	* Tests/: CMakeLists.txt, SimpleInstall/CMakeLists.txt,
	  SimpleInstallS2/CMakeLists.txt: COMP: Rename the executables for
	  the SimpleInstall tests so that the executable files that run
	  during the test do not have the word install in their file names.
	  This allows running the tests on Windows Vista without admin
	  privileges and without adding a manifest containing the asInvoker
	  requestedExecutionLevel element.

2007-09-30 22:28  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-09-29 22:36  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-09-28 22:49  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-09-27 23:02  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-09-27 14:44  hoffman

	* Source/cmGeneratedFileStream.cxx, Source/cmSystemTools.cxx,
	  Source/CPack/cmCPackTGZGenerator.cxx, Utilities/cmtar/libtar.c:
	  COMP: remove warnings

2007-09-27 14:20  hoffman

	* Modules/FindQt4.cmake: ENH: set  QT_EDITION_DESKTOPLIGHT and do
	  not disable modules

2007-09-27 14:18  hoffman

	* DartLocal.conf.in: ENH: fix space

2007-09-27 14:16  hoffman

	* Source/cmWin32ProcessExecution.cxx: ENH: remove junk from output

2007-09-27 08:53  hoffman

	* Utilities/cmcurl/CMakeLists.txt: ENH: add a check for basename to
	  cmcurl

2007-09-26 22:59  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-09-26 20:53  hoffman

	* Modules/FindQt4.cmake: ENH: look for qt in a beter registry place
	  and disable modules that won't work with DesktopLight, also set
	  QT_EDITION variable

2007-09-25 23:06  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-09-25 11:01  hoffman

	* Source/MFCDialog/CMakeGenDialog.cpp: ENH: more generic search for
	  visual studio installations

2007-09-25 10:57  hoffman

	* Source/cmSystemTools.cxx: BUG: fix problem with stdout and stderr
	  not showing up in ms dos shells

2007-09-25 08:36  hoffman

	* Tests/CMakeLists.txt: ENH: increase timeout

2007-09-25 08:30  hoffman

	* DartLocal.conf.in: ENH: remove extra space

2007-09-24 23:13  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-09-24 13:19  hoffman

	* DartLocal.conf.in, Source/cmSystemTools.cxx: ENH: add new
	  machines

2007-09-24 11:18  hoffman

	* CTestCustom.cmake.in: COMP: exclude some warnings on hp

2007-09-24 11:16  hoffman

	* Source/: cmCommandArgumentLexer.cxx, cmDependsJavaLexer.cxx,
	  cmExprLexer.cxx: COMP: fix warnings on hp

2007-09-24 11:10  hoffman

	* Source/CTest/: cmCTestTestHandler.cxx, cmCTestTestHandler.h: ENH:
	  fix line length issues

2007-09-24 09:53  king

	* Modules/FindThreads.cmake: BUG: Enable CMAKE_HP_PTHREADS only
	  when the old CMA threads are available.  Modern HP pthreads are
	  just normal pthreads.

2007-09-23 23:09  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-09-22 22:47  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-09-21 22:46  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-09-21 13:37  alex

	* Source/CPack/cmCPackDebGenerator.cxx:
	  STYLE: use %-10lld instead of %-10qd for printing a 64bit int,
	  maybe this silences the warning of the HP compiler

	  Alex

2007-09-21 11:42  alex

	* Source/cmFindPackageCommand.cxx:
	  STYLE: improved error message for the case that neither
	  FindFoo.cmake nor FooConfig.cmake were found

	  Alex

2007-09-21 11:42  hoffman

	* Modules/InstallRequiredSystemLibraries.cmake: ENH: remove message

2007-09-20 22:44  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-09-20 17:21  king

	* Modules/FindThreads.cmake: BUG: Do not use CMA threads on HP if
	  they do not exist.

2007-09-20 16:48  hoffman

	* Tests/CMakeLists.txt: ENH: VV make too much data for the
	  dashboard

2007-09-20 11:57  hoffman

	* Source/kwsys/testRegistry.cxx: COMP: remove warning on new HPUX
	  compiler

2007-09-20 11:27  hoffman

	* Source/MFCDialog/CMakeLists.txt: BUG: fix to work with cmake 2.2

2007-09-20 10:56  king

	* Tests/: SimpleInstall/CMakeLists.txt,
	  SimpleInstallS2/CMakeLists.txt: ENH: Disable package test only on
	  OSX < 10.4.  Added comment explaining reason for timeout.

2007-09-20 10:47  king

	* Tests/CMakeLists.txt: ENH: Restore shorter timeout for
	  SimpleInstall-Stage2.

2007-09-20 09:36  alex

	* Source/kwsys/SystemTools.cxx:
	  COMP: TIOCGWINSZ and struct winsize also doesn't exist on Cray
	  Catamount

	  Alex

2007-09-20 09:30  alex

	* Source/kwsys/SystemTools.cxx:
	  COMP: make SystemTools.cxx build on Cray Xt3

	  Alex

2007-09-20 08:33  alex

	* Source/cmDocumentation.cxx:
	  STYLE: fix line lengths

	  Alex

2007-09-19 22:33  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-09-19 13:51  david.cole

	* Source/MFCDialog/CMakeLists.txt: COMP: Only use the VERBATIM flag
	  for non-Visual Studio builds being configured by CMake 2.4.5 or
	  later.

2007-09-19 13:14  alex

	* Source/: cmDocumentation.cxx, cmDocumentation.h,
	  cmDocumentationFormatter.h, cmakemain.cxx:
	  ENH: add new help option --help-custom-modules, which generates
	  documentation for all modules found in CMAKE_MODULE_PATH, which
	  currently has to be specified via -D, this can later on be
	  improved e.g. by reading a special (to-be-created) file like
	  CMakeFiles/ModulePath.cmake in the build tree so that running
	  cmake help in the build tree of a project will always give you
	  the current module path. (This could actually also help IDEs
	  which would like to support cmake for projects...)

	  Alex

2007-09-19 11:42  hoffman

	* Utilities/cmcurl/CMakeLists.txt: ENH: add test for HAVE_BASENAME
	  since it is used

2007-09-19 11:16  hoffman

	* Source/CTest/cmCTestTestHandler.cxx,
	  Source/CTest/cmCTestTestHandler.h, Source/kwsys/CMakeLists.txt,
	  Tests/CMakeLists.txt: ENH: fix failing test when valgrind is on

2007-09-19 11:10  king

	* Tests/: CMakeLists.txt, SimpleInstall/CMakeLists.txt,
	  SimpleInstallS2/CMakeLists.txt: ENH: Re-enable packaging part of
	  SimpleInstall-Stage2 test on Apple.  Give it a long timeout to
	  see what is going on.

2007-09-19 10:46  alex

	* Source/: cmDocumentationFormatter.h,
	  cmDocumentationFormatterHTML.cxx:
	  COMP: fix warning about unused parameters

	  Alex

2007-09-19 09:59  alex

	* Source/cmDocumentationFormatterMan.cxx:
	  BUG: correct name for the man page

	  Alex

2007-09-19 09:35  alex

	* Modules/FindQt4.cmake:
	  BUG: if Qt is installed as a framework, add -F to the command
	  line so Q_WS_MAC can be detected correctly

	  Alex

2007-09-19 09:05  alex

	* Source/: CMakeLists.txt, cmDocumentation.cxx, cmDocumentation.h,
	  cmDocumentationFormatter.cxx, cmDocumentationFormatter.h,
	  cmDocumentationFormatterHTML.cxx, cmDocumentationFormatterHTML.h,
	  cmDocumentationFormatterMan.cxx, cmDocumentationFormatterMan.h,
	  cmDocumentationFormatterText.cxx, cmDocumentationFormatterText.h,
	  cmDocumentationFormatterUsage.cxx,
	  cmDocumentationFormatterUsage.h:
	  STYLE: move the code for the different formats of the generated
	  help into their own classes, making cmDocumentation smaller and
	  also making it easier to eventually add another format

	  Alex

2007-09-19 09:04  alex

	* Tests/: SimpleInstall/CMakeLists.txt,
	  SimpleInstallS2/CMakeLists.txt:
	  COMP: reenable the installation of the PUBLIC_HEADERs

	  Alex

2007-09-18 22:43  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-09-18 17:05  alex

	* Source/cmExtraCodeBlocksGenerator.cxx:
	  STYLE: fix line lengths

	  Alex

2007-09-18 15:16  hoffman

	* CMakeCPack.cmake, Modules/NSIS.InstallOptions.ini.in,
	  Modules/NSIS.template.in, Source/CPack/cmCPackNSISGenerator.cxx:
	  ENH: allow for desktop link to be created and fix chop of last
	  char in PATH on uninstall

2007-09-18 15:13  alex

	* Modules/FindPythonLibs.cmake:
	  BUG: make the string static, otherwise the contents are gone when
	  we exit the function (same fix as in VTK/CMake/)

	  Alex

2007-09-18 11:35  hoffman

	* Tests/CMakeLists.txt: ENH: increase timeout for long test

2007-09-18 11:34  hoffman

	* Source/cmCTest.cxx: ENH: allow test properties to set a timeout
	  that is longer than the default timeout, but not longer than
	  CTEST_TIME_LIMIT for a script

2007-09-18 09:54  alex

	* Source/cmExtraCodeBlocksGenerator.cxx:
	  ENH: use the oubject_output option to try to tell CodeBlocks
	  where the object files are located (to make "compile file" work).
	  Doesn't work yet, but at least the .objs/ is now removed from the
	  path.

	  Alex

2007-09-17 22:38  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-09-17 16:21  alex

	* Tests/: SimpleInstall/CMakeLists.txt,
	  SimpleInstallS2/CMakeLists.txt:
	  COMP: disable packaging test on Apple, see if this fixes the
	  timeouts

	  Alex

2007-09-17 16:10  hoffman

	* Source/MFCDialog/CMakeLists.txt: ENH: make mt command work with
	  gmake

2007-09-17 15:59  hoffman

	* Source/cmLocalVisualStudio7Generator.cxx: ENH: fix for vs 8

2007-09-17 15:55  alex

	* CMakeLists.txt, Modules/CMakeCCompilerId.c,
	  Modules/CMakeCXXCompilerId.cpp,
	  Modules/Platform/Linux-PGI-C.cmake,
	  Modules/Platform/Linux-PGI-CXX.cmake, Source/kwsys/Directory.cxx:

	  ENH: add support for the Portland Compiler to CMake, can build
	  cmake and the tests pass (except the wrapping tests, which fail
	  to link to the g++-compiled Qt)

	  Alex

2007-09-17 15:40  alex

	* Utilities/cmtar/libtar.c:
	  COMP: use C-style comments in C code

	  Alex

2007-09-17 15:27  hoffman

	* Tests/: SimpleInstall/CMakeLists.txt,
	  SimpleInstallS2/CMakeLists.txt: ENH: test install of debug libs

2007-09-17 15:26  hoffman

	* Modules/InstallRequiredSystemLibraries.cmake: ENH: allow for
	  installation of debug libs

2007-09-17 15:20  hoffman

	* Modules/CMakeVS8FindMake.cmake,
	  Modules/Platform/Windows-cl.cmake, Source/CMakeLists.txt,
	  Source/cmGlobalVisualStudio9Generator.cxx,
	  Source/cmGlobalVisualStudio9Generator.h,
	  Source/cmLocalVisualStudio7Generator.cxx,
	  Source/cmLocalVisualStudio7Generator.h, Source/cmake.cxx,
	  Source/MFCDialog/StdAfx.h, Utilities/cmcurl/select.h,
	  Utilities/cmcurl/CMake/CurlTests.c,
	  Utilities/cmcurl/Platforms/WindowsCache.cmake,
	  Modules/CMakeVS9FindMake.cmake: ENH: add support for vs 2008 beta
	  2

2007-09-17 15:18  alex

	* Utilities/cmtar/: CMakeLists.txt, config.h.in, internal.h:
	  COMP: add a check for makedev, which isn't available with the PGI
	  compiler on Cray XT3

	  Alex

2007-09-17 11:17  hoffman

	* Source/cmSystemTools.cxx: ENH: fix warning

2007-09-17 10:53  alex

	* Source/cmTryRunCommand.cxx:
	  STYLE: copy the executables from TRY_RUN() to
	  ${CMAKE_BINARY_DIR}/CMakeFiles/ instead to ${CMAKE_BINARY_DIR}

	  Alex

2007-09-17 10:51  king

	* Tests/BuildDepends/: CMakeLists.txt, Project/CMakeLists.txt,
	  Project/dep.cxx, Project/zot.cxx: ENH: Adding test for
	  ADD_CUSTOM_COMMAND's new IMPLICIT_DEPENDS feature.

2007-09-17 10:50  king

	* Source/: cmAddCustomCommandCommand.cxx,
	  cmAddCustomCommandCommand.h, cmCustomCommand.cxx,
	  cmCustomCommand.h, cmMakefileTargetGenerator.cxx: ENH: Added
	  IMPLICIT_DEPENDS option to ADD_CUSTOM_COMMAND.  It currently
	  works only for Makefile generators.  It allows a custom command
	  to have implicit dependencies in the form of C or CXX sources.

2007-09-17 10:40  hoffman

	* Source/: cmGlobalXCodeGenerator.cxx,
	  CTest/cmCTestBuildAndTestHandler.cxx,
	  CTest/cmCTestBuildCommand.cxx, CTest/cmCTestTestHandler.cxx: ENH:
	  fix build issue with config type not being specified by ctest

2007-09-16 22:46  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-09-15 22:58  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-09-14 22:59  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-09-13 22:53  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-09-13 13:37  king

	* Source/cmMakefileTargetGenerator.cxx, Source/cmSourceFile.cxx,
	  Tests/PrecompiledHeader/CMakeLists.txt: ENH: Added OBJECT_OUTPUTS
	  source file property.  Updated PrecompiledHeader test to use it
	  (making the test simpler).

2007-09-13 09:14  king

	* Source/cmGlobalXCodeGenerator.cxx: COMP: Fix shadowed local
	  warning by scoping the previous decl properly.

2007-09-12 22:54  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-09-11 22:49  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-09-11 15:21  david.cole

	* CTestCustom.cmake.in, Source/MFCDialog/CMakeLists.txt,
	  Source/MFCDialog/CMakeSetupManifest.xml: ENH: Avoid prompting for
	  admin privileges when running CMakeSetup.exe on Vista by adding a
	  requestedExecutionLevel element to its manifest.

2007-09-11 14:43  hoffman

	* Source/CTest/cmCTestBuildAndTestHandler.cxx: ENH: for build and
	  test default the config type to the one that ctest was built
	  with, it is good for the current ctest setup, and other projects
	  can always specify a value on the command line

2007-09-11 12:23  hoffman

	* Source/cmSystemTools.cxx: ENH: opps

2007-09-11 11:22  david.cole

	* Utilities/cmzlib/: CMakeLists.txt, ChangeLog, FAQ, INDEX, README,
	  README.Kitware.txt, adler32.c, cm_zlib_mangle.h, compress.c,
	  crc32.c, crc32.h, deflate.c, deflate.h, example.c, gzio.c,
	  infblock.c, infblock.h, infcodes.c, infcodes.h, inffast.c,
	  inffast.h, inffixed.h, inflate.c, inflate.h, inftrees.c,
	  inftrees.h, infutil.c, infutil.h, maketree.c, minigzip.c,
	  trees.c, uncompr.c, zconf.h, zlib.def, zlib.h, zlib.rc, zutil.c,
	  zutil.h: ENH: Update zlib to 1.2.3. Addresses bugs #5445 and
	  #3473.

2007-09-11 11:21  hoffman

	* Source/: cmCTest.cxx, cmSystemTools.cxx, cmSystemTools.h,
	  ctest.cxx, CTest/cmCTestTestHandler.cxx: ENH: fix 2 ctest issues,
	  do not use the build type of ctest to look for config types, do
	  not inherit pipes in child procs for ctest so it can kill them

2007-09-11 10:01  hoffman

	* Source/cmMathCommand.h: ENH: improve docs

2007-09-10 22:50  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-09-10 17:39  hoffman

	* Tests/: SimpleInstall/CMakeLists.txt,
	  SimpleInstallS2/CMakeLists.txt: ENH: turn this stuff off to see
	  if it fixes the dashboard on midworld

2007-09-10 17:10  hoffman

	* Tests/Plugin/src/example_exe.cxx: ENH: fix memory leak

2007-09-10 10:49  hoffman

	* Tests/CMakeLists.txt, Utilities/Release/README,
	  Utilities/Release/create-cmake-release.cmake,
	  Utilities/Release/upload_release.cmake: ENH: add test that builds
	  a nightly windows cmake binary

2007-09-10 10:22  king

	* Source/: cmGlobalXCodeGenerator.cxx, cmTarget.cxx: ENH: Added
	  XCODE_ATTRIBUTE_<an-attribute> property to allow direct setting
	  of Xcode target attributes in generated projects.  For example,
	  one may set the prefix header property and the corresponding
	  precompiled option to do precompiled headers.

2007-09-09 23:03  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-09-09 13:18  hoffman

	* CMakeLists.txt: ENH: remove debug print

2007-09-08 23:09  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-09-07 22:49  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-09-07 17:00  hoffman

	* CMakeLists.txt: ENH: MATH is not in bootstrap cmake

2007-09-07 14:20  hoffman

	* CMakeCPack.cmake, CMakeLists.txt: ENH: for CVS CMake have cpack
	  use the version date in the name of the package

2007-09-07 11:10  hoffman

	* Source/cmCacheManager.cxx: ENH: fix spelling error

2007-09-06 22:57  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-09-06 17:47  david.cole

	* Utilities/Release/CMakeInstall.bmp: BUG: Put back
	  CMakeInstall.bmp in order to build a package with NSIS on
	  Windows. It was inadvertently removed.

2007-09-06 10:06  hoffman

	* DartLocal.conf.in: ENH: acdc is dead

2007-09-05 23:01  andy

	* Source/cmVersion.cxx: STYLE: Nightly Version update

2007-09-04 11:45  zack.galbreath

	* Source/temp.txt: ENH: removing temporary testing file

2007-09-04 11:05  zack.galbreath

	* Source/temp.txt: ENH: testing branchRestrict

2007-08-31 16:52  alex

	* Source/: cmInstallCommand.cxx, cmInstallCommandArguments.h:
	  STYLE: fix line lengths

	  Alex

2007-08-31 16:27  alex

	* Modules/CPack.cmake:
	  STYLE: mark the generator options as advanced

	  Alex

2007-08-31 15:05  alex

	* Utilities/KWStyle/CMake.kws.xml.in:
	  STYLE: disable header check

	  Alex

2007-08-31 14:51  king

	* CMakeLists.txt, CTestCustom.cmake.in, CTestCustom.ctest.in: ENH:
	  Create CTestCustom.cmake instead of CTestCustom.ctest.  Create
	  the old file to include the new one for compatibility.  This
	  should prevent the long delays of CTest traversing the whole tree
	  looking for CTestCustom.ctest files.

2007-08-31 14:07  alex

	* Utilities/KWStyle/: CMakeLists.txt, CMakeMoreChecks.kws.xml.in:
	  STYLE: add makefile target MoreStyleChecks, which runs KWStyle
	  with more checks enabled and creates the html files.

	  Alex

2007-08-31 13:45  alex

	* Source/cmGlobalGenerator.cxx:
	  STYLE: the temporary variable is not necessary

	  Alex

2007-08-31 13:42  alex

	* Source/: cmExtraCodeBlocksGenerator.cxx, cmGlobalGenerator.cxx,
	  cmGlobalGenerator.h, cmGlobalKdevelopGenerator.cxx:
	  ENH: add support for Fortran to the KDevelop generator -minor
	  optimization for GetLanguageEnabled()

	  Alex

2007-08-31 09:14  king

	* Source/CPack/cmCPackDebGenerator.cxx: BUG: Another space-in-path
	  fix.

2007-08-31 09:09  king

	* Source/cmake.cxx: BUG: Fix path to CMake executables when run
	  from bootstrap build.

2007-08-30 16:23  alex

